----------------------
phpMyAdmin - Changelog
----------------------

$Id: ChangeLog,v 2.1238.2.12 2005/09/15 16:44:29 lem9 Exp $
$Source: /cvsroot/phpmyadmin/phpMyAdmin/ChangeLog,v $

2005-09-15 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.4-pl1 released

2005-09-14 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1290730, https export under MSIE fails

2005-09-12 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php: bug #1287611, no Save button in Relation view
      when pmadb is not defined

2005-09-10 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.4 released

2005-09-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/mongolian update, thanks to Bayarsaikhan Enkhtaivan

2005-09-07 Michal Čihař  <michal@cihar.com>
    * main.php, libraries/auth/cookie.auth.lib.php: XSS on username (bug
      #1283552)

2005-09-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).

2005-09-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/defines.lib.php, themes/*/info.inc.php: needs generation 2
    * header.inc.php: XSS on $title, thanks to Christian Wenz

2005-09-02 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish update, thanks to boralioglu.

2005-08-28 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/belarusian updates, thanks to Jaska Zedlik
    ### 2.6.4-rc1 released

2005-08-26 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/indonesian: update thanks to Rachim Tamsjadi - tamsy
    * lang/polish: update thanks to Jakub Wilk - ubanus

2005-08-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1267177, wrong return page
    * main.php, libraries/common.lib.php, Documentation.html,
      config.inc.php: patch #1257134, removed code to display the warning if 
      PmaAbsoluteUri is not set. A notice will still display if the autodetect
      code is unable to figure out the proper URI. Thanks to Isaac Bennetch

2005-08-23 Michal Čihař  <michal@cihar.com>
    * libraries/database_interface.lib.php: Abide cfg['Lang'] settings even if
      using MySQL > 4.1.x (bug #1266626).
    * libraries/display_tbl.lib.php: Do not get TABLES as table name, it's
      used on some queries by MySQL 5.0.x (bug #1266623).

2005-08-22 Michal Čihař  <michal@cihar.com>
    * error.php, libraries/common.lib.php, libraries/sanitizing.lib.php:
      Protect against possible XSS (bug #1265740), move input sanitizing to
      special file.
    * config.inc.php, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php:
      Default charset for export is now configurable (RFE #1263772).

2005-08-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, new error.php: patch #1258978, move common
      code for error pages out of common.lib.php, thanks to Sebastian Mendel
    * lang/german*: bug #1258956, typo
    * libraries/defines.lib.php, themes/original/info.inc.php, 
      themes/darkblue_orange/info.inc.php: PMA 2.6.4 needs theme version 3

2005-08-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_traditional: Updates, thanks to Siu Sun.
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)

2005-08-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/galician: Updates, thanks to Xosé Calvo.
    * lang/brazilian-portuguese: update, thanks to Airon Luis Pereira
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    * lang/slovak: update, thanks to Ivan Kuriscak - shylauda69
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza)
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/azerbaijani: update, thanks to Shehriyar Imanov (sheki).

2005-08-16 Marc Delisle  <lem9@users.sourceforge.net>
    * css/phpmyadmin.css.php, db_details_links.php, querywindow.php,
      server_links.inc.php, tbl_properties_links.php, libraries/common.lib.php
      themes/*/css/theme_right.css.php, themes/original/img/error.ico:
      patch #1252031, CSS for navigation tabs, thanks to Sebastian Mendel

2005-08-15 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1259951, invalid argument for foreach()

2005-08-14 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: $goto was not encoded in the form, resulting in a
      problem after editing/saving a row (seen in IE6)
    * libraries/common.lib.php, /display_tbl.lib.php, /functions.js, /grab_globals.lib.php:
      patch #1257955 for bug #1248577 (incorrect message "you should define a primary key")
      and bug #1253125 (request URI too large), thanks to Sebastian Mendel
    * (many files): patch #1253465, avoid error messages for unset variables
      in PHP functions that require a parameter passed by reference,
      thanks to Sebastian Mendel

2005-08-12 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php: remove the 'InnoDB free' segment from table comments
    * footer.inc.php: bug #1257106, display problem in the left frame (IE)

2005-08-11 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: shorten the path of db subtree items,
      thanks to Edward Rudd - urkle
    * config.inc.php, header.inc.php, tbl_properties_links.php,
      themes/*/css/theme_right.css.php, tbl_properties_table_info.php,
      Documentation.html, libraries/config_import.lib.php: patch #1249528,
      move table comments to header and enable configuration of header for
      TRUE/FALSE/'both', thanks to Sebastian Mendel - cybot_tm
    * db_details.php: undefined $header_url_qry
    * sql.php: bug #1255869, "MySQL returned an empty result set" not
      displayed in all cases
	  
2005-08-09 Marc Delisle  <lem9@users.sourceforge.net>
    * read_dump.php: add unique numbers to $strFileCouldNotBeRead to
      improve support when someone gets this error
    * Documentation.html: patch #1253248, links and anchors to every FAQ
      item, thanks to Alexander Schuch - ci-dev

2005-08-08 Michal Čihař  <michal@cihar.com>
    * libraries/export/htmlword.php: Fix undefined variable when exporting
      relations (bug #1253457).

2005-08-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: bug #1253453, using mysqli extension
      with MySQL 4.0.x
    * libraries/mysql_charsets.lib.php, /relation_cleanup.lib.php,
      /tbl_move_copy.php: patch #1253461 (code cleanup), 
      thanks to Sebastian Mendel
    * libraries/sqlparser.lib.php: patch #1253478, variable initialization
      and code cleanup, thanks to Sebastian Mendel

2005-08-07 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: Save button for PDF schema coordinates,
      thanks to Ryan Schmidt
    * server_privileges.php: undefined index $GLOBALS[''],
      thanks to Ryan Schmidt
    * queryframe.php: need at least 2 items to display a group in the
      database selector, thanks to Ryan Schmidt

2005-08-06 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: fixes for tree subgroups in databases selector:
      escaping of special characters, display a db name inside its own
      group, and proper closing of optgroup, thanks to Ryan Schmidt

2005-08-05 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, readme.php, license.php: 
      bug #965548, displaying README and LICENSE, thanks to Ryan Schmidt

2005-08-04 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php, export.php: Show error header on error to make
      clear that something bad has happened.

2005-08-04 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: patch #1250899:
     - unified spaces between icons
     - cleaned html and php code
     - display of querywindow-icon now follows
       $cfg['QueryFrame']
     - always use no_js=1 if $cfg['QueryFrameJS'] == true
      thanks to Sebastian Mendel
    * Documentation.html: patch #1169308, FAQ 1.17a improved,
      thanks to Isaac Bennetch
    * queryframe.php, footer.inc.php, config.inc.php, Documentation.html,
      libraries/common.lib.php, /config_import.lib.php:
      patch #1246245, tree subgroups for databases (in selector),
      thanks to Edward Rudd - urkle
    * db_details.php, tbl_query_box.php: patch #1250935, interface
      improvements, thanks to Sebastian Mendel
    * tbl_create.php: bug #1252124, XSS on table creation page

2005-08-02 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: patch #1249363, remove unneeded wordwrap(),
      table width should be limited by template if necessary,
      thanks to Sebastian Mendel - cybot_tm
    * server_databases.php: patch #1249371, correct calculation of colspan,
      and patch #1249414, display improvements, thanks to Sebastian Mendel;
      also,  $dbstats should contain 0 or 1, not the colspan
    * sql.php: patch #1249451, display improvement for bookmark dialog,
      thanks to Sebastian Mendel
    * libraries/common.lib.php: patch #1249457, display improvements for Edit
      Explain etc dialog, thanks to Sebastian Mendel

2005-08-01 Michal Čihař  <michal@cihar.com>
    * lang/czech: Fix bad translation (is was translated to is not :-)),
      update.

2005-08-01 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1249239, XSS vulnerability on Create page
    * Documentation.html: "bug #1248598, explain another cause of the Missing
      parameter error

2005-07-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, lang/*: new message $strAndThen
	* libraries/dbg/profiling.php: patch #1160439, improvements,
	  thanks to Glen Arason
	* scripts/upgrade.pl: patch #1198492, current version check,
	  thanks to Herman van Rink - helmo

2005-07-28 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: Go button renamed to Save because it's really used to save coordinates

2005-07-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1243908, left panel browse icon alt tag not updated
      after inserting a row
    * config.inc.php, libraries/config_import.lib.php, /common.lib.php:
      RFE #1177459, BOOL column type

2005-07-26 Michal Čihař  <michal@cihar.com>
    * export.php: Use actual MIME type for CSV.

2005-07-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: insert another new row: dropdown choice should be sticky

2005-07-24 Michal Čihař  <michal@cihar.com>
    * libraries/check_user_privileges.lib.php: Undefined variable (bug
      #1243885).
    * libraries/config_import.lib.php: Do not override theme properties when
      path is not set.
    * libraries/select_theme.lib.php: Do not attempt to sort themes when
      themes are disabled (bug #1243883).

2005-07-23 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, tbl_properties.inc.php:
      bug #1157230, escape special chars in ENUM or SET

2005-07-22 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: table creation should not be possible
      in information_schema
    * db_operations.php: those operations do not make sense on
      information_schema
    * browse_foreigners.php: bug #1242805, Show All does not work while
      browsing foreign values
    * libraries/relation.lib.php: for the new ForeignKeyDropdownOrder, id and
      content were reversed (id-content showed content then id)

2005-07-21 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: bug #1240880, XSS on the
      cookie-based login panel

2005-07-20 Marc Delisle  <lem9@users.sourceforge.net>
    * ChangeLog: automatic utf-8 encoding modeline, thanks to Michal

2005-07-19 Marc Delisle  <lem9@users.sourceforge.net>
    * translators.html: message about French translation will be in French

2005-07-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/string.lib.php: typo
    * libraries/sqlparser.data.php: bug #1238222, parsing of ISNULL()

2005-07-14 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*: removed unused strInvalidRowCount

2005-07-13 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: how to enable the charset choice for exported file

2005-07-13 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Use eval for config file including to catch
      parse errors (bug #1223319), on error page display config file that
      actually failed.
    * main.php, server_databases.php, libraries/check_user_privileges.lib.php,
      libraries/display_create_database.lib.php: Show box for creating
      database only if user has privileges to do so (bug #1167892).
    * libraries/display_tbl.lib.php: Use better message, thanks to Marc for
      noticing this.

2005-07-12 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: for Insert row and Export, use post when the query is too big
    * export.php: bug #1116026, export under IE 6 (XP SP2)

2005-07-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relations.php: bug #1227710, unsaved relations lost when changing 
      field to display

2005-07-11 Michal Čihař  <michal@cihar.com>
    * db_operations.php: Allow adding DROP TABLE when copying database (RFE
      #1235761).

2005-07-10 Robin Johnson <robbat2@users.sourceforge.net>
    * config.inc.php, Documentation.html, libraries/common.lib.php,
      libraries/config_import.lib.php:
      Document previous foreign-key dropdown work, and also ensure that the
      configuration import code works properly with it.
	
2005-07-10 Michal Čihař  <michal@cihar.com>
    * libraries/auth/http.auth.lib.php: Support FastGCI in http auth (patch
      #1192219)
    * Documentation.html, config.inc.php, left.php, queryframe.php,
      libraries/common.lib.php, libraries/config_import.lib.php,
      libraries/header_meta_style.inc.php, libraries/select_theme.lib.php:
      User can now have different theme per server (RFE #1231599).
    * config.inc.php: Add OLD_PASSWORD (bug #1216178).
    * main.php: Correct ALT attribute for image (bug #1232124).
    * mult_submits.inc.php, libraries/display_tbl.lib.php: Don't forget
      browsing state while deleting multiple rows (bug #1232624).
    * tbl_row_action.php: Fix undefined variable warning.
    * db_details_structure.php, db_operations.php, header.inc.php,
      querywindow.php, tbl_indexes.php, tbl_properties.inc.php,
      tbl_properties_structure.php, lang/*, libraries/display_tbl.lib.php,
      libraries/functions.js, libraries/indexes.js: Show better error messages
      when checking numerical inputs (bug #1207402).
    * sql.php, libraries/common.lib.php: Use post for print view when query is
      too big (bug #1203692).

2005-07-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1235473 display_tbl.lib.php,
      Undefined variable order_img
    * libraries/functions.js: bug #1234098, invalid "normal" cursor style
    * queryframe.php: bug #1231804, query windows does not open in new window,
      thanks to Michael Keck
    * db_details_qbe.php: bug #1234616, minor theme text color issue

2005-07-06 Marc Delisle  <lem9@users.sourceforge.net>
    * db_search.php: bug #1233349, db search in MySQL 5.0.x on fields 
      without a charset

2005-07-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza)
      and Mastermnd for the 2.6.2 translation cleanup
    * tbl_properties_table_info.php: bug #1231917, commands out of sync

2005-07-03 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: link in doc, thanks to Cedric Corazza
    ### 2.6.3 released

2005-07-02 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: bug #1230224, db rename and old pmadb information

2005-07-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: patch #1229673, improvement to big-file-import
      instructions, thanks to Isaac Bennetch - ibennetch

2005-06-30 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/hungarian update, thanks to Mihály Mészáros <necronix@freemail.hu>
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)
    * lang/chinese_traditional: Updates, thanks to Siu Sun
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/lithuanian: Updated, thanks to Vilius Simonaitis - maumas98
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).

2005-06-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_table_info.php: bug #1228862, creating a table under 
      MySQL 5.x with wrong table type

2005-06-28 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php: bug #1225635,
      cannot change table's collation under MySQL 5.0.4

2005-06-27 Michal Čihař  <michal@cihar.com>
    * config.inc.php: Better comments describing multi server setup (patch
      #1226666).
    * db_details_links.php: Place export tab on same place as on table page
      (RFE #1047874).
    * tbl_properties_links.php: Switch browse and properties tabs
    * db_details_structure.php: Make order of icons same as on table view (RFE
      #1047874).

2005-06-24 Michal Čihař  <michal@cihar.com>
    * tbl_change.php, tbl_properties_links.php, libraries/export/sql.php:
      Remove error reporting.
    * config.inc.php, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php:
      Configurable file name templates (RFE #1226941).
    * themes.php, libraries/select_theme.lib.php: Sort themes, use only one
      code for browsing directory with themes (RFE #1184251).
    * tbl_change.php: Use select instead of input, this saves some place and
      looks better (RFE #1169931).
    * tbl_change.php: Display column comment while editing data (RFE #860912).
    * lang/sync_lang.sh: Fix belarusian name.
    * libraries/transformations/application_octetstream__hex.inc.php, lang/*:
      Add hex transformation (RFE #1100068).

2005-06-24 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: problem renaming a db

2005-06-24 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates.
    * db_operations.php: Cleaning up Marc's code... ;-p

2005-06-23 Robin Johnson <robbat2@users.sourceforge.net>
    * config.inc.php, libraries/relation.lib.php,
	libraries/get_foreign.lib.php, tbl_select.php, tbl_change.php: Support for
	customizing foreign-key dropdown, take #2, now very customizable, incl max
	item limit.

2005-06-23 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.

2005-06-22 Alexander M. Turek  <me@derrabus.de>
    * tbl_properties_structure.php: Undefined index.

2005-06-22 Robin Johnson <robbat2@users.sourceforge.net>
    * config.inc.php, libraries/relation.lib.php: Support for customizing
	foreign-key dropdown, take #1.

2005-06-22 Garvin Hicking  <rabustoldmethatiforgotmyemailaddress@supergarv.de>
    * server_databases.php: Bug #1225315, wrong message displayed
      when no databases were dropped.
    * tbl_properties.inc.php: Patch #1225452, JS error for
      getting the value of a select field in certain browsers.

2005-06-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_traditional: Updates, thanks to Siu Sun
    * lang/italian: Updates, thanks to Pietro Danesi
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/mongolian update, thanks to Bayarsaikhan Enkhtaivan
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).

2005-06-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug 1221602, undefined variable when trying
      to use a reserved word as an identifier
    * db_operations.php, libraries/database_interface.lib.php:
      bug #1221359, Copying a db containing a MERGE table

2005-06-12 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: visually bind the Add x fields dialog to its
      submit button
    * db_operations.php: bug #1215688, Copying database does not preserve
      default charset and collation
    ### 2.6.3-rc1 released

2005-06-12 Olivier Mueller <om@omnis.ch>
    * lang/*, server_privileges.php: added strings for RFE #1197482:
      $strGeneratePassword, $strGenerate and $strCopy

2005-06-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_export.php: bug #1169791, exporting results from queries
      with limit keyword
    * lang/mongolian* update, thanks to Bayarsaikhan Enkhtaivan
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/galician: Updates, thanks to Xosé Calvo.
    * lang/belarusian, libraries/select_lang.lib.php:
      belarusian is now belarusian_cyrillic; added belarusian_latin,
      thanks to Jaska Zedlik

2005-06-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1216901, missing backquotes on the Browse
      feature in case of duplicate entry

2005-06-07 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/tatarish*: updates, thanks to Albert Fazlí
    * config.inc.php: bug #1215950, typo in comment

2005-06-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/tatarish*, /sync_lang.sh, libraries/select_lang.lib.php,
      translators.html: renamed "tatar" to "tatarish" (tatar is
      a different language and this translation is really tatarish)
    * lang/mongolian*, libraries/select_lang.lib.php,
      translators.html, Documentation.html, README:
      new language (mongolian), thanks to Bayarsaikhan Enkhtaivan

2005-06-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/functions.js: bug #1207405, invalid SQL when creating
      table with zero fields
    * sql.php: bug #1204951, left frame browse icon alt tag
      not updated on emptying table

2005-06-05 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.

2005-06-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_traditional: Updates, thanks to Siu Sun.
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * db_details_structure.php: optional message $strNumberOfFields,
      will use $strFields if not defined
    * db_operations.php, lang/*: bug #1212997, db copy should not
      always perform CREATE DATABASE

2005-06-03 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/tatar*, /sync_lang.sh, libraries/select_lang.lib.php,
      translators.html, Documentation.html, README:
      new language (tatar), thanks to Albert Fazlí

2005-06-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug #1213761, hint about Hardened PHP
      and the Missing parameters problem, thanks to Klaus Dorninger

2005-05-31 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: patch 1209863, XHTML validity,
      thanks to Ryan Schmidt

2005-05-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1184325, Label IDs mismatch for ENUM type,
      thanks to Ryan Schmidt
    * footer.inc.php: bug #1209891, db list not refreshed when the left
      frame is positionned on a db, then a manual DROP DATABASE it done
      on another db
    * db_operations.php, footer.inc.php: bug #1170227, copying a db does not
      refresh the queryframe

2005-05-27 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1205940, current timestamp checkbox
      when field type changes

2005-05-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_create.php: bug #1207406, undefined index from PMA_setComment()
    * sql.php: bug #1204913, left frame update on manual table rename

2005-05-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1207404, undefined variables

2005-05-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1207395, undefined theme_generation
      and theme_version, thanks to Ryan Schmidt
    * tbl_properties_operations.php: bug #1207212, changing table type
      under MySQL 5.0.4

2005-05-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/charset_conversion.lib.php: diacritics wrongly converted
      in Browse mode under MySQL 4.1.x if AllowAnywhereRecoding set to TRUE
    * tbl_properties_structure.php, tbl_properties.inc.php,
      libraries/sqlparser.lib.php: bug #1163595, NULL detection of TIMESTAMP
    * many files: bug #1193250, XHTML compliance, thanks to Ryan Schmidt
    * themes/[darkblue_orange|original]/css/theme_print.css.php:
      spelling error Hevetica -> Helvetica, thanks to Castorius and
      Isaac Bennetch - ibennetch

2005-05-19 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php: bug #1204235, searching on a VARBINARY field

2005-05-18 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1193442, 8 extra spaces at end of export area,
      thanks to Ryan Schmidt
    * db_details_structure.php: bug #1193430, zero_rows parameter
      not url-encoded, thanks to Ryan Schmidt

2005-05-17 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php, libraries/server_privileges.js:
      make the password generator work also on user account editing

2005-05-17 Olivier Mueller <om@omnis.ch>
    * server_privileges.php, libraries/server_privileges.js: RFE #1197482,
      password generator on user creation.  RFC: ok like that?  TODO: add strings.

2005-05-15 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, libraries/sqlparser.lib.php: bug #1120434, comment at the end
      of query is applied to appended LIMIT as well

2005-05-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_printview.php: bug #1178760, header not sent when displaying
      print view of multi tables, thanks to Hrvoje Novosel - interghost
    * libraries/functions.js: Patch #1191447, hand pointer on mouseover and
      mousedown, thanks to Ken Stanley - eclipsboi

2005-05-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1069012, table collation forgotten
      when adding fields
    * libraries/storage_engines.lib.php: bug 1180119, undefined variable when
      showing the details of a storage engine under MySQL 4.0.x

2005-05-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug #1198156, undefined variable
      when exporting without enclosing with backquotes

2005-05-08 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_links.php: patch #1196806, add a Privileges tab
      in db view, thanks to Herman van Rink - helmo
    * server_privileges.php: add a back link to the db on which
      we are checking privileges
    * Documentation.html: FAQ 3.13 about the MySQL API having problem dealing
      with USE followed with a db name containing an hyphen
    * read_dump.php: bug #1189664, js error when 2 queries submitted at once

2005-05-08 Olivier Mueller <om@omnis.ch>
    * scripts/upgrade.pl: new script to let unix admins upgrade phpMyadmin
      with one command and 5 seconds. To be improved, but is working fine
      here (tm).  Based on: http://www.phpmyadmin.net/latest.txt
    * server_privileges.php: always display the "Add a new user" link
      on the User overview page (no more need to click on [show all] or
      an initial before)

2005-05-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/mysql_charsets.lib.php: bug #1186983, missing character
      sets and collations (temporary workaround)
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).

2005-05-04 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: improvement about PmaAbsoluteUri,
      thanks to Isaac Bennetch - ibennetch

2005-05-03 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1185152, setting collation for a field,
      thanks to Ryan Schmidt - ryandesign

2005-05-02 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1123284, avoid double compression when
      zlib.output_compression is On, thanks to unclef at users.sourceforge.net
    * libraries/common.lib.php: bug #1193223, undefined index htmlexcel_null,
      thanks to Ryan Schmidt - ryandesign

2005-05-01 Marc Delisle  <lem9@users.sourceforge.net>
    * server_status.php: bug #1193225, missing </ul>
    * tbl_properties.inc.php: bug #1193353, js error on creating table

2005-04-30 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php, libraries/tbl_move_copy.php:
      bug #1192468, bookmarks copied too many times

2005-04-27 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/russian: update, thanks to lobovich
    * libraries/sqlparser.lib.php: bug #1179887, ordering by count(*)

2005-04-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, tbl_properties.inc.php:
      bug #1190092, wrong detection of NULL fields with MySQL 5.0.x
    * lang/finnish: big update, thanks to Jouni Kahkonen

2005-04-25 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser*: bug #1185173. A query using the Storage
      table name and an alias, returned no result. I changed the
      parser to add a list of "forbidden" reserved words, as listed
      in the MySQL manual (reserved words). Those are not allowed
      as a table/column name, but others (like Storage) are allowed.
      Now the query works. TODO: do not pretty print in color,
      in this case
    * libraries/common.lib.php: bug #1179241, wrong escaping of
      apostrophe in generated PHP code

2005-04-25 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.
    * lang/english: Fix typo.

2005-04-24 Marc Delisle  <lem9@users.sourceforge.net>
    * left.php, queryframe.php: bug #1168784, please respect the db order
      given in only_db

2005-04-16 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_simplified: Updates, thanks to mysf at etang.com
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/galician: Updates, thanks to Xosé Calvo.
    * new language: belarusian, thanks to Jaska Zedlik <jz53 at zedlik.com>
    * tbl_properties_export.php: bug #1180860, error going from Export
      to Insert tab
    ### 2.6.2 released

2005-04-14 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: Search icon centering

2005-04-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_alter.php: undefined $field_comments

2005-04-10 Alexander M. Turek  <me@derrabus.de>
    * lang/*.inc.php: New messages for MySQL 5.0 privileges.

2005-04-10 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * server_privileges.php: bug #1179969, problem editing a user's profile
      (and there was a problem also with the detection of
       an already existing user)

2005-04-09 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Added keyword ROUTINE.

2005-04-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin).

2005-04-07 Alexander M. Turek  <me@derrabus.de>
    * libraries/select_lang.lib.php, lang/english-iso-8859-15.inc.php:
      en-iso-8859-15.
    * lang/*.inc.php: New messages for MySQL 5.0 privileges.

2005-04-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php, tbl_alter.php: bug #1176896, undefined variable
    * libraries/common.lib.php: wrong test when the field's type is
      TIMESTAMP ON UPDATE CURRENT_TIMESTAMP

2005-04-03 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.2-rc1 released

2005-04-01 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_addfield.php: TIMESTAMP options support
    * libraries/common.lib.php: DEFAULT CURRENT_TIMESTAMP is only
      for TIMESTAMP (bug when changing from a TIMESTAMP to a non-TIMESTAMP type)    * (same): bug #1163595, problem 4: a TIMESTAMP must be explicitely
      set to NULL to have the NULL attribute
    * libraries/tbl_move_copy.php: bug #1168996, error copying InnoDB table
      with FK constraints to a table in the same db

2005-03-31 Alexander M. Turek  <me@derrabus.de>
    * left.php: Undefined offset (Bug #1174045).

2005-03-31 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: added FAQ 5.17 about problem with
      Firefox when the Tabbrowser Extensions plugin is installed
    * tbl_properties.inc.php: TIMESTAMP options improved looks, thanks to Garvin
    * tbl_properties.inc.php: TIMESTAMP default CURRENT_TIMESTAMP checkbox
      made dynamic, depending on the field's type
    * tbl_create.php, libraries/relation.lib.php: TIMESTAMP options support

2005-03-30 Alexander M. Turek  <me@derrabus.de>
    * server_databases.php: Bug #1172782 (Don't allow to drop
      information_schema).
    * libraries/mysql_charsets.lib.php: Typo.
    * lang/german-*.inc.php: Better translation.

2005-03-30 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: Patch #1164699, clarification about PmaAbsoluteURI,
      thanks to Isaac Bennetch - ibennetch
    * lang/english: improvements, thanks to Ryan Schmidt - ryandesign
    * lang/*: removed unused message and modified strCheckOverhead
      where still untranslated
    * tbl_properties.inc.php: bug #1163595 (problem #5): after an error
      modifying TIMESTAMP options, the table structure editing form
      was shown without the new options.

2005-03-29 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: XSS vulnerability on convcharset

2005-03-29 Alexander M. Turek  <me@derrabus.de>
    * server_collations.php, libraries/mysql_charsets.lib.php: Don't offer
      unavailable collations (bug #1172517).

2005-03-28 Alexander M. Turek  <me@derrabus.de>
    * left.php: Implemented the forgotten view icon.

2005-03-27 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * libraries/relation.lib.php: bug #1170549, adding fields NOT NULL
      under MySQL 4.1
    ### 2.6.2-beta1 released

2005-03-27 Alexander M. Turek  <me@derrabus.de>
    * libraries/defines.lib.php, themes/*/info.inc.php: Marked 2.6.0 / 2.6.1
      themes as imcompatible because of recent changes.
    * libraries/information_schema_relations.lib.php,
      libraries/relation.lib.php: information_schema relations.

2005-03-26 Alexander M. Turek  <me@derrabus.de>
    * libraries/engines/innodb.lib.php: Caught possible devision by zero.
    * lang/dutch-iso-8859-15.inc.php, lang/finnish-iso-8859-15.inc.php,
      lang/italian-iso-8859-15.inc.php, lang/portoguese-iso-8859-15.inc.php,
      lang/spanish-iso-8859-15.inc.php, libraries/select_lang.lib.php:
      Added more Latin9 language files.

2005-03-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1170255, undefined index: Field

2005-03-25 Alexander M. Turek  <me@derrabus.de>
    * db_details_structure.php: Let's prefer separate icons over CSS 3 hacks
      for marking a functionality as unavailable.
    * libraries/relation.lib.php:
      - Removed recoding function calls from controluser queries as they do
        not depend on the connection charset anymore;
      - Added emulated relations for some information_schema tables. To be
        continued.

2005-03-24 Alexander M. Turek  <me@derrabus.de>
    * libraries/dbi/*.dbi.lib.php, libraries/common.lib.php,
      libraries/database_interface.lib.php:
      - Force separate connection for controluser queries;
      - Don't apply collation_connection settings to controluser connections.
    * lang/galician-*.inc.php: Updates, thanks to Xosé Calvo.
    * lang/chinese_traditional-*.inc.php: Updates, thanks to Siu Sun.

2005-03-22 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php: undefined index tbl_is_view when copying a table
      with constraints and an error occurs

2005-03-20 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * tbl_properties.inc.php: do not add ON UPDATE CURRENT_TIMESTAMP twice

2005-03-19 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Translations #1120157 (bad translation of
      $strAddSearchConditions).
    * libraries/select_lang.lib.php, lang/polish-windows-1250.inc.php:
      Translations #1161402 (added pl-win1250), thanks to Jakub Wilk (ubanus).
    * libraries/select_lang.lib.php, lang/german-iso-8859-15.inc.php,
      lang/french-iso-8859-15.inc.php: Added ISO-8859-15 (Latin9) editions of
      the German and French language files for testing.

2005-03-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/russian update, thanks to gunsky
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).

2005-03-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/brazilian-portuguese: big update, thanks to Airon Luis Pereira
      - thedarkness
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)

2005-03-18 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates.

2005-03-17 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug #1165148, typo in Documentation.html
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/galician: Updated, thanks to Xosé Calvo.

2005-03-16 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, tbl_alter.php, tbl_properties.inc.php,
      config.inc.php (comment only), libraries/common.lib.php:
      experimental support for table structure editing with MySQL 4.1.2+
      TIMESTAMP options

2005-03-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_row_delete.php renamed to tbl_row_action.php (RFE 1097729)

2005-03-12 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, libraries/sqlparser.lib.php:
      start merging code for MySQL 4.1.2 TIMESTAMP options support

2005-03-10 Alexander M. Turek  <me@derrabus.de>
    * libraries/relation.lib.php: Bug #1159415.

2005-03-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, libraries/relation.lib.php:
      problem with getting comments when creating a new table under MySQL 4.1.x
      with mysql extension

2005-03-09 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: db comments updating broken
    * libraries/relation.lib.php: bug #1159415, data dictionary broken

2005-03-08 Michael Keck  <mkkeck@users.sourceforge.net>
    * themes/*/img/bd_insrow.png, themes/*/bd_insrow.png: Added disabled
      versions of insert-row icons.

2005-03-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french update

2005-03-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: db comments broken
    * libraries/dbi/*.php, lang/*: new $strSocketProblem message
    * db_details.php, tbl_query_box.php, libraries/bookmark.lib.php:
      bookmark improvement,
      based on patch #1034161 by Ryan Schmidt - ryandesign:
      sort bookmarks by label, remove the number before each bookmark
      in the drop-down choice. For this I had to change some logic in the
      calling scripts. It's still possible to have the same label more
      than once.

2005-03-07 Michal Čihař  <michal@cihar.com>
    * db_printview.php, tbl_printview.php, css/phpmyadmin.css.php,
      libraries/header_meta_style.inc.php: Actually use print style in themes,
      also fixes RFE #1120880.
    * sql.php: Better calculate inserted row id (bug #1156963).
    * db_details_links.php, db_details_structure.php: Show database comment on
      each tab (same as we do with table comments).

2005-03-06 Michael Keck  <mkkeck@users.sourceforge.net>
    * themes/*/img/bd_deltbl.png, themes/*/bd_drop.png: Added disabled
      versions of drop icons.

2005-03-06 Michal Čihař  <michal@cihar.com>
    * export.php, libraries/display_export.lib.php, config.inc.php,
      libraries/config_import.lib.php, libraries/export/htmlexcel.php,
      libraries/export/htmlword.php, lang/*: Added Microsoft Word and Excel
      2000 export (RFE #1155122).
    * lang/czech: Updated, thanks to Michal Marek (twofish) for "storage
      engine" translation.
    * lang/english: Nothing to translate here.
    * Documentation.html: Document new Excel export.
    * config.inc.php, libraries/config_import.lib.php,
      libraries/display_export.lib.php, libraries/export/htmlword.php: Word
      export now can contain table structure and better handles more
      tables/databases export.
    * db_operations.php, export.php, main.php, tbl_move_copy.php,
      libraries/common.lib.php, libraries/select_theme.lib.php,
      libraries/auth/cookie.auth.lib.php: Unified cookie path handling, added
      / to end of path (bug #1155373).

2005-03-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php, /display_export.lib.php,
      /export/sql.php: native comments. For MySQL 4.1.x+ I do not display
      the "Add into comments ... Comments" choice, since they are
      part of the structure

2005-03-06 Alexander M. Turek  <me@derrabus.de>
    * lang/*.inc.php, libraries/engines/innodb.lib.php: InnoDB buffer pool
      activity statistics.
    * server_status.php: Removed InnoDB Status sub-page. It is now part of
      server_engines.php.
    * lang/*.inc.php, libraries/engines/innodb.lib.php: Buffer pool size
      indicators.
    * libraries/mysql_charsets.lib.php: Don't check the character set of the
      virtual database "information_schema" (MySQL 5.0).
    * db_details_links.php, db_details_structure.php: Don't allow the user to
      change anything in MySQL 5.0's information_schema database.

2005-03-05 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_alter.php, tbl_addfield.php, db_datadict.php, pdf_schema.php,
      tbl_create.php, libraries/common.lib.php, /relation.lib.php,
      /database_interface.lib.php: MySQL 4.1.x native comments

2005-03-05 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, lang/*.inc.php, libraries/storage_engines.lib.php
      libraries/engines/berkeleydb.lib.php, libraries/engines/bdb.lib.php,
      libraries/engines/innobase.lib.php, libraries/innodb.lib.php,
      libraries/engines/myisam.lib.php:
      - Moved engine-specific settings into plugins;
      - Added ability to create multiple sub-pages in server_engines.php for
        a specific engine;
      - Added a few InnoDB variables. To be continued. :-)
      - New InnoDB buffer pool monitor for MySQL >= 5.0.2.

2005-03-04 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, libraries/common.lib.php: new FAQ 2.8 about
      Missing parameters, and when the error happens, show a link to FAQ

2005-03-03 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: Bug #1153079 (Updating columns starting
      with "str").
    * header.inc.php: Wrong icon for views.
    * libraries/sqlparser.data.php: Added more missing date / time functions.

2005-03-02 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php, libraries/display_export.lib.php: Do not offer
      modes not available in current MySQL version, do not fail on error when
      setting SQL_MODE (bug #1155209).

2005-03-02 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug #1154307, wrong text for alt,
      thanks to Isaac Bennetch - ibennetch
    * Documentation.html: bug #1126156, FAQ 6.12 reworked,
      thanks to Isaac Bennetch - ibennetch

2005-03-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug #1153684, wrong doc for PDF pages generation,
      thanks to Ryan Schmidt
    * libraries/auth/config.auth.lib.php: bug #1149565, tooltip.js undefined
      var

2005-02-27 Alexander M. Turek  <me@derrab.us>
    * libraries/sqlparser.data.php: Added missing MySQL functions STR_TO_DATE
      and GET_FORMAT (bug #1152310).

2005-02-27 Michal Čihař  <michal@cihar.com>
    * server_binlog.php: MySQL 5 compatibility (bug #1151960).

2005-02-26 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: added FAQ 5.16 about various IE and Windows
      problems. Thanks to Michael Keck.
    * main.php: bug #1143528, Reload MySQL not seen on MySQL 4.1.2

2005-02-24 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: Fixed the fix, thanks to Marc. :-)

2005-02-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: bug #1149373, error when
      blowfish_secret is empty

2005-02-23 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: More hotfixes against bug #1149381.
    * libraries/mysql_charsets.lib.php: Detection for new Japanese charsets
      (cp932 and eucjpms) that will be introduced with MySQL 5.0.3.
    * libraries/select_lang.lib.php: Removed the UTF-8 deactivation code that
      we had already commented out a long time ago.

2005-02-22 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: Hotfix against bug #1149381 and parts
      of bug #1149383.

2005-02-21 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: patch #1120466 (modified): optional column names
      in visual scratchboard, thanks to Remco Aalbers - remcoa

2005-02-17 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php, queryframe.php: HTML improvement,
      thanks to Armel Fauveau
    * server_privileges.php: bug #1113788, escaping character removed by error

2005-02-16 Alexander M. Turek  <me@derrabus.de>
    * db_details_export.php: Views are not exportable yet.
    * themes/*/css/theme_right.css.php: Allow to mark a whole row as disabled.
    * server_engines.php: Use new CSS class 'disabled' for unavailable
      engines.

2005-02-14 Michal Čihař  <michal@cihar.com>
    * tbl_printview.php, libraries/tbl_indexes.lib.php: Fix displaying
      indexes for print view, use same function as for normal view (bug
      #1119388).
    * css/print.css, libraries/tbl_indexes.lib.php,
      libraries/header_meta_style.inc.php: Use CSS for hiding print button
      rather than javascript.

2005-02-14 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_table_info.php: avoid errors #1046, no database selected
      in MySQL 5.0.2
    * lang/romanian: Updated, thanks to Valics Lehel.

2005-02-13 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french update
    * server_privileges.php: bug #1118137, host not changing when editing user

2005-02-10 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: new FAQ 1.32 about using HTTP auth under IIS

2005-02-09 Marc Delisle  <lem9@users.sourceforge.net>
    * config.inc.php, Documentation.html: bug #1115327, document the
      maximum number of characters for blowfish_secret

2005-02-09 Alexander M. Turek  <me@derrabus.de>
    * lang/italian-*.inc.php: Updates, thanks to Pietro Danesi.

2005-02-08 Michal Čihař  <michal@cihar.com>
    * export.php: Fix export of SQL for Safari (bug #1113015).

2005-02-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/*: bug #1116933, PMA_DBI_free_result():
      do not send a boolean to mysqli_free_result() or mysql_free_result(),
      it expects a result resource
    * libraries/tbl_move_copy.php: bug #1117112, commands out of sync when
      using "copy table" operation
    * libraries/common.lib.php: bug #1114363, error when SHOW DATABASES is
      disabled

2005-02-07 Alexander M. Turek  <me@derrabus.de>
    * libraries/mcrypt.lib.php: Bug #1117907 ("wrong parameter count" with
      php 4.1.x.

2005-02-06 Alexander M. Turek  <me@derrabus.de>
    * header.inc.php, tbl_properties_table_info.php: View detection for
      header.inc.php.
    * tbl_properties_links.php: Adjusted tab bar for views.

2005-02-05 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php: removed comments handling (pmadb-style) from relation view

2005-02-04 Michal Čihař  <michal@cihar.com>
    * tbl_change.php: Fix TIMESTAMP editing on MySQL 4.1 (bug #1114120).

2005-02-03 Alexander M. Turek  <me@derrabus.de>
    * tbl_addfield.php: Bug #1040682 (adding field with collation).

2005-02-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/*: PMA_DBI_num_rows(): do not send a boolean
      to mysqli_num_rows() or mysql_num_row(), it expects a result resource
    * tbl_properties.inc.php: bug #1114550, changing the type of
      a float unsigned column

2005-01-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php: bug #1108521, part 2: mysqli_num_rows
      cannot be used with MYSQL_USE_RESULT

2005-01-29 Alexander M. Turek  <me@derrabus.de>
    * lang/japanese-utf-8.inc.php: Bug #1111855 ("Undefined index" when using
      the Janapese language file under MySQL 4.1.

2005-01-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: bug #1111706, call to undefined
      function PMA_reloadNavigation(). A failed connection was not properly
      detected
    * libraries/export/sql.php: bug #1108521, mysqli_free_result() expects
      parameter 1 to be a result

2005-01-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/fpdf/fpdf.php: bug #1106146, missing header for PDF,
      thanks to Michal
    * libraries/display_tbl.lib.php: the LongOperation message should
      be just for InnoDB

2005-01-27 Michal Čihař  <michal@cihar.com>
    * read_dump.php: Fix detection of SELECT query to display on multiple
      submits (bug #1110727).

2005-01-23 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_query_box.php: bug #1107937, undefined $fields_list
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    ### 2.6.1 released

2005-01-23 Michal Čihař  <michal@cihar.com>
    * export.php: Back to Content-Type application/x-bzip2 on bzip2 export
      (bug #1106652).

2005-01-23 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Added some keywords.

2005-01-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/bookmark.lib.php: bug #1103289: num_rows and MYSQL_USE_RESULT,
      and fix a typo "boommark"
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).

2005-01-20 Michael Keck  <mkkeck@users.sourceforge.net>
    * libraries/tooltip.js: new JS library for tooltips (hints)
    * libraries/common.lib.php: img tag modified for mouseover / mouseout
      (show/hide tooltip)
    * header.inc.php: needed div-container for tooltips
    * footer.inc.php: linking to js-file tooltip.js
    * themes/.../theme_right.css.php: tooltip class
    * querywindow.php / tbl_query_box.php: resizing the querywindow if it
      to small
    * themes/.../layout.inc.php: increased QueryWindowHeight / QueryWindowWidth
    * themes/.../theme_right.css.php: new class for disabled (not available)
      text / values / messages
    * libraries/tooltip.js: removed wrong typos (sorry)

2005-01-20 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, server_links.inc.php: Use Michael's new icon for
      storage engines.
    * main.php: Added link to storage engines sub-page.

2005-01-18 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, libraries/common.lib.php, /display_tbl.lib.php, /functions.js,
      lang/*.php: bug #1084820: ask a confirmation when a user wants to
      reach the End of rows, and count the exact number of rows to
      go to the real end
      TODO: page number selector
    * common.lib.php: PMA_showHint(): now the lightbulb is clickable,
      to reveal the full message for browsers who truncate it,
      thanks to Alexander for the suggestion

2005-01-18 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, server_links.php libraries/storage_engines.lib.php:
      - Emulation for < MySQL 4.1.2;
      - BerkeleyDB version information.
    * tbl_properties.inc.php, tbl_properties_operations.php,
      libraries/storage_engines.lib.php: Auto-generated engine selection
      dropdown.
    * header.inc.php, libraries/common.lib.php: Finger pointer for lightbulbs.

2005-01-17 Michael Keck  <mkkeck@users.sourceforge.net>
    * libraries/common.lib.php: modified function for
      Add a link by MySQL-Error #1062 - Duplicate entry
      (feature request #1036254)

2005-01-17 Michal Čihař  <michal@cihar.com>
    * lang/czech: Fix typos (translation #1103785).

2005-01-17 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, lang/*.inc.php: Nice output for some MyISAM
      parameters.

2005-01-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1103201, wrong treatment of MySQL error
      #1060 in the logic for error #1062

2005-01-15 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, server_links.inc.php, lang/*.inc.php,
      libraries/storage_engines.php: Detailed storage engines status
      information.

2005-01-12 Alexander M. Turek  <me@derrabus.de>
    * tbl_properties_table_info.inc.php: Basic view detection.
    * tbl_properties_structure.php: Disabled table-specific interface elements
      for views.

2005-01-11 Alexander M. Turek  <me@derrabus.de>
    * libraries/relation.lib.php:
      - Removed redundant code;
      - Fixed some comments.
    * tbl_properties_structure.php: Corrected TH numbering.
    * db_details_structure.php: Small design glitch with "in use" tables.
    * db_details_structure.php, mult_submits.inc.php, lang/*.inc.php:
      - Views are now displayed correctly within the table list;
      - Added ability to drop views from the db structure page.
        TODO: It is not yet possible to drop a view from the table sub pages.

2005-01-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: bug #1076213, headers sent
      on invalid login

2005-01-10 Michal Čihař  <michal@cihar.com>
     * lang/czech: Fix typo (translation #1099459).

2005-01-10 Olivier Mueller <om@omnis.ch>
    * README: copyright, we're in 2005

2005-01-09 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)
    * lang/dutch: Updates, thanks to Ivo Teel.
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    ### 2.6.1-rc2 released

2005-01-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_addfield.php: bug #1082680, undefined $field_charset when adding
      a FLOAT field in MySQL 4.1.x

2005-01-07 Michal Čihař  <michal@cihar.com>
    * Documentation.html, tbl_change.php, tbl_properties.inc.php,
      libraries/functions.js, libraries/tbl_change.js,
      libraries/keyhandler.js: Use Option key for Safari for moving (bug
      #1094137), move key handler function to separate file so we have only
      one, make movement work correctly in vertical display of properties.
    * libraries/common.lib.php: Fix timestamp in uva condition with MySQL 4.1
      (bug #1097593).

2005-01-06 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: removed old PHP3-workaround that caused problems
      with field names like '000'

2005-01-05 Michal Čihař  <michal@cihar.com>
    * tbl_properties_operations.php: Fix changning table parameters if it has
      no auto increment (bug #1096246).

2005-01-04 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php:
      - Updates and small corrections;
      - Synchronized translation with the German MySQL documentation.

2005-01-03 Michal Čihař  <michal@cihar.com>
    * export.php: Use standardised mime types and use content encoding for
      gzip/bzip2. I hope this will fix double gzip compression as in bug
      #1094649.

2005-01-01 Michal Čihař  <michal@cihar.com>
    * tbl_alter.php: Don't try to set collation for non text fields (bug
      #1094109).
    * sql.php: Do not forget reloading when launching multiple queries (bug
      #1090818).

2004-12-30 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/latvian: Updated, thanks to Sandis Jerics (saaa2002).

2004-12-30 Michal Čihař  <michal@cihar.com>
    * libraries/fpdf/ufpdf.php: Fix some warnings.

2004-12-29 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fix typo.
    * server_databases.php: Use same sort order as in left frame (bug
      #1087244), allow sorting even if not showing stats.
    * pdf_schema.php, libraries/fpdf/fpdf.php, libraries/fpdf/ufpdf.php,
      libraries/fpdf/font/FreeSans*: Added support for PDF output in utf-8,
      uses UFPDF class from http://www.acko.net/node/56. NOTE: We now have a
      bit modified FPDF class. (bug #1046051)
    * Documentation.html: Added info about UFPDF library.
    * lang/czech, lang/english: Improved some texts, also bug #1009667.

2004-12-28 Michal Čihař  <michal@cihar.com>
    * libraries/tbl_move_copy.php: Fix constraints copying (bug #1085900).
    * config.inc.php, lang/*, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php,
      libraries/export/sql.php: Support for selecting SQL export compatibility
      (RFE #1060040).
    * libraries/tbl_change.js: Faster navigation in calendar (RFE #1090315).
    * mult_submits.inc.php, tbl_row_delete.php: Fix % escaping (bug #1082954).
    * read_dump.php: Fix database name extraction from use statement (bug
      #1084777).
    * css/phpmyadmin.css.php, libraries/common.lib.php: Disabled theme manager
      still allows to select theme in configuration (bug #1084712).
    * tbl_replace.php: Remove unused code.
    * main.php, lang/*, libraries/string.lib.php: Added warnings about
      mbstring - one to disable function overloading and one for requesting
      mbstring for multibyte charsets (bugs #1063149 and #1063821).
    * tbl_change.php, tbl_replace.php, lang/*, libraries/common.lib.php:
      Support for editing next entry (when numeric primary key) (RFE
      #1074906).

2004-12-26 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php: bug #1085647, wrong parameters
      for strpos(), thanks to Meithar - meithar
    * libraries/select_server.lib.php, bug #1073056, unable to submit selected server,
      thanks to jamaz - jamaz
    * tbl_change.php: bug #1090608, undefined variable, thanks to peterinsb
    * scripts/upgrade_tables_mysql_4_1_2+.sql: bug #1084426, misleading comments
    * tbl_create.php: bug #1085494, illegal length value for LONGTEXT, thanks to mjec

2004-12-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/blowfish.php: bug #1085997, undefined variables,
      patch thanks to Chandrakumar Muthaiah - sudhach

2004-12-14 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Added keywords NAMES and VIEW.

2004-12-13 Michal Čihař  <michal@cihar.com>
    * libraries/tbl_change.js: Do not catch Alt and Shift keys (bug #1082315).
    * libraries/export/sql.php: Do not duplicate constraints when exporting
      multiple databases (bug #1084459).

2004-12-12 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)
    * lang/latvian: Updated, thanks to Sandis Jerics (saaa2002).
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/chinese_traditional-*.inc.php: Updates, thanks to Siu Sun.
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/turkish update, thanks to boralioglu.
    ### 2.6.1-rc1 released

2004-12-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/transformations/text_plain__external.inc.php:
      security fix: no longer use the shell to execute external program
    * Documentation.html: mention the new need of PHP >= 4.3.0 to run
      external programs

2004-12-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_row_delete.php, libraries/display_tbl.lib.php:
      cannot drop or export multiple rows under IE6

2004-12-07 Marc Delisle  <lem9@users.sourceforge.net>
    * read_dump.php: security fix on $sql_localfile
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.

2004-12-01 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php, lang/*: added hint strApproximateCount referring
      to FAQ 3.11 (bug #1075658)

2004-11-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: Avoid displaying the
      "No activity" message if more than 4 times the LoginCookieValidity
      timeout has passed: no need to alert users the next morning
      (for example) that they have been inactive.

2004-11-25 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php, lang/*: "No activity" message
      to explain to users why they have to relogin

2004-11-25 Michal Čihař  <michal@cihar.com>
    * libraries/mcrypt.lib.php: Trim result, because it can be paded with \0s.

2004-11-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/mcrypt.lib.php, /libraries/blowfish.php,
      libraries/auth/cookie.auth.lib.php: support of mcrypt
      library (blowfish) for speed improvement in auth_type cookie

2004-11-23 Marc Delisle  <lem9@users.sourceforge.net>
    * user_password.php: wrong generated cookie name

2004-11-21 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug #1067626, column privileges while copying user
    * libraries/common.lib.php: bug #1070197, not connecting if using
      a non-standard HTTP port (bug introduced in 2.6.0-pl3)

2004-11-19 Garvin Hicking <pma@supergarv.de>
    * libraries/bookmark.lib.php, left.php:
      Massively speed up table display for left frame, if
      PMA infrastructure is used. Use native PHP function
      for indenting.
    * libraries/mysql_charsets.lib.php: Use a static
      array cache to speed up returning the same collation
      information.

2004-11-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: we have the PMA_get_indexes() function,
      let's use it!
    * tbl_indexes.php: bug #1068994, undefined variable
    * libraries/dbg/profiling.php: bug #1068318, call-time pass-by-reference

2004-11-16 Michal Čihař  <michal@cihar.com>
    * left.php: Possible undefined index (bug #1067199).
    * Documentation.html: Warn about Excel export problems in documentation
      (bug #1063082).

2004-11-14 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php: bug #1050437, intercept constraint failure
      and do not offer to add an InnoDB foreign key if the field
      does not have a key

2004-11-13 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug #1056706: table specific privs for a db containing an escaped wildcard character
    * libraries/display_tbl.lib.php: bug #1065688: display the Full text link
      on the results for PROCEDURE ANALYSE

2004-11-11 Michal Čihař  <michal@cihar.com>
    * tbl_properties_operations.php: Allow InnoDB text to be included in user
      comment.

2004-11-09 Michal Čihař  <michal@cihar.com>
    * browse_foreigners.php, server_binlog.php: Truncate text according to
      text length and not byte count.

2004-11-07 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html, README: Updated credits.

2004-11-07 Marc Delisle  <lem9@users.sourceforge.net>
    * mult_submits.inc.php: bug #1054720, multi-row delete

2004-11-06 Michael Keck  <mkkeck@users.sourceforge.net>
    * queryframe.php: bug #1046434 (Light mode does not work)

2004-11-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: put sanitize logic in PMA_sanitize()
    * sql.php: sanitize confirm page
    * db_details_structure.php: bug #1049553, undefined $db_collation

2004-11-05 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: new controluser behavior starting from MySQL 4.1.2

2004-11-04 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, tbl_replace.php, sql.php, read_dump.php,
      server_privileges.php: now PMA_showMessage() sanitizes the message
      to defeat XSS attacks. Calling scripts use special tags like
      [br], [i], [/i], [b], [/b] in the message.
    * main.php: bug #1058692, call-time pass-by-reference error
    * sql.php, libraries/sqlparser.lib.php: bug #1054590, handling of OFFSET

2004-11-10 Garvin Hicking
    * config.inc.php: Reverted commenting out of QueryWindowWidth/Height
      settings. Those can be overriden by a themes layout.inc.php,
      but not neccessarily so.

2004-11-03 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: More robust PmaAbsoluteUri detection.
    * libraries/sqlparser.lib.php: Escape html special chars in parser bugs.
    * libraries/common.lib.php: HTTP_HOST might be unset (bug #1053310).

2004-11-02 Michal Čihař  <michal@cihar.com>
    * tbl_indexes.php: Fix index editing.
    * sql.php: Decode table name.
    * lang/czech: Updated.

2004-11-09 Garvin Hicking
    * libraries/display_tbl.lib.php, libraries/common.lib.php,
      browse_foreigners.php: RFE #925817 - Abstracted page selector to
      its own function, now create sloped pagination to easily jump
      to any wanted page.
    * read_dump.php: RFE #1053039, show filename of uploaded SQL file
    * sql.php, tbl_indexes.php, libraries/tbl_indexes.lib.php,
      lang/*: Added checks for common problems with table indices.
      Serves as a stub for future checks, currently implemented are
      the ones mentioned in RFE #1044677. The check can be performed
      on multiple tables by using "check table" on selected tables in
      DB structure.

2004-11-02 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: MySQL 4.1.x compatibility for list of initials

2004-11-01 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: for MySQL 4.1.2+ a non-privileged user can do
      a simple SHOW GRANTS to fetch current privileges, so we no longer
      need the control user for this check

2004-11-01 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Comparsion is == and not = (bug #1054758).

2004-10-29 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php (top index): MySQLi compatibility,
      use PMA_convert_using() in case of non-latin1 user table,
      and fix bug #1054467 (in case of BINARY User field)
    * header.inc.php: bug #1053310, undefined index under OmniSecure server
    * tbl_relation.php: bug #1050424, not positionned on current db
    * tbl_alter.php: bug #1054756, duplicate top menu
    * lang/english: bug #1056724, typo

2004-10-28 Alexander M. Turek  <me@derrabus.de>
    * user_password.php, lang/*.inc.php: Allow usage of old password hashing
      function.

2004-10-27 Alexander M. Turek  <me@derrabus.de>
    * config.inc.php, libraries/config_import.lib.php,
      libraries/sqlparser.data.php: Added function OLD_PASSWORD().

2004-10-26 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Added OFFSET.

2004-10-25 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Fix URI detection in case REQUEST_URI contains
      full URI (patch #1044123).
    * tbl_properties_structure.php, libraries/display_tbl.lib.php: Fix typo
      that broke multi submits for MSIE (bug #1052674).

2004-10-24 Michael Keck <mkkeck@users.sourceforge.net>
    * config.inc.php, themes/*/layout.inc.php:
      bug #1050666 - Query window too small darkblue/orange theme

2004-10-23 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: top index for user initials

2004-10-22 Alexander M. Turek
    * lang/english-*.inc.php: Grammar fix.

2004-10-22 Michal Čihař  <michal@cihar.com>
    * db_details_structure.php: Use "Structure" instead of "Properties" for
      link to table structure.
    * db_operations.php, lang/*: We switch to database here. not table.
    * lang/*: strProperties is not used anywhere now.
    * config.inc.php: Mention db_operations.php possibility.
    * libraries/transformations/text_plain__external.inc.php: Unless admin
      specifies there programs to use, it does nothing now.

2004-10-21 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_query_box.php: bug 1050691, missing parameters

2004-10-21 Michael Keck <mkkeck@users.sourceforge.net>
    * libraries/common.lib.php: feature request #1036254
      Add a link by MySQL-Error #1062 - Duplicate entry

2004-10-21 Michal Čihař  <michal@cihar.com>
    * [too many files to mention]: Cleanup of message displaying and
      navigation reloading. Messages are now displayed bellow tabs (RFE
      #1005511), navigation is reloaded once in header (I'm not sure whether I
      choose correct version of reload code, we have several diferent, but it
      seems to work well).
    * tbl_properties_structure.php, libraries/common.lib.php,
      libraries/display_tbl.lib.php: New function PMA_buttonOrImage to display
      button or image to submit form and not to duplicate code on all places.
    * tbl_addfield.php: Display tabs.
    * mult_submits.inc.php, tbl_properties_structure.php: Allow index creating
      on multiple fields (RFE #990136).
    * db_operations.php: Duplicate create new table dialog (see RFE #808029).
    * main.php: Don't display server choice here, if also in left frame (RFE
      #984153).
    * libraries/common.lib.php: Fix navigation reloading.
    * server_databases.php: Show box for creating database here (RFE #869814).

2004-10-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: there was already a tip icon in our collection,
      thanks to Michael Keck

2004-10-20 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.
    * tbl_relation.php: Backquote table name (bug #1050441).
    * db_details_qbe.php: Backquote table name.
    * libraries/display_tbl.lib.php: Comments now work for multi table selects
      (bug #789647).
    * server_processlist.php: Display executed SQL.
    * main.php, server_common.inc.php, server_links.inc.php,
      server_binlog.php, lang/*: Added support for displaying bin logs (RFE
      #1011770).
    * Documentation.html, config.inc.php, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/auth/config.auth.lib.php,
      libraries/auth/cookie.auth.lib.php: Allow simple blocking of root login
      (RFE #1012971), show just Access denied in case we denied it.
    * db_operations.php, db_details_links.php, db_details_structure.php:
      Separate operations from structure (RFE #808029).
    * tbl_move_copy.php: Remove unused PMA_myHandler().
    * lang/*, libraries/tbl_move_copy.php, libraries/export/sql.php,
      db_operations.php, tbl_move_copy.php: Implemented database copying (RFE
      #996730), this forced separating code for copying tables.

2004-10-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php: bug #1041667, correctly
      check the server version instead of the client API version
    * tbl_change.php, libraries/common.lib.php, lang/*: new function
      PMA_showHint($message), new $strUseTabKey,
      new light bulb image (temporary)
    * server_privileges.php: bug #916117, PMA_showHint($strEscapeWildcards)

2004-10-19 Michal Čihař  <michal@cihar.com>
    * export.php: Use just \n for SQL exports (bug #1042521).
    * libraries/read_dump.lib.php: Set correct return value (bug #1048861).
    * sql.php: Fix undefined index.
    * libraries/sqlparser.lib.php: Return raw query in case of error (bug
      #1048826).
    * main.php, queryframe.php: Handle correctly situation with no default
      server (bug #1049107).
    * tbl_create.php, libraries/common.lib.php: 0 as field name causes
      problems (bug #1042235).
    * read_dump.php, server_privileges.php, server_status.php, sql.php: Work
      better in ANSI mode (bug #816858).
    * lang/czech: Reordered some words.
    * libraries/select_server.lib.php: Clickable active server in left frame
      (RFE # 1044678).
    * db_details_structure.php, tbl_move_copy.php, libraries/common.lib.php:
      Fix left frame reloading after dropping table (bug #1034531).
    * config.inc.php, libraries/config_import.lib.php: Offer UNIX_TIMESTAMP
      also for numeric fields.
    * tbl_replace.php: UNIX_TIMESTAMP can take optional parameter (bug
      #1039193).
    * server_privileges.php: Make non-js checkall work also for adding new
      user (bug #1028055).
    * libraries/zip.lib.php: Drop unneed part of header which causes troubles
      to some programs (bug #1037737).
    * index.php: Add frame spacing (RFE #1036013).
    * libraries/db_table_exists.lib.php: Allow work on temporary tables (bug
      #864984).

2004-10-17 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish update, thanks to boralioglu.
    * lang/estonian: Update thanks to Alvar Soome - finsoft.

2004-10-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: support for compressed protocol
      and CLIENT_LOCAL_FILES in mysqli

2004-10-15 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_schema.php: new way to define font path,
      needed with the new fpdf library; also now output inline,
      I find it faster this way, please tell me if you prefer
      the old dialog method and why.
    * tbl_change.php: bug #1038401, tabbing from value to value
    * sql.php: detect this case:
      SELECT DISTINCT x AS foo, y AS bar FROM sometable
      and count rows correctly (in MySQL 3),
      thanks to Matthias Pigulla (mp@webfactory.de)
    * server_privileges.php: cosmetic: title for Edit privileges
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/italian: Updates, thanks to Pietro Danesi
    * lang/norwegian: Update, thanks to Sven-Erik Andersen

2004-10-13 Michal Čihař  <michal@cihar.com>
    * libraries/fpdf/fpdf.php: Updated to 1.52.

2004-10-13 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html: Mike Beck's e-mail address has changed.

2004-10-13 Michal Čihař  <michal@cihar.com>
    * lang/sync_lang.sh: Do not overwrite utf-8 files in some cases.
    * lang/czech: Fix some translations.
    * libraries/transformations/text_plain__external.inc.php: Handle better
      backslash.
    * themes/*/img/*.gif: Remove unused gif images.

2004-10-12 Alexander M. Turek  <me@derrabus.de>
    * db_search.php, tbl_select.php, libraries/database_interface.lib.php:
      - bug #1033388 (Illegal mix of collations for converted strings),
      - don't convert if column charset and connection charset match.
    * main.php, libraries/select_lang.lib.php,
      libraries/auth/cookie.auth.lib.php: Automatically select Traditional
      Chinese for users with a Hong Kong locale (zh-hk), as discussed in the
      translations tracker (#1036528).
    * lang/sync_lang.sh: Base charset for German is now UTF-8.
    * lang/german-*.inc.php: Updates.

2004-10-12 Michal Čihař  <michal@cihar.com>
    * sql.php: Don't try to require sql.php with parameters, rather redirect
      to it.
    * libraries/transformations.lib.php: Strip slashes to behave like
      documentation says.
    * libraries/transformations/text_plain__external.inc.php: Escape special
      shell chars to avoid their interpretation (bug #1044864).

2004-10-11 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: typos and XHTML validity, thanks to Cedric Corazza
    * libraries/export/sql.php: bug #1039639: under mysqli, some field types
      were wrongly exported as binary
    * libraries/sqlparser.lib.php, /display_tbl.lib.php: bug #967610, double
      column sort with JOIN

2004-10-11 Michal Čihař  <michal@cihar.com>
    * tbl_query_box.php: Don't try to replace %t and %f when table name is empty.
    * libraries/export/sql.php: Convert end of line chars we get from MySQL
      (bug #1042521).

2004-10-08 Garvin Hicking <pma@supergarv.de>
    * lots of files: Adjusted superfluous spaces, added
      more CSS-ID attributes for better themeability.

2004-10-04 Michal Čihař  <michal@cihar.com>
    * tbl_query_box.php: Reenabled %f substitution.

2004-10-02 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_alter.php: field structure changes not applied (CVS version only)
    * export.php: bug #1038804, insufficient space to save

2004-09-30 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_addfield.php: bug #1037744 (CVS version only): cannot add a field
    * tbl_create.php: cannot create a new table (CVS version only)

2004-09-29 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, libraries/common.lib.php: bug #1036678, incorrect appending
      of LIMIT to queries, and bug #1037004, UPDATE statement not showing
    * tbl_properties_operations.php: bug #1035524, cannot add comments to table

2004-09-29 Michal Čihař  <michal@cihar.com>
    * tbl_addfield.php, tbl_create.php, tbl_properties.inc.php, lang/*: Better
      wording when adding fields (bug #991096).
    * tbl_query_box.php, lang/*: Not translated text (bug #1010656).
    * themes.php, lang/*: Not translated text (bug #1016610).
    * tbl_properties_structure.php: Use also $strAddFields (as suggested by
      Marc).

2004-09-28 Alexander M. Turek  <me@derrabus.de>
    * libraries/dbi/mysql.dbi.lib.php: Compatibility fix for php < 4.3
      (bug #1033360), thanks to Claude Theroux.
    * lang/chinese_traditional-*.inc.php: Updates, thanks to Siu Sun.
    * lang/dutch-*.inc.php: Updates, thanks to Ivo Teel.
    * lang/persian-*.inc.php: Added missing $timespanfmt variable.

2004-09-27 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.0 released

2004-09-26 Marc Delisle  <lem9@users.sourceforge.net>
    * read_dump.php: improvements in detection and reload
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.

2004-09-25 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/norwegian: Update, thanks to Sven-Erik Andersen - sven-erik.
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).

2004-09-24 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: following the fix for bug #978930, the added LIMIT was
      not displayed anymore
    * read_dump.php: bug #1033133, left frame not reloaded after dump read
    * db_datadict.php: bug #1034299, error in SHOW KEYS for data dict
    * read_dump.php: bug #1034216 open_basedir and file upload,
      thanks to Dominique Rousseau - domi

2004-09-24 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fixed export of '0' string (bug #1033869).

2004-09-23 Marc Delisle  <lem9@users.sourceforge.net>
    * all themes: item_ltr.png and item_rtl.png: new solid arrow
      that looks better, thanks to Efim Shuvikov

2004-09-23 Michal Čihař  <michal@cihar.com>
    * themes.php, css/phpmyadmin.css.php, libraries/common.lib.php: Do not
      prepend $cfg['ThemePath'] with another './'.

2004-09-22 Alexander M. Turek  <me@derrabus.de>
    * config.inc.php, libraries/config_import.lib.php: Added "./" to the
      default value of $cfg['ThemePath']. Thanks to Donny Simonton for
      pointing this out.
    * lang/chinese_simplified-*.inc.php: Updates, thanks to Simon (simon2san).
    * lang/italian-*.inc.php: Updates, thanks to Pietro Danesi and "Vincenzo".
    * lang/persian-*.inc.php: Updates, thanks to Parham Ghaffarian.

2004-09-22 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_query_box.php, read_dump.php: bug #1032066: when no db was
      selected from the left panel, the query window's Import Files had
      no submit button; also, read_dump always tried a PMA_select_db($db)
      even if $db was empty

2004-09-22 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.
    * lang/sync_lang.sh: Default to iconv, as it doesn't break some
      translations as recode does.
    * lang/japanese-euc.inc.php: Don't allow recoding for this one.

2004-09-22 Alexander M. Turek  <me@derrabus.de>
    * lang/turkish-*.inc.php: Update, thanks to boralioglu.
    * lang/sync_lang.sh: Switched turkish base charset to UTF-8.

2004-09-21 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysql.dbi.lib.php: typo, thanks to Matthias Pigulla
    ### 2.6.0-rc3 released

2004-09-21 Alexander M. Turek  <me@derrabus.de>
    * db_details.php, read_dump.php, tbl_query_box.php: Allow import of
      non-UTF-8 SQL dumps. Thanks to Marc for the initial patch.
      FIXME: The current solution breaks the display of the executed queries.
    * lang/*.inc.php, libraries/mysql_charsets.lib.php: Made
      PMA_getCollationDescr() recognize the new Persian collations that will be
      included in MySQL 4.1.5.

2004-09-20 Marc Delisle  <lem9@users.sourceforge.net>
    * read_dump.php, libraries/read_dump.lib.php: bug #1030644,
      error importing when last table exported was empty
    * libraries/dbi/mysql.dbi.lib.php: tell the client library to use
      CLIENT_LOCAL_FILES (flag 128), thanks to Matthias Pigulla

2004-09-20 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Add info about theme generations.

2004-09-19 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html: Clarification.

2004-09-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/latvian: Updated, thanks to Sandis Jerics (saaa2002).

2004-09-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/russian updated, thanks to "nobody"
    * lang/albanian: Updated, thanks to Laurent Dhima (laurenti).

2004-09-16 Marc Delisle  <lem9@users.sourceforge.net>
    * config.inc.php, Documentation.html: clarifications about QueryFrame
    * queryframe.php: bug #1027321, drop-down databases list keeps focus,
      thanks to Michael Keck

2004-09-16 Garvin Hicking <me@supergarv.de>
    * libraries/display_export.lib.php: Bug #1010752 - Remove space
      before <label> to be consistent throughout the panel.

2004-09-15 Garvin Hicking <me@supergarv.de>
    * browse_foreigners.php, libraries/functions.js, tbl_select.php:
      Fixed foreign key browser window to also work from within
      Search-subpanel.

2004-09-14 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: stay on the form when passwords don't match
      (after the js alert)
    * left.php: bug #1006514, top left frame does not load in Safari 1.2.3,
      workaround thanks to Ryan Schmidt

2004-09-14 Michal Čihař  <michal@cihar.com>
    * themes.php, libraries/common.lib.php, libraries/defines.lib.php,
      libraries/select_theme.lib.php, themes/darkblue_orange/info.inc.php,
      themes/original/info.inc.php: Better theme version check (bug #1023029).
    * libraries/auth/cookie.auth.lib.php: Remember database when using cookie
      login (bug #1027873).

2004-09-13 Garvin Hicking <me@supergarv.de>
    * browse_foreigners.php: bug #1027204 - paging did not
      work in foreigner browsing window.

2004-09-12 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #988723, sql error when ordering by count( * )

2004-09-11 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/dutch: small update
    * lang/chinese_simplified: updated, thanks to Simon - simon2san
    * server_privileges.php: bug #1003238, cannot manipulate a username
      like "example@nothost" where the "@" is part of the username

2004-09-10 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: grammar.

2004-09-09 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug #1022338: clarify about needed chown -R
      on the scripts (otherwise, problems in PHP safe mode)
    * tbl_change.php: bug #1024434, undefined sql_query when clicking
      on Insert tab from the Insert textfile sub-page

2004-09-07 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug #992211, wrong parameters to
      PMA_generate_common_hidden_inputs(), thanks to Ryan Schmidt

2004-09-07 Michal Čihař  <michal@cihar.com>
    * calendar.php: Minimal common.lib.php doesn't fix absolute path, so use
      full one (bug #1023444).

2004-09-07 Alexander M. Turek  <me@derrabus.de>
    * main.php: Typo.
    * libraries/sqlparser.data.php: Added keyword "SESSION".

2004-09-06 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.0-rc2 released

2004-09-05 Marc Delisle  <lem9@users.sourceforge.net>
    * ldi_table.php: bug #1010652, wrong label,
      thanks to Ryan Schmidt - ryandesign for the patch

2004-09-05 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Parser support for SHOW STORAGE ENGINES and
      SHOW TABLE TYPES.
    * tbl_create.php: Use default tab.
    * tbl_properties.inc.php: Don't offer the BINARY field attribute in
      MySQL 4.1.
    * main.php: Check the privileges of the anonymous user, too.

2004-09-05 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Add information about theme versions and names.

2004-09-04 Alexander M. Turek  <me@derrabus.de>
    * tbl_select.php: No quotes were added when querying (VAR)BINARY fields.
    * db_search.php, tbl_select.php: Made search independant from the
      connection charset.

2004-09-04 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #899430: left frame problem when lower_case_table_names==2
    * libraries/database_interface.lib.php: bug #1009791: now remove non-UTF-8
      choices from the drop-down (in main) for MySQL 4.1.x
    * Documentation.html: added some missing variables and new FAQ 2.7
      about using and creating themes

2004-09-03 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php, server_privileges.php, libraries/common.lib.php:
      replace charset introducers by CONVERT USING,
      to support servers where the mysql.* tables are not in latin1
    * libraries/database_interface.lib.php: do not add BINARY and VARBINARY
      twice in the drop-down list of field types

2004-09-03 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html: Typos; added a note about the deprecated MySQL
      versions 4.1.0 and 4.1.1.

2004-09-03 Michal Čihař  <michal@cihar.com>
    * libraries/string.lib.php: Encoding tis-620 is not multibyte (bug
      #1013787).
    * libraries/display_export.lib.php: Updated texts to fit Excel 2003
      behaviour (bug #1018457).
    * main.php, themes.php: Escape theme names (bug #1016608).
    * lang/hebrew-utf-8.inc.php, lang/sync_lang.sh,
      libraries/select_lang.lib.php: Hebrew now also has utf-8 version.

2004-09-01 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: bug #939531: when people upgrade
      phpMyAdmin on the same directory, the previous cookie pma_cookie_username
      was used but produced an Undefined offset in blowfish.php, because
      on previous PMA versions it was not encoded the same way. Now this old
      cookie is not used. Users have to reenter their username (not a big
      impact IMO)

2004-09-01 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fix empty BLOB export (bug #1020052).

2004-08-29 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug #1007870, illegal mix of collations
      for operation UNION

2004-08-28 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, tbl_properties.inc.php,
      libraries/sqlparser.data.php, /database_interface.lib.php:
      support for VARBINARY and BINARY field types

2004-08-27 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php, libraries/display_tbl.lib.php: bug #1016997,
      wrong db name generated in SHOW KEYS

2004-08-26 Marc Delisle  <lem9@users.sourceforge.net>
    * index.php, libraries/common.lib.php: bug #1006011: now we save
      the chosen connection collation into a cookie
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)
    * lang/hebrew, turkish: bug 1016609: <br> tags

2004-08-25 Michal Čihař  <michal@cihar.com>
    * main.php: Don't show port after verbose name (bug #1013401).

2004-08-23 Michal Čihař  <michal@cihar.com>
    * scripts/create-release.sh: Support for snapshots outside sourceforge.
    * libraries/export/sql.php: Fix exporting of TIMESTAMP (bug #1013730).

2004-08-22 Michal Čihař  <michal@cihar.com>
    * sql.php: Don't unset $sql_limit_to_append, we need it later (bug
      #978930, found by Marc).

2004-08-22 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/norwegian: Update, thanks to Sven-Erik Andersen - sven-erik.
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    * lang/chinese_simplified: updated, thanks to Simon - simon2san
    * lang/latvian: Updated, thanks to Sandis Jerics (saaa2002).
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * lang/thai: Updated, thanks to Arthit Suriyawongkul.

2004-08-21 Marc Delisle  <lem9@users.sourceforge.net>
    * themes/darkblue_orange/img/logo_left.php: transparent version,
      thanks to Michael Keck
    * db_datadict.php, tbl_printview.php, transformation_wrapper.php:
      commands out of sync
    * tbl_indexes.php: optimize: remove unneeded row count
    * libraries/display_tbl.lib.php: foreign key tooltip not displaying
      in mysqli
    * tbl_replace.php: could not upload a binary field in mysqli
    * libraries/transformations.lib.php: could not change MIME type, etc
      in mysqli
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.

2004-08-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*: bug 1009667: do not spell Ms Excel but MS Excel

2004-08-19 Michal Čihař  <michal@cihar.com>
    * read_dump.php: Fixed one case of reload detection (I forgot to update
      second regexp on 2004-08-16) (bug #1011479).

2004-08-17 Michal Čihař  <michal@cihar.com>
    * sql.php: Work with $display_query only if set (Marc spotted this out).
    * libraries/display_export.lib.php: No options text should not be bold red
      (bug #1010759).

2004-08-17 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php, config.inc.php, libraries/config_import.lib.php,
      libraries/common.lib.php: bug #983735: move search operators to
      config file, and set "LIKE" as default operator instead of "LIKE %...%",
      for performance reasons

2004-08-16 Alexander M. Turek  <me@derrabus.de>
    * libraries/relation.lib.php: Fixed some collation problems with the
      relational tables (bug #995359).

2004-08-16 Marc Delisle  <lem9@users.sourceforge.net>
    * all .../theme_right_css.php: bug #1009661, typo,
      thanks to Ryan Schmidt (ryandesign)

2004-08-16 Michal Čihař  <michal@cihar.com>
    * read_dump.php: Fix handling of comments -- and # (bug #1009494).
    * libraries/relation.lib.php: Fix typo, CONVERT is for MySQL >= 4.1 and
      not for MySQL >= 4.0.
    * sql.php, libraries/common.lib.php: Better appending of LIMIT (bug
      #978930).

2004-08-15 Marc Delisle  <lem9@users.sourceforge.net>
    (Patches from Michael Keck)
    * left.php, queryframe.php, themes.php: bug #1005479: was using
      a hardcoded charset
    * themes/.../themes_left.css, /themes_right.css: new style for
      better vertical alignment

2004-08-13 Michal Čihař  <michal@cihar.com>
    * libraries/read_dump.lib.php: Fix possible undefined index (bug
      #1008232).
    * scripts/create-release.sh: Rename config.default to config.default.php.

2004-08-12 Michal Čihař  <michal@cihar.com>
    * db_details_structure.php: Inconsistency of drop/empty links (bug
      #989705).
    * tbl_addfield.php, tbl_properties.inc.php, tbl_properties_structure.php:
      Change look of adding fields into table (bug #991095).
    * many files: I again did some XHTML validation, so removed few of most
      obvious errors, but there are still many, mostly missing alt attributtes
      for images and wrongly nested tags.
    * left.php, queryframe.php: Replace htmlentities with htmlspecialchars
      (bug #1008002).
    * libraries/config_import.lib.php: Remove compatibility code for colors.
    * lang/czech: Improved message.\
    * main.php, themes.php, libraries/common.lib.php,
      libraries/defines.lib.php, libraries/select_theme.lib.php,
      themes/darkblue_orange/info.inc.php, themes/original/info.inc.php:
      Implemeted versioning and naming for themes (RFEs #991642 and #991645).
    * left.php: Use always natsort and not natcasesort in one case, it caused
      inconsistency (bug #1008120).

2004-08-11 Michal Čihař  <michal@cihar.com>
    * tbl_replace.php: Do not empty protected values (bug #1006812).
    * libraries/display_tbl.lib.php: Wrong parameters for PMA_DBI_free_result
      (bug #1007287).
    * tbl_indexes.php, libraries/display_tbl.lib.php: Fix grabing indexes with
      MYSQLI_USE_RESULT (bug #1007286).

2004-08-10 Michal Čihař  <michal@cihar.com>
    * libraries/tbl_change.js: Forcibily use 10 as base for parsed numbers,
      otherwise accidentally octal numbers are expected (part of bug
      #1005865).

2004-08-09 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish update, thanks to Bora Alioglu
    * libraries/get_foreign.lib.php: bug 1005826, problem with foreign key
      dropdowns, thanks to Joerg Klein (j0erch) for the fix

2004-08-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php:
        bug 1005414, undefined offset when no display field has been defined;
        bug 1004546, sort error in dropdown list of foreign values;
        incorrect result was freed
    * libraries/relation.lib.php: use natural order sort according to config
    * db_details_structure.php, pdf_pages.php, pdf_schema.php: make it work
      with mysqli extension
    * scripts/upgrade_tables_mysql_4_1_2+.sql: new script to upgrade pmadb
      on MySQL 4.1.2
    * libraries/bookmark.lib.php: bug (mysqli)
    * tbl_query_box.php: field list does not show (mysqli)
    * libraries/sqlparser.lib.php: cannot copy a table structure (MySQL 4.1.x)
    ### 2.6.0-rc1 released

2004-08-08 Michal Čihař  <michal@cihar.com>
    * calendar.php: Include correct stylesheet (bug #1005421).

2004-08-07 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish update, thanks to Bora Alioglu
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac)
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/dutch: bug 1000683, backslash typo
    * libraries/mysql_charsets.lib.php: bug 1005120, duplicated line

2004-08-06 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php: bug 1004523, now display table options
      according to the possibilities of the table types

2004-08-06 Michal Čihař  <michal@cihar.com>
    * tbl_change.php: Do not free result, we need it later.
    * tbl_relation.php: Some functions do not take parameters (bug #1000021).

2004-08-05 Marc Delisle  <lem9@users.sourceforge.net>
    (Patches from Michael Keck)
    * index.php: names and ids for framesets in the noscript section
    * updated themes screenshots
    * left.php: bug 998698, db dropdown refresh
    (me)
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)

2004-08-03 Marc Delisle  <lem9@users.sourceforge.net>
    (Patches from Michael Keck)
    * libraries/display_tbl.lib.php: bug 993694, clicking on last record
      button reaches a page where the current page number is not the last one
    * main.php: - removed bug with hashform.hash
                - removed id for input field 'new_database', because it may be
                  too large for the one lined create db form
                - bug #980232 'Javascript error on index page'
    * db_details_common.php: removed bug with hashform.hash
    * index.php: - given names and ids for framesets, please see below 'queryframe.php'
    * queryframe.php - javascript function for dynamic resizing the rows
                       in the left frameset 'leftFrameset'.
                       (bugs: #993648, #989581, #988897)

2004-08-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, /select_lang.lib.php:
      bug 968174: now, in MySQL 4.1.0+ we auto-switch the language to
      the corresponding -UTF-8 version (if it exists); also, now
      the default language is the non-UTF-8 one

2004-08-02 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Removed unused code.

2004-08-01 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, libraries/relation.lib.php: bug 1001159, Commands
      out of sync on Insert
    * tbl_move_copy.php: bug 995098, cannot copy table data only
    * libraries/dbi/mysqli.dbi.lib.php: use faster AND comparison for flags,
      as suggested by Michal
    * libraries/export/sql.php: workaround for datetime export because
      mysqli under MySQL 4.1.3 reports a datetime as binary

2004-07-31 Alexander M. Turek  <me@derrabus.de>
    * tbl_change.php, tbl_replace.php, libraries/relation.lib.php: Small
      optimizations, freed some results (thanks to Marc for the one in
      tbl_replace.php).
    * lang/sync_lang.sh: Updated sync script for the new names of the chinese
      language files.

2004-07-30 Alexander M. Turek  <me@derrabus.de>
    * lang/chinese_*.inc.php, libraries/select_lang.lib.php: More consistant
      naming for the chinese language files.

2004-07-30 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/hungarian: updates, thanks to Peter Bakondy
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.

2004-07-29 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser*.php: bug 965026, support of GROUP_CONCAT()

2004-07-28 Michal Čihař  <michal@cihar.com>
    * tbl_properties_structure.php: Allow to create primary key when there was
      none before (bug #996246).

2004-07-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser*.php: bug 981343,
      cannot copy a table with a timestamp (MySQL 4.1.2)

2004-07-25 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php, libraries/common.lib.php: bug 997682:
      illegal mix of collations
    * server_privileges.php: same bug
      FIXME: check privileges for a db

2004-07-23 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: take into account the new script to
      create tables for the infrastructure

2004-07-23 Alexander M. Turek  <me@derrabus.de>
    * config.inc.php, libraries/config_import.lib.php,
      libraries/select_lang.lib.php: Made phpMyAdmin aware that there is a
      charset called gbk.

2004-07-20 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/catalan update, thanks to Xavier Navarro (xavin).

2004-07-20 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html: added note about php5.

2004-07-18 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: doc link for connection collation

2004-07-17 Alexander M. Turek  <me@derrabus.de>
    * libraries/database_interface.lib.php, libraries/dbi/*.dbi.lib.php:
      moved redundant post-connect code into database_interface.lib.php.
    * libraries/url_generating.lib.php: Added ability to skip certain hidden
      input fields.
    * libraries/database_interface.lib.php: Added new function for retreiving
      MySQL variables.
    * libraries/mysql_charsets.lib.php: Added optional onchange-submit feature
      to collation dropdown box.
    * main.php, lang/*.inc.php, libraries/database_interface.lib.php,
      libraries/url_generating.lib.php: The user may now choose his connection
      character set. This should fix bug #984912.
      WARNING: The pmadb needs to be converted to UTF-8 now!
      TODO: Handle non-UTF-8 pmadb more nicely.

2004-07-16 Marc Delisle  <lem9@users.sourceforge.net>
    * index.php: left frame display problems under IE

2004-07-16 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Remove code for old MySQL version, do not
      store query, better handle various end of lines (probably bug #979635).

2004-07-15 Alexander M. Turek  <me@derrabus.de>
    * scripts/create_tables.old.sql, scripts/create_tables.sql: Force UTF-8
      for PMA database in MySQL 4.1 and above.
      TODO: - Update docs
            - Add conversion code to the docs
            - add charset checks to pmadb validation code
    * main.php: bug #991887.
    * server_databases.php: Add database collations to statistics.
    * lang/german-*.inc.php: Grammar.

2004-07-15 Michal Čihař  <michal@cihar.com>
    * tbl_properties_export.php: Fix export of queries with empty WHERE clause
      (bug #990330).
    * libraries/display_export.lib.php: Display SQL export after saving file
      on server	(bug #989657).
    * tbl_properties_export.php: In case we don't need to reconstruct complete
      query just drop LIMIT part (workaround for bug #955175 and should fix
      bug #990724).
    * libraries/export/sql.php: Fix export of '0' strings (bug #990398).

2004-07-15 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug 990959, undefined index for DATETIME
      field (problem in UTF-8 only!)
    * main.php: bug 984136: other fix for RTL and logo

2004-07-14 Marc Delisle  <lem9@users.sourceforge.net>
    * index.php, libraries/common.lib.php: bug 989581 and left panel
      display problems when switching themes
    * tbl_relation.php: bug 978111, out of sync in Relation view
      (note: we need to use the PMA_DBI_QUERY_STORE option in a mysqli query
       when we later do a PMA_DBI_num_rows() on the results)

2004-07-13 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.

2004-07-13 Alexander M. Turek  <me@derrabus.de>
    * libraries/dbi/mysqli.dbi.lib.php: avoid php errors if result set is
      FALSE.
    * libraries/mysql_charsets.lib.php, lang/*.inc.php: Updated collation
      definitions for MySQL 4.1.3 and 4.1.4.
    * lang/german-*.inc.php: Updates.
    * db_details_db_info.php: Fixed a few "out of sync" errors.
    * Documentation.html: removed a pre-php-4.1 note.

2004-07-12 Marc Delisle  <lem9@users.sourceforge.net>
    * all themes/colors.inc.php, libraries/common.lib.php,
      config.inc.php, Documentation.html: rename colors.inc.php to
      layout.inc.php, thanks to Garvin for the suggestion

2004-07-10 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).

2004-07-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug 981793, cross-window update message when inserting
      a record and fetching a value from the browse foreigners window,
      thanks to Michael Keck

2004-07-08 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_qbe.php: undefined offset and undefined variable

2004-07-07 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug 984136, wrong alignment in RTL languages
    * lang/arabic-utf-8, lang/sync_lang.sh: bug 984176, wrong encoding
      for arabic UTF-8. sync with --iconv works.
    * tbl_relation.php: use PMA_DBI_try_query() to be able to catch the
      missing index error (InnoDB) and give appropriate advice

2004-07-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/xls.php: enable user to specify './tmp' as the
      TempDir -- use realpath() to find the complete path. Add error trap
      in case OLE cannot write to directory. Add setTempDir() to enable OLE
      write in this directory.
    * Documentation.html: document the TempDir creation and PHP safe mode
      issues with PEAR

2004-07-05 Marc Delisle  <lem9@users.sourceforge.net>
    * footer.inc.php, index.php, queryframe.php: bug 981939, database
      selection in left frame under Opera, and problems with dropdown
      in left frame when many databases are there (original theme),
      thanks to Michael Keck
    * header.inc.php: bug 965594: spaces after colons, and remove old code
    * libraries/sqlparser.lib.php: bug 983992, error in search mode because
      MySQL 4.0.18+ has changed the way to report the foreign key references
      when the foreign key is in a different db

2004-07-02 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: put Create button on the same line as the input field

2004-07-01 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.

2004-07-01 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: improve XHTML
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/dutch: Update thanks to Ivo Teel - calimonk.

2004-06-30 Marc Delisle  <lem9@users.sourceforge.net>
    * left.php: fix against security alert, thanks to Garvin
    * Documentation.html: FAQ 8.2 for security alert
    * config.inc.php, lang/*, libraries/display_export.lib.php,
      libraries/config_import.lib.php, libraries/common.lib.php,
      libraries/export/sql.php: bug 981359: now the hexadecimal encoding
      of binary fields is optional, because there are fields marked binary
      that have text contents, like mysql.user
    ### 2.5.7-pl1 released

2004-06-30 Alexander M. Turek  <me@derrabus.de>
    * libraries/common.lib.php: Fix against $_REQUEST['cfg'] exploits.

2004-06-29 Michal Čihař  <michal@cihar.com>
    * lang/check_lang.sh: Checks for diffstat presence.

2004-06-28 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac)
    ### 2.6.0-beta2 released


2004-06-27 Michal Čihař  <michal@cihar.com>
    * lang/*: Make all export choices look simmilar ('drop table' -> DROP
      TABLE), removed unused strings (there vere MANY!), fixed some czech
      texts.
    * scripts/find_unused_messages.sh: New script to find unused messages in
      translations.

2004-06-27 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_query_box.php: bug #975382, fields list on a non-existing table

2004-06-27 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/dbi/mysql.dbi.lib.php: bug #980594.

2004-06-26 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/hungarian: updates, thanks to Peter Bakondy

2004-06-25 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * main.php: js error when switching theme, thanks to Michael Keck

2004-06-25 Michal Čihař  <michal@cihar.com>
    * main.php, libraries/select_lang.lib.php: Remember selected charset in
      cookie.
    * libraries/display_export.lib.php: Add back key checking disabling.
    * libraries/export/sql.php: Brand new CREATE query rewriter from LinuxTag,
      fixes bug #979635.
    * read_dump.php: Lets handle better comments, current detection still
      doesn't work with comments inside checked SQL commands, but I thing
      checking these would be overhead (bug #978114).

2004-06-25 Alexander M. Turek  <rabus@users.sourceforge.net>
    * queryframe.php: Undefined index errors.
    * footer.inc.php: bug #979610.
    * server_privileges.php: bug #979596 (granting privileges doesn't take
      wildcards in account).
    * lang/catalan-*.inc.php: Updates, thanks to Xavier Navarro (xavin).
    * lang/german-*.inc.php: Updates.

2004-06-24 Marc Delisle  <lem9@users.sourceforge.net>
    * left.php, config.inc.php, Documentation.html,
      libraries/config_import.lib.php + common.lib.php, all colors.inc.php:
      $cfg['LeftPointerEnable']
    * db_details_structure.php, server_variables.php,
      tbl_properties_structure.php, config.inc.php, Documentation.html,
      libraries/config_import.lib.php + common.lib.php + display_tbl.lib.php,
      all colors.inc.php:
      $cfg['BrowsePointerEnable']
    * db_details_structure.php, tbl_properties_structure.php, config.inc.php,
      Documentation.html, all colors.inc.php,
      libraries/config_import.lib.php + common.lib.php + display_tbl.lib.php:
      $cfg['BrowseMarkerEnable']
    * themes/.../img/logo_left.png + logo_right.png: new logo,
      thanks to Michael Keck (mkkeck)
    * index.php: compute queryframe_height from image size, thanks to
      Michael Keck
    * footer.inc.php: sync left frame when choosing a db from server_databases,
      thanks to Michael Keck
    * export.php: no longer auto-select the textarea containing exported data
    * queryframe.php: bug #977790, missing library,
      thanks to Anthony Parsons (anthony.parsons at manx.net)
    * footer.inc.php: sync left-frame dropdown for databases when the
      number of tables changes, thanks to Michael Keck
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    ### 2.6.0-beta1 released

2004-06-24 Alexander M. Turek  <me@derrabus.de>
    * libraries/dbi/mysqli.dbi.php: Undefined variable if PMA_DBI_getError() is
      called although no error occured.

2004-06-24 Michal Čihař  <michal@cihar.com>
    * main.php, changelog.php: Add headers to ChangeLog display.
    * scripts/create_tables.sql: Add IF EXISTS.
    * libraries/read_dump.lib.php: Ignore comments for SQL splitting,
      otherwise unmatched quotes cause problems (bug #978113).
    * libraries/common.lib.php: Use read_dump.php instead of sql.php for
      links, otherwise we'll fail on commas.
    * read_dump.php, libraries/read_dump.lib.php: Show last SELECT result also
      when there are comments behind last query.

2004-06-23 Marc Delisle  <lem9@users.sourceforge.net>
    * many files: remove references to older /images, and
      erase /images contents

2004-06-22 Marc Delisle  <lem9@users.sourceforge.net>
    * config.inc.php, themes/.../colors.inc.php: remove color-related
      parameters from config.inc.php, and non-color-related from colors.inc.php
    * config.inc.php, libraries/common.lib.php, libraries/config_import.lib.php:
      missing parameter for the Refresh link feature

2004-06-22 Michal Čihař  <michal@cihar.com>
    * libraries/relation.lib.php: Fix possible error on non existant pma db.

2004-06-20 Marc Delisle  <lem9@users.sourceforge.net>
    * themes.php: use standard headers. A iso-8859-1 charset was hardcoded
      in this script, but it's better to use libraries/header_http.inc.php

2004-06-18 Marc Delisle  <lem9@users.sourceforge.net>
    * themes/original/img/item*.png, themes/original/css/theme_right.css.php,
      libraries/common.lib.php, libraries/display_export.lib.php,
      db_details_structure.php, tbl_select.php:
      fix IE font size problem, redesign search and export pages,
      thanks to Michael Keck (mkkeck)
    * libraries/string.lib.php: bug #975290, wrong internal encoding
      for hebrew, thanks to Moshe Bergman (moshe_be)

2004-06-17 Alexander M. Turek  <me@derrabus.de>
    * libraries/dbi/mysql.dbi.php: Removed debug code.
    * libraries/dbi/mysqli.dbi.php: If connecting fails, we don't know the
      MySQL version.

2004-06-17 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: fix "original" theme colors
    * db_details_structure.php: cosmetic fix in error message
    * tbl_properties_structure.php, tbl_relation.php:
      enable Relation view for InnoDB, even if the internal
      relational infrastructure is not available
    * libraries/common.lib.php: undefined $unparsed_sql when fmtType=='none'
    * config.inc.php: clarify MainPageIconic comments

2004-06-16 Marc Delisle  <lem9@users.sourceforge.net>
    Changes, thanks to Michael Keck (mkkeck):
    * libraries/auth/config.auth.lib.php +  http.auth.lib.php:
      style for error messages
    * main.php, themes.php, libraries/select_theme.lib.php,
      css/phpmyadmin.css.php, themes/original/img + css:
      put original theme under the same structure as darkblue_orange

2004-06-16 Michal Čihař  <michal@cihar.com>
    * header.inc.php: Use rather _SERVER than GLOBALS, should fix bug #973602.

2004-06-15 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: undefined $cfgRelation, thanks to Michael Keck (mkkeck)
    * export.php, sql.php, db_details_importdocsql.php, ldi_check.php,
      tbl_replace.php, libraries/common.lib.php,
      libraries/transformations.lib.php: new function PMA_securePATH()
    * main.php, tbl_properties_structure.php: theme "none" should be "original",
      thanks to Michael Keck (mkkeck)
    * left.php, tbl_properties.inc.php, librairies/common.lib.php:
      missing title tags

2004-06-15 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.
    * config.inc.php, libraries/config_import.lib.php,
      libraries/common.lib.php: Support for SHA1 function (RFE #971703).
    * queryframe.php: Do not show <hr /> when no logo is shown.
    * main.php: Generate hidden inputs nicely.
    * main.php, libraries/common.lib.php, libraries/select_theme.lib.php: Use
      pma_theme as cookie name, default theme to some reasonable value to
      avoid undefined variables all around the code.
    * main.php, lang/*: strSelectTheme is IMHO not needed.
    * Documentation.html, config.inc.php, index.php, left.php, main.php,
      queryframe.php, libraries/config_import.lib.php,
      libraries/select_server.lib.php: Use same code for all server selection,
      possibly display server links also in right frame, show server links in
      query frame when possible.
    * libraries/display_export.lib.php: Fix broken choice switching.
    * tbl_change.php: Fix wrong path to image.
    * tbl_properties_operations.php: Define sort order for sorting tables
      (RFE #971314).
    * libraries/common.lib.php: On error show edit link with table context if
      possible.

2004-06-15 Alexander M. Turek  <me@derrabus.de>
    * libraries/config_import.lib.php: The default settings should be merged.

2004-06-14 Marc Delisle  <lem9@users.sourceforge.net>
    Changes, thanks to Michael Keck (mkkeck):
    * images/b_tblops.png, themes/darkblue_orange/img/b_tblops.png: new icon
    * both themes: new screen.png reflecting current logo
    * db_details_structure.php: improve background image in error section
    * main.php: $theme='none' no longer a possible choice
    * open.php: permits access to message strings in theme manager
    * themes/index.php: new calling
    My changes:
    * libraries/common.lib.php: proper revision check
    * libraries/select_theme.lib.php: remove unneeded counter, and fix
      undefined $PHP_SELF
    * libraries/dbi/mysql.dbi.lib.php: errors on mysql_errno() when the
      login is invalid

2004-06-13 Marc Delisle  <lem9@users.sourceforge.net>
    * many files: redesign part 3, thanks to Michael Keck (mkkeck).
      New /themes structure for Theme management
      TODO: code improvement, access to /lang from themes/index.php,
            possible logo change

2004-06-11 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).

2004-06-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/config.auth.lib.php, libraries/dbi/mysql.dbi.lib.php,
      libraries/dbi/mysql.dbi.lib.php,
      lang/*: bug 968089: catch error when server is not responding
      and show an appropriate message
    * left.php: undefined variable

2004-06-09 Alexander M. Turek  <me@derrabus.de>
    ### 2.5.7 released from MAINT_2_5 branch.

2004-06-08 Michal Čihař  <michal@cihar.com>
    * config.inc.php, lang/*, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php,
      libraries/export/sql.php: Add FOREIGN_KEY_CHECKS=0 to export (RFE
      #966038).

2004-06-08 Alexander M. Turek  <me@derrabus.de>
    * libraries/common.lib.php: backwards compatibility.
    * config.inc.php: typo.

2004-06-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: omit last parameter when calling
      mysqli_connect() to enable the use of default socket

2004-06-07 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.
    * libraries/charset_conversion.lib.php: Do not convert, if charsets are
      same.
    * config.inc.php, export.php, lang/*, libraries/config_import.lib.php,
      libraries/display_export.lib.php, libraries/export/xls.php,
      Documentation.html: EXPERIMENTAL native MS Excel export support, using
      PEAR module Spreadsheet_Excel_Writer (RFE #968110).
    * Documentation.html: Described older config.inc.php support (RFE
      #968177).

2004-06-07 Alexander M. Turek  <me@derrabus.de>
    * css/phpmyadmin.css.php: beautifications.
    * server_databases.php, server_privileges.php, css/phpmyadmin.css.php:
      Enabled new icons for privileges administration (patch #947190).
    * lang/*.inc.php, libraries/mysql_charsets.lib.php: The new collation page
      latin1_spanish_ci (introduced with MySQL 4.1.2) is now described
      correctly.
    * lang/german-*.inc.php: Updates.
    * scripts/create-release.sh: Create backup config file (RFE #968177).

2004-06-06 Garvin Hicking <me@supergarv.de>
    * libraries/display_tbl.lib.php, libraries/functions.js,
      css/phpmyadmin.css.php: Further fixing of broken vertical
      column highlighting; empty repeated header cells are now <th>, not
      <td>. Adjusted CSS to not change visual display of those.
    * (same files): Optimized unneccessary preg_replace.

2004-06-04 Michal Čihař  <michal@cihar.com>
    * libraries/read_dump.lib.php: Do not strip comments here.
    * libraries/sqlparser.lib.php: Handle correctly all MySQL comments (-- can
      be followed with any control char) (patch #965106).
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.

2004-06-04 Garvin Hicking <me@supergarv.de>
    * Bug #959320: Broken row highlighting in vertical
      browsing mode fixed. The pointer will now highlight
      columns as expected and unmark the row after unclicking.

2004-06-03 Alexander M. Turek  <me@derrabus.de>
    * header.inc.php: Undefined variable.

2004-06-03 Michal Čihař  <michal@cihar.com>
    * db_details_links.php, header.inc.php, server_links.inc.php,
      tbl_properties_links.php, css/phpmyadmin.css.php: Use classes for
      heading (RFE #965542).
    * libraries/common.lib.php: Add drop class also to td (RFE #946540).
    * db_details.php, db_details_structure.php, css/phpmyadmin.css.php: CSSize
      error messages.
    * header.inc.php: Remove spaces before colons (bug #965594).
    * lang/*, libraries/common.lib.php: Remove spaces from strServer,
      strDatabase (needed for above fix).
    * libraries/config_import.lib.php: Do not override
      $cfg['ShowHttpHostTitle'].
    * config.inc.php, css/phpmyadmin.css.php, libraries/config_import.lib.php:
      Can disable main page icons (bug #965550).
    * header.inc.php, css/phpmyadmin.css.php: Use span insted of div, div is
      not allowed here.
    * tbl_query_box.php: Fix default query generating.

2004-06-02 Alexander M. Turek  <happybirthdaytome@derrabus.de>
    * db_details_db_info.php, tbl_properties_tbl_info.php: Table type is called
      "Engine" in MySQL 4.1.2 (bug #964011).

2004-05-31 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php: bug #963414, when PropertiesIconic was false,
      the code did not define the icon variables. Also, remove hardcoded
      'Server' string
    * pdf_schema.php: bug #915735, dictionary cropped in landscape letter

2004-05-30 Michal Čihař  <michal@cihar.com>
    * libraries/display_tbl.lib.php: Return back to browsing after editing
      row.

2004-05-29 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #956828, deleting last row gives an error. I could not
      find a case where we need the line I just removed, which was
      causing the bug.
    * tbl_properties.inc.php: missing statement group {}, was causing
      the display of part of the changing amount of columns dialog
      when editing a field structure

2004-05-28 Michal Čihař  <michal@cihar.com>
    * libraries/display_tbl.lib.php: Decrease limit for query truncating (see
      comments in bug #951744).
    * Documentation.html, config.inc.php, tbl_query_box.php: Default query can
      contain field names (RFE #948590, patch #961726).

2004-05-26 Michal Čihař  <michal@cihar.com>
    * lang/norwegian: Update, thanks to Sven-Erik Andersen - sven-erik.
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/dutch: Update thanks to Ivo Teel - calimonk.
    * lang/german-utf-8: Remove duplicated string.
    * lang/*: Remove allow_recoding from non utf-8 translations.
    * tbl_properties.inc.php, tbl_properties_operations.php: PMA_DBI_num_rows
      is not needed and does not work with MYSQL_USE_RESULT (bug #952162).

2004-05-26 Alexander M. Turek  <me@derrabus.de>
    * translators.html: Linked to Indonesian translator's SF page instead of
      his email address.

2004-05-25 Michal Čihař  <michal@cihar.com>
    * main.php, libraries/select_lang.lib.php: Use pma_lang cookie instead of
      just lang.
    * libraries/select_lang.lib.php: Fix language dialects detection (based on
      patch #958994).

2004-05-23 Garvin Hicking <pma@supergarv.de>
    * db_details.php: Fixed broken file upload since redesign-patch.

2004-05-20 Michal Čihař  <michal@cihar.com>
    * many files: Little code reorganistaion (RFE #957308), removed some
      remaining php3 compatibility code in SQL parser.

2004-05-20 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_schema.php: set contents page (first page)'s orientation
      to the same asked for the data dictionary

2004-05-19 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php: bug 956137, undefined $data: on the search page,
      PMA_foreignDropdown() must be called with no current value for
      the data

2004-05-19 Michal Čihař  <michal@cihar.com>
    * libraries/auth/cookie.auth.lib.php: Show login form in top frame.

2004-05-16 Alexander M. Turek  <me@derrabus.de>
    * db_details.php, db_details_structure.php, sql.php, tbl_indexes.php,
      tbl_properties_structure.php, tbl_query_box.php,
      images/b_dbstatistics.png, images/b_tbloptimize.png,
      images/b_useradd.png, images/b_usercheck.png, images/b_userdrop.png,
      images/b_useredit, libraries/display_tbl.lib.php,
      libraries/display_tbl_links.lib.php:
      Patch #947190 (Redesign) - Part 2, thanks to Michael Keck (mkkeck).
    * libraries/functions.js: Bugfix for (un)check all features if
      $cfg['ModifyAtLeft'] and $cfg['ModifyAtRight'] are enabled both, thanks
      to Michael Keck (mkkeck).
    * Documentation.html: Let's use a hyperlink instead of referring to the
      chapter, as the chaper numbers might change.

2004-05-14 Michal Čihař  <michal@cihar.com>
    * libraries/auth/cookie.auth.lib.php: Use one cookie set for each server,
      not just one global (patch #952917, bug #687009).

2004-05-13 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Minor optimalisations.
    * sql.php, tbl_replace.php, libraries/display_tbl.lib.php: Use same code
      for generating INSERT and UPDATE queries (also fixes bug #953250).
    * tbl_replace_fields.php: When field is not set, it is not set :-) (bug
      #953295).
    * tbl_change.php: Repeat Go button every 15 rows globally and not per
      record.
    * tbl_change.php, libraries/tbl_change.js: Uncheck Ignore checkbox for
      inserting when multiple inserts after changing value (RFE #749733).
    * header.inc.php: Simplified title generating.
    * lang/czech: Fixed untranslated word (translation #952551).
    * scripts/create_tables.sql: Cleaned up description, regenerated dump.
    * tbl_row_delete.php: Highlight correct tab for multi row editing/export.
    * tbl_properties_export.php: Generate better query for multi row export.
    * tbl_row_delete.php, lang/*: Handle situation, where user didn't select
      anything, display DROP query on better place (bellow tabs).
    * libraries/common.lib.php: Show refresh link only for SELECT and SHOW
      queries.
    * main.php, css/phpmyadmin.css.php: Let's get rid of some tables.
    * libraries/sqlparser.lib.php, lang/*: Report syntax error when there is
      a broken comment (bug #905066).
    * db_details_structure.php: Fixed colspan.
    * tbl_properties_table_info.php: Do not fail on broken table.

2004-05-12 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: bug #951143, undefined $header_url_qry

2004-05-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_replace.php, tbl_indexes.php, sql.php, db_details_common.php,
      libraries/db_table_exists.php: use PMA_sendHeaderLocation()

2004-05-11 Michal Čihař  <michal@cihar.com>
    * libraries/sqlparser.lib.php: Modified pretty printer to display nicer
      queries generated by our db search.
    * db_search.php: Do not generate search query to include all fields, just
      SELECT * is enough.
    * libraries/display_tbl.lib.php: Use shorter query for edit/delete if
      original one is too long (bug #951744).

2004-05-10 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * left.php: commit for Garvin: fix for wrong group expanding (group
      name containing foreign characters)

2004-05-10 Michal Čihař  <michal@cihar.com>
    * libraries/dbi/mysql.dbi.lib.php: Fix PMA_DBI_field_name, fixes also bug
      #951226.

2004-05-10 Garvin Hicking <pma@supergarv.de>
    * db_details_structure.php, tbl_properties_structure.php: Fixed
      row-selection Javascript for Internet Explorer.

2004-05-09 Garvin Hicking <pma@supergarv.de>
    * main.php, css/phpmyadmin.css.php: Corrected <form> position
      to XHTML compliance. Introduced "nospace" class.

2004-05-09 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.
    * tbl_properties_operations.php: Fixed documentation link.

2004-05-09 Alexander M. Turek  <me@derrabus.de>
    * db_datadict.php: Patch #950726 (minor CSS fixes) thanks to
      Adam Shantz (musus).
    * lang/german-*.inc.php: Updates.
    * db_details_structure.php, main.php:
      - coding standards;
      - removed debug code.

2004-05-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php, lang/*: InnoDB table defragmentation

2004-05-08 Alexander M. Turek  <me@derrabus.de>
    * config.inc.php, db_details_structure.php, Documentation.html,
      header.inc.php, left.php, main.php, images/*, libraries/common.lib.php,
      libraries/config_import.lib.php:
      Patch #947190 (Redesign) - Part 1, thanks to Michael Keck (mkkeck).

2004-05-07 Alexander M. Turek  <me@derrabus.de>
    * calendar.php: Added missing CVS-ID-Tag.

2004-05-07 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.0-alpha2 released

2004-05-07 Garvin Hicking <pma@supergarv.de>
    * db_details_db_info.php: When $cfg['ShowTooltipAliasTB'] is set to
      'nested', the displayed table names should always be the real names,
      not the table comments.
    * libraries/display_tbl.lib.php, libraries/display_tbl_links.lib.php,
      librarries/functions.js: RFE #856208 - Show (un)check all boxes
      for query results.
    * tbl_create.php, tbl_addfield.php, tbl_properties.inc.php:
      RFE #949594 - Allow changing amount of columns for adding fields/
      creating table (without losing previous data)

2004-05-07 Alexander M. Turek  <me@derrabus.de>
    * README: Updated copyright as discussed a couple of days ago.

2004-05-06 Garvin Hicking <pma@supergarv.de>
    * libraries/display_tbl.lib.php: Bug #949087 - Fixed JS error for
      mousepointer hovering on rows w/o checkboxes.

2004-05-05 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php: patch #939197, new choice of operator LIKE %...%
      because this syntax is so often used, thanks to Ruben Barkow (rubo77)

2004-05-05 Garvin Hicking <pma@supergarv.de>
    * db_details_db_info.php, db_details_structure.php, left.php: Speed
      up table fetching when using $cfg['ShowTooltips']. Allow to only
      see the grouped/nested tables in properties panel when clicking on
      a table group on the left frame.
    * db_details_structure.php: If JS is enabled, take away <label> link
      functionality because of onmousedown-handler duplicating this
      effect.
    * tbl_properties_structure.php: RFE #947467 - coloured mousecursor
      for column overview.

2004-05-05 Michal Cihar  <michal@cihar.com>
    * config.inc.php, tbl_change.php, tbl_replace.php,
      libraries/common.lib.php, libraries/config_import.lib.php: Support for
      insert multiple rows at once (RFE #749733).
    * scripts/extchg.sh, scripts/inno2pma.sh: Removed unneeded scripts.

2004-05-04 Michal Cihar  <michal@cihar.com>
    * libraries/sqlparser.data.php: Add ENGINE to reserved words (used instead
      of TYPE in MySQL 4.1.1).
    * libraries/export/sql.php: Fix handling of multi column foreign keys (bug
      #946861).

2004-05-04 Garvin Hicking <pma@supergarv.de>
    * db_details_structure.php: RFE #947467 - Made coloured Mousecursor
      available in tables overview, clicking on a cell in the table
      selects the checkbox next to it.
    * Documentation.html, config.inc.php, left.php: Use NaturalOrder
      for Non-Light left frame. Introduce new option 'nested' for
      $cfg['ShowTooltipAliasTB']. With this set Aliases are used for
      virtual nested grouping, but for the tablename itself the tablename
      will be show, not the Alias.

2004-05-03 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Clarification.

2004-05-03 Michal Cihar  <michal@cihar.com>
    * querywindow.php: Fix javascript error (bug #946823).
    * tbl_query_box.php: Stray <li> (bug #946530).
    * querywindow.php, tbl_query_box.php: A bit more XHTML validity.
    * css/phpmyadmin.css.php, libraries/common.lib.php: Make tabs CSS styled
      (RFE #946540).
    * db_details.php, tbl_change.php, tbl_query_box.php,
      css/phpmyadmin.css.php: Get rid of wrap="virtual" to achieve more XHTML
      validity.
    * libraries/common.lib.php, lang/*: Add Refresh link (RFE #942110).
    * sql.php, libraries/display_tbl.lib.php: Export only SELECT queries, do
      not show multi row actions when no checkboxes shown.

2004-05-03 Garvin Hicking <pma@supergarv.de>
    * lang/german* - Translation
    * left.php: Bug #946501 - Nested table now also work with aliased
      tablenames.
    * config.inc.php, libraries/config_import.lib.php, querywindow.php,
      footer.inc.php, Documentation.html: Removed obsolete
      QueryFrameDebug configuration directive
    * tbl_row_delete.php: Multi Row edit/delete: Fixed wrong switch
      structure to take previous settings into account.

2004-05-02 Michal Cihar  <michal@cihar.com>
    * tbl_change.php: Unclosed tag written by javascript (bug #945905).

2004-04-30 Michal Cihar  <michal@cihar.com>
    * libraries/auth/cookie.auth.lib.php: Do not double frames on login (bug
      #944870).

2004-04-29 Garvin Hicking <pma@supergarv.de>
    * db_details_structure.php: Bug #942362 - Colspan off by one
    * left.php: Modified js function to fit typecasting of Safari
    * browse_foreigners.php: Bug #928328 - Use correct urlencoding() of
      the primary key reference.

2004-04-29 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/create-release.sh: keep only one previous version in cvs-prev
    * lang/estonian: Updated, thanks to Alvar Soome (finsoft).
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac).
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/slovenian update, thanks to Kositer Uros
    * libraries/common.lib.php: patch #859034, better BLOB comparison

2004-04-29 Michal Cihar  <michal@cihar.com>
    * libraries/display_tbl.lib.php, libraries/sqlparser.lib.php,
      libraries/string.lib.php, libraries/dbi/mysql.dbi.lib.php: SQL parser
      now correctly works with multibyte strings (bug #936161).
    * libraries/dbi/mysql.dbi.lib.php: Do not break TEXT fields (bug #860160).
    * libraries/display_tbl.lib.php: Show if BLOB is null (RFE #941528).
    * tbl_properties_structure.php: Forgotten </nobr> -> </div>.
    * libraries/display_tbl.lib.php: Fixed class="nobr" -> class="nowrap".

2004-04-28 Michal Cihar  <michal@cihar.com>
    * css/phpmyadmin.css.php: Force <button> to be displayed inline.
    * libraries/common.lib.php: When only_db matches no database, do not show
      any (bug #943626).
    * css/phpmyadmin.css.php: Not .nowrap, but div.nowrap should have zero
      margin/padding.
    * server_privileges.php: No ugly message when editing privileges for
      non-existant database (bug #942357).

2004-04-28 Garvin Hicking <pma@supergarv.de>
    * left.php, main.php, server_databases.php, common.lib.php,
      db_details_common.php: Bug #942296 - Safari can't handle
      location.replace() redirects correctly
    * libraries/tbl_change.js: Restrict calendar to maximum values for
      days/hours/minutes/seconds.
    * tbl_change.php: Bug #913600 - Made tabindex/id of multi-edit table
      unique.
    * left.php, libraries/left.js: Fixed unneeded spacing between items
      and wrong collapsing in nested mode (Bug #943140). Removed
      some debugging non-xhtml tags.
    * css/phpmyadmin.css.php: Added zero margin/padding to nowrap element
      for compatibility to the good old nobr-tag

2004-04-27 Michal Cihar  <michal@cihar.com>
    * calendar.php, libraries/tbl_change.js: Don't reset clock when moving in
      calendar.
    * Almost everything: Be valid XHTML 1.0 (probably still not completely),
      lists items now have padding, so no more magins and <br />'s inside of
      them are needed.
    * main.php, css/phpmyadmin.css.php: Main page now uses lists instead of
      nested tables.
    * libraries/display_tbl.lib.php: Sort query generating now uses parsed
      query (bug #885497).

2004-04-27 Garvin Hicking <pma@supergarv.de>
    * libraries/display_tbl.lib.php: Bug #942392 - Wrapping sort order
      link in a way that the image always belongs to the last word
    * libraries/display_tbl.lib.php: RFE #867284 - Click on result row
      to mark the checkbox.
    * tbl_select.php: RFE #940194 - Add REGEXP to table search options
    * read_dump.php: Bug #925913 - Uploading with UploadDir/open_basedir
      fails.
    * querywindow.php: Bug #942395 - Missing space
    * libraries/display_tbl.lib.php: Bug #942362 - Colspan of results
      table off by one.
    * db_datadict.php: Bug #942359 - Data dictionary had wrong <div>-
      count. Replace h1 with h2 for consitency
    * libraries/display_tbl.lib.php, tbl_row_delete: Bug #942356,
      missing localization for multi-row edit/delete/export feature.
    * footer.inc.php: Fixed bug #942316 - Consistent window layout for
      query window.
    * left.php: Fixed bug #942374 - Undefined indizes in left frame
      for light mode. Improved performance. Fixed tab-formatted code and
      adjusted to coding guidelines.
    * read_dump.php: Fixed bug #942390 - When entering a "USE database"
      query together with multiple other queries, the db was reset to
      the first one.

2004-04-26 Marc Delisle  <lem9@users.sourceforge.net>
    * config.inc.php, left.php, Documentation.html,
      libraries/config_import.lib.php, libraries/common.lib.php:
      $cfg['LeftDisplayServersList'] to display the server choice as links,
      thanks to Cal Henderson

2004-04-26 Michal Cihar  <michal@cihar.com>
    * libraries/string.lib.php: mb_* functions don't know some windows-*
      charsets (bug #940638).
    * tbl_indexes.php: Remove print_r (bug #942383).

2004-04-22 Michal Cihar  <michal@cihar.com>
    * libraries/export/sql.php: Invalid SQL on empty table export (bug
      #939918).

2004-04-21 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.0-alpha1 released
    * (after the release) user_password.php: undefined offset in blowfish.php

2004-04-20 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html, README:
      - The MySQL 4.1 support is not experimental anymore;
      - Updated credits.
    * server_privileges.php: Fixed an error that occured when trying to add
      privileges to non-existant tables.

2004-04-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/tbl_change.js: was always returning current day

2004-04-20 Michal Cihar  <michal@cihar.com>
    * libraries/tbl_change.js, css/phpmyadmin.css.php: Added time editing to
      calendar.

2004-04-19 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Clarification.
    * config.inc.php, Documentation.html, libraries/config_import.lib.php:
      Updated path to MySQL's searchable online documentation.
    * ChangeLog: Recoded to UTF-8.
    * server_privileges.php: Illegal mix of collations.
    * libraries/dbi/*.dbi.lib.php: Don't touch character_set_connection
      (bug #902414). This should fix many "Illegal mix of collations" errors.

2004-04-19 Marcel Tschopp  <ne0x@users.sourceforge.net>
    * libraries/export/sql.php, libraries/export/latex.php: Fixed a few
      mysqli-specific export-bugs

2004-04-19 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug 780516: capitalizing keywords: we no longer
      put the formatted query into $sql_query, due to better pattern matching

2004-04-19 Michal Cihar  <michal@cihar.com>
    * libraries/tbl_change.js: Better return value formatting.
    * Documentation.html: Mentioned header and footer customization.

2004-04-18 Michal Cihar  <michal@cihar.com>
    * libraries/tbl_change.js: Fixed calendar behaviour for DATE fields.
    * libraries/auth/cookie.auth.lib.php: Fix LoginCookieValidity behaviour.
    * libraries/tbl_change.js, tbl_change.php: Add support for DATETIME.

2004-04-18 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates.
    * server_privileges.php:
      - $url_query was not visible in function scope;
      - Hotfix to avoid "MySQL out of sync" errors.
    * libraries/dbi/*.dbi.lib.php: Allow the $link argument of
      PMA_DBI_affected_rows() to be left out.

2004-04-17 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysql.dbi.lib.php: was still using PMA_mysql_field_flags

2004-04-17 Alexander M. Turek  <me@derrabus.de>
    * db_create.php, db_details_structure.php, db_details_common.php, main.php,
      tbl_alter.php, tbl_create.php, tbl_properties.inc.php,
      tbl_properties_operations.php, tbl_properties_structure.php,
      tbl_properties_table_info.php, libraries/mysql_charsets.lib.php:
      Added ability to set / alter collations for databases, tables and fields.
    * tbl_alter.php: Charset information got lost when changing fields.
    * libraries/common.lib.php, libraries/mysql_wrappers.lib.php:
      Removed mysql_wrappers library.

2004-04-16 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french update
    * scripts/create-release.sh: daily snapshots

2004-04-16 Michal Cihar  <michal@cihar.com>
    * libraries/common.lib.php, libraries/export/sql.php: ANSI compatible
      exports (RFE #859815).
    * images/button_export.png: At least some export icon.
    * libraries/display_tbl.lib.php: Fix image sizes.
    * calendar.php, tbl_change.php, css/phpmyadmin.css.php,
      images/button_calendar.png, libraries/tbl_change.js, lang/*: Pop-up
      calendar for date fields (RFE #880647).

2004-04-15 Marc Delisle  <lem9@users.sourceforge.net>
    * ldi_table.php: allow longer field terminator (was 2 now 4);
      for example, to load a file where each line represents one field
      and the end of line is \r\n

2004-04-15 Michal Cihar  <michal@cihar.com>
    * tbl_properties_export.php, tbl_row_delete.php,
      libraries/display_tbl.lib.php: Support for exporting selected rows (RFE
      #927554).
    * libraries/auth/cookie.auth.lib.php: Fix possible undefined variable use.
    * libraries/display_tbl.lib.php: Convert charset for column fields (thanks
      to Marc for noticing this).

2004-04-15 Olivier Mueller <om@omnis.ch>
    * left.php: RFE #859208, Logout button in left frame

2004-04-14 Michal Cihar  <michal@cihar.com>
    * lang/czech: Updated.
    * tbl_select.php: Fixed undefined variable warning.
    * libraries/common.lib.php, libraries/display_tbl.lib.php,
      libraries/export/sql.php: Really support export of UPDATE queries (bug
      #914237), condition generation used from previous implementation in
      display_tbl.lib.php and moved to common.lib.php.
    * config.inc.php, export.php, lang/*, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php,
      libraries/export/*: Support for enclosing SQL export in transaction (RFE
      #930827).
    * libraries/export/csv.php: Do not strip export too much (bug #913988).
    * libraries/export/xml.php: Use PMA_DBI_fetch_row and drop PHP 3
      compatibility code.

2004-04-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: bug 930445 when PMA_table_info not defined,
      thanks to Philippe Jausions (jausions)
    * Documentation.html: new faq links and cleanup, thanks to Cédric Corazza
    * tbl_replace.php, libraries/defines.lib.php, /common.lib.php:
      bug 898484, IIS crash: do not use header('Location: ')

2004-04-12 Marcel Tschopp <marcel.tschopp@gmx.net>
    * left.php, tbl_properties_structure.php, libraries/mysql_charsets.lib.php,
      libraries/relation.lib.php: Changed some queries to use
      MYSQLI_STORE_RESULT.

2004-04-10 Marcel Tschopp <marcel.tschopp@gmx.net>
    * db_datadict.php, db_details_db_info.php, db_details_qbe.php,
      db_details_structure.php, db_printview.php, left.php, main.php,
      pdf_pages.php, read_dump.php, server_privileges.php, sql.php,
      tbl_change.php, tbl_indexes.php, tbl_properties_structure.php,
      tbl_relation.php, tbl_select.php, libraries/database_interface.lib.php,
      libraries/db_table_exists.lib.php, libraries/mysql_charsets.lib.php,
      libraries/relation.lib.php, libraries/dbi/mysqli.dbi.lib.php:
      Changed some queries to use MYSQLI_STORE_RESULT. phpMyAdmin now works
      with MYSQLI_USE_RESULT as default.
    * libraries/display_tbl.lib.php: Use PMA_DBI_fetch_row instead of
      PMA_DBI_fetch_array.

2004-04-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php, lang/*: feature 788608: new features for Search:
      DISTINCT, IS NULL, IS NOT NULL, NOT LIKE, multiple select for ENUM,
      and column title is now Operator, thanks to Philippe Jausions (jausions)

2004-04-08 Marcel Tschopp <marcel.tschopp@gmx.net>
    * phpinfo.php, tbl_relation.php, libraries/display_tbl.lib.php
      libraries/mysql_wrappers.lib.php, libraries/dbi/mysql.dbi.lib.php
      libraries/dbi/mysqli.dbi.lib.php, libraries/export/*.php:
      phpMyAdmin should now be fully compatible with the new mysqli
      extension. All extension specific functions are wrapped now.
    * libraries/dbi/mysqli.dbi.lib.php: code optimizations
    * tbl_replace.php: bug 926986, "multi-edit: updates completely ignored",
      thanks to Wandering Zombie (wanderingzombie).

2004-04-07 Marcel Tschopp <marcel.tschopp@gmx.net>
    * multi_submits.inc.php, lang/german: bug 930714, wrong spelling and
      query display. Thanks to Daniel Marschall (blackdrake)

2004-04-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, bug 931034, big numbers data entry,
      thanks to Dmitry (yrtimd)
    * tbl_row_delete.php, libraries/display_tbl.lib.php: bug 921939,
      problem with multi-row delete and quotes in WHERE clause,
      thanks to Ryan Schmidt (ryandesign)

2004-04-06 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php, complete the fix for bug 922054

2004-04-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/malay: updated, thanks to nobody
    * lang/lithuanian: Updated, thanks to Vilius Zigmantas (viliusz).

2004-04-03 Olivier Mueller <om@omnis.ch>
    * server_privileges.php, libraries/server_privileges.js: added
      (un)checkall links to the "Global privileges" edition form.
      Todo: make it work even if JS is disabled + local links
      for the "Data" and "Structure" checkboxes groups.

2004-04-02 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Fixed a typo.

2004-04-01 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug 922054, when there is no control user, the detection
      of the grants does not take into account all cases;
      thanks to Thomas ( jacob@internet24.de)

2004-03-30 Michal Cihar  <michal@cihar.com>
    * tbl_indexes.php: Use properly $cfg['PropertiesIconic']  (bug #918072).

2004-03-29 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug 923171, password error when copying a user
    * server_privileges.php: bug 923227, copying a user with table privs

2004-03-26 Marc Delisle  <lem9@users.sourceforge.net>
    * left.php, db_details_structure.php, config.inc.php, Documentation.html,
      libraries/common.lib.php, libraries/config_import.lib.php:
      Sort database and table names in natural order,
      thanks to Hoo Jia Xiong (hoojx)

2004-03-25 Marcel Tschopp <marcel.tschopp@gmx.net>
    * libraries/display_tpl.lib.php, mysqli.dbi.lib.php:
      Mysql4.1 specific fix in function PMA_displayTableBody() (character set
      conversions).

2004-03-25 Marcel Tschopp <marcel.tschopp@gmx.net>
    * tbl_change.php, libraries/dbi/mysql.inc.php, libraries/dbi/mysqli.inc.php:
      Added wrapping function PMA_DBI_field_len.
    * libraries/dbi/mysqli.inc.php: Set default value '' for parameter $link
      from function PMA_DBI_insert_id().

2004-03-25 Michal Cihar  <michal@cihar.com>
    * libraries/bookmark.lib.php: Fix errors when bookmarktable does not
      exists (bug #922509).
    * lang/sync_lang.sh: I switched to utf-8 so default for czech is utf-8.
    * lang/czech: Fixed typos and improved some texts.

2004-03-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug 922553, wrong boundary check in
      PMA_flipstring(), thanks to Virgile Petit (pvtc)

2004-03-24 Michal Cihar  <michal@cihar.com>
    * lang/*: Added missing "$strConnectionError" (bug #922006).

2004-03-23 Olivier Mueller <om@omnis.ch>
    * libraries/mysql_wrappers.lib.php: added mysqli support to the
      PMA_mysql_field_flags function because mysqli does not know the function
      mysqli_field_flags (submitted by Marcel Tschopp - aka 'ne0x' on SF).
    * libraries/dbi/mysqli.dbi.lib.php: changed default query mode from
      MYSQLI_USE_RESULT to MYSQLI_STORE_RESULT in the
      PMA_DBI_try_query function (ne0x)
    * libraries/dbi/mysql.dbi.lib.php, libraries/dbi/mysqli.dbi.lib.php:
      Added wrapping function PMA_DBI_fetch_array() (ne0x)
    * libraries/display_tbl.lib.php: PMA_displayTableBody() function now uses
      the new PMA_DBI_fetch_array() function instead of
      PMA_mysql_fetch_array() (ne0x)

2004-03-22 Michal Cihar  <michal@cihar.com>
    * libraries/auth/config.auth.lib.php: Set correct variable to avoid
      attempting sending headers twice.

2004-03-22 Garvin Hicking <pma@supergarv.de>
    * lang/german-*: Update

2004-03-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/romanian: Updated, thanks to Valics Lehel.
    * libraries/common.lib.php: bug 913704, delete link in db search
    * libraries/sqlparser.lib.php: bug 906551, GRANT...TO: another case

2004-03-13 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug 913630: did not detect correctly DELETE FROM table
      and even if detected, was calling a non-existent PMA_DBI_result()

2004-03-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: bug 877359, no CONSTRAINT in
      SHOW CREATE TABLE on older MySQL versions

2004-03-10 Michal Cihar  <michal@cihar.com>
    * export.php: Correctly report error when export fails.
    * libraries/database_interface.lib.php, libraries/dbi/mysql.dbi.lib.php,
      libraries/dbi/mysqli.dbi.lib.php: Support for unbuffered queries -
      PMA_DBI_QUERY_UNBUFFERED and fix support of PMA_DBI_QUERY_STORE.
    * libraries/export/*.php: Use unbuffered queries (patch #890075).
    * libraries/export/sql.php, libraries/display_export.lib.php, lang/*,
      config.inc.php, libraries/common.lib.php,
      libraries/config_import.lib.php: Add support for INSERT IGNORE and
      UPDATE IGNORE.
    * config.inc.php, lang/*, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php,
      libraries/export/sql.php: Add support for IF NOT EXISTS in CREATE TABLE
      export (RFE #913421).
    * lang/czech: Updated.
    * libraries/export/sql.php, lang/*: Remove some hardcoded strings.
    * tbl_change.php, tbl_replace.php, lang/*: New "Go back to this page"
      while editing.
    * db_details_structure.php, lang/*: Implement database renaming (RFE
      #792463).
    * tbl_properties_operations.php: Copy table defaults to structure and data
      (RFE #856517).

2004-03-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, libraries/display*, lang/*:
      bug 887933: avoid generating a nested form, and show a warning
      when user should define a primary key to get the Edit and Delete links
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).

2004-03-09 Michal Cihar  <backtowork@cihar.com>
    * libraries/dbi/mysql.dbi.lib.php: Remove possible double charset
      conversion.
    * libraries/dbi/mysql.dbi.lib.php, libraries/dbi/mysqli.dbi.lib.php: Fix
      PMA_mysql_fetch_array return value for last result (bug #905223).
    * browse_foreigners.php, libraries/common.lib.php,
      libraries/display_tbl.lib.php, libraries/relation.lib.php,
      libraries/sqlparser.lib.php, libraries/string.lib.php,
      libraries/transformations/text_plain__substr.inc.php: Use charset aware
      substr and strlen functions (bugs #854755 and #910575).
    * export.php: Fix buffer length counting, fix error detection (bug
      #909710).
    * libraries/export/latex.php: Fix undefined variable warning.
    * libraries/config_import.lib.php, libraries/common.lib.php,
      libraries/display_export.lib.php, libraries/export/sql.php, lang/*: Can
      add custom text to SQL export headers (RFE #874361).
    * config.footer.inc.php, config.header.inc.php, footer.inc.php,
      header.inc.php, libraries/auth/cookie.auth.lib.php,
      libraries/auth/http.auth.lib.php: Support for site configurable header
      and footer (patch #893477).

2004-03-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug 909752, floating point digit
    * libraries/sqlparser.lib.php: bug 906551, GRANT...TO

2004-03-03 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, tbl_replace_fields.php: bug 907510, invalid
      escaping of + in ENUM

2004-03-01 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.6 released from branch MAINT_2_5
    * libraries/common.lib.php: change Revision number to trigger execution
      of compatibility module config_import.lib.php, because cookie
      login does not work if LoginCookieValidity is not defined

2004-02-29 Alexander M. Turek  <howcanisleepwithyourvoiceinmyhead@derrabus.de>
    * tbl_select.php: Fixed bug #887505 (PMA does not add MySQL charsets to
      WHERE clauses).
    * libraries/dbi/mysql.dbi.lib.php: Yet another ungly fix concerning the
      missing mysql_get_client_info() function.

2004-02-27 Michal Cihar  <imback@cihar.com>
    * config.inc.php, libraries/config_import.lib.php,
      libraries/auth/cookie.auth.lib.php: Encrypted password is working only
      for limited (configurable) time, user name is encrypted (RFE #902295).

2004-02-26 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug 905066, memory eater, thanks to xuefer

2004-02-24 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: bug 903450, typo
    * tbl_row_delete.php: bug 878995: mult_submits.inc.php should not be
      called twice

2004-02-18 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug 899610, undefined variable $save_filename

2004-02-15 Alexander M. Turek  <onehotminute@derrabus.de>
    * libraries/select_lang.lib.php: Deactivated the code part that disables
      the UTF-8 language files if $cfg['AllowAnywhereRecoding'] is set to FALSE
      (bug #887183).
    * lang/russian-dos-622.inc.php, lang/russian-cp-622.inc.php,
      lang/snyc_lang.sh, libraries/select_lang.lib.php:
      - Changed charset definition from dos-622 into cp-622. Both definitions
        describe the same charset, but cp-622 is recognized better by some
        browsers;
      - File was broken due to some bad typos.
    * lang/korean*.inc.php, lang/sync_lang.sh, libraries/select_lang.lib.php:
      - Changed Korean charset to EUC-KR. The old charset is a subset of EUC-KR,
        so this change shouldn't cause big problems. The support for EUC-KR is
        wider and we are now able to create a Korean UTF-8 language file;
      - Added korean-utf-8 translation.
    * config.inc.php, libraries/config_import.lib.php: Added missing Arabic
      Windows-1256 charset to the default value of $cfg['AvailableCharsets'].
    * libraries/select_lang.lib.php, libraries/dbi/*.dbi.lib.php: When connected
      to a MySQL 4.1 server, we now pick the MySQL charset that fits the one of
      the selected language file.
    * main.php:
      - Removed MySQL charset selection for MySQL 4.1.
      - Instead, the MySQL charset we picked is displayed.

2004-02-14 Alexander M. Turek  <thewall@derrabus.de>
    * libraries/database_interface.lib.php, libraries/dbi/*.dbi.lib.php:
      Introduced options parameter for query functions.
    * libraries/mysql_charsets.lib.php: Fixed a "MySQL out of sync" error.

2004-02-13 Alexander M. Turek  <resist@derrabus.de>
    * libraries/common.lib.php: Fixed bug #890186 (PMA chokes on undefined
      parser functions if one of the very first queries fails.
    * server_databases.php: Removed forgotten calls to mysql_wrappers.lib.

2004-02-11 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug 818654, password not copied
    * read_dump.php, libraries/display_tbl.lib.php, /bookmark.lib.php:
      bug 879005: execute stored bookmarks when user is different

2004-02-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/dutch update, thanks to Ivo Teel
    * lang/catalan: Updated, thanks to Xavier Navarro (xavin)
    * lang/estonian: Updated, thanks to Alvar Soome (finsoft).

2004-02-05 Alexander M. Turek  <chaos@derrabus.de>
    * Documentation.html: Added FAQ 1.17a about error message, "Client does not
      support authentication protocol".

2004-02-04 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug 890573 (was a typo)

2004-02-03 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug 879923, NULL default value of DATETIME field

2004-02-02 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: security fix, thanks to Cedric Cochin for the advisory
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac).

2004-02-02 Alexander M. Turek  <supposedformerinfatuationjunkie@derrabus.de>
    * libraries/mysql_charsets.lib.php: Use PMA_backquote().

2004-01-31 Michal Cihar  <whyisitsocold@cihar.com>
    * lang/czech: Update.

2004-01-23 Alexander M. Turek  <stormfront@derrabus.de>
    * lang/german-*.inc.php: Updates.

2004-01-29 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan: Updated, thanks to Xavier Navarro (xavin)
    * lang/italian: Updated, thanks to Pietro Danesi (danone).
    * lang/danish: updates, thanks to Finn Sorensen (alleyman01)
    * lang/*, header.inc.php, db_details_links.php, sql.php,
      libraries/functions.js: new stronger warning before a DROP DATABASE

2004-01-28 Garvin Hicking <MyDoom@supergarv.de>
    * browser_foreigners, tbl_change.php, tbl_indexes.php,
      tbl_properties_structure.php, tbl_relation.php, tbl_select.php,
      libraries/get_foreign.lib.php, libraries/relation.lib.php:
      Get rid of mysql_data_seek(). Use pre-cached PHP array for
      mysqli compatibility and bandwidth saving.

2004-01-27 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug 884606, MySQL version check before server choice

2004-01-26 Robin Johnson <robbat2@users.sourceforge.net>
    * libraries/dbi/mysql.dbi.lib.php: Correct the default parameter for
    PMA_DBI_insert_id($link = '') and convert file back to UNIX linefeeds.

2004-01-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_row_delete.php: bug 882695, broken row highlighting
    * libraries/display_tbl.lib.php: bug 879792, bad sort link
    * libraries/dbi/*: PMA_DBI_num_fields()

2004-01-24 Marc Delisle  <lem9@users.sourceforge.net>
    * querywindow.php: PMA_DBI_close() instead of DBI_close()
    * Documentation.html: clarify FAQ 6.21
    * libraries/dbi/*: use generic $strCantLoad message
    * lang/*: remove $strCantLoadMySQL message
    * libraries/dbi/mysqli.dbi.lib.php: @ before connect to avoid the
      display of unwanted error messages
    * libraries/relation.lib.php: PMA_DBI_fetch_row() instead of fetch_assoc()

2004-01-23 Alexander M. Turek  <foreveryoung@derrabus.de>
    * header_printview.inc.php:
      - Don't bypass $cfg['Server']['verbose'] settings;
      - Include MySQL version in SQL printview headers.
    * header.inc.php: Avoid sending headers twice.

2004-01-22 Alexander M. Turek  <innocenteyes@derrabus.de>
    * libraries/dbi/mysqli.dbi.lib.php: Experimental new MySQLi library.
    * browse_foreigners.php, db_create.php, db_datadict.php,
      db_details_common.php, db_details_db_info.php, db_details_qbe.php,
      db_details_structure.php, db_printview.php, export.php, ldi_table.php,
      left.php, main.php, mult_submits.php, pdf_pages.php, pdf_schema.php,
      querywindow.php, read_dump.php, server_common.inc.php,
      server_privileges.php, server_processlist.php, server_status.php,
      server_variables.php, sql.php, tbl_addfield.php, tbl_alter.php,
      tbl_change.php, tbl_create.php, tbl_index.php, tbl_move_copy.php,
      tbl_printview.php, tbl_properties.inc.php, tbl_properties_operations.php,
      tbl_properties_table_info.php, tbl_query_box.php, tbl_relation.php,
      tbl_rename.php, tbl_replace.php, tbl_select.php,
      transformation_wrapper.php, user_password.php, libraries/bookmark.lib.php,
      libraries/common.lib.php, libraries/db_table_exists.lib.php,
      libraries/display_tbl:lib.php, libraries/get_foreign.lib.php,
      libraries/mysql_charsets.lib.php, libraries/relation.lib.php,
      libraries/transformations.lib.php, libraries/auth/config.auth.lib.php,
      libraries/auth/cookie.auth.lib.php, libraries/export/*.php:
      - Removed most remaining calls to old mysql_wrappers library;
      - Small optimizations and XHTML fixes.
    * libraries/database_interface.lib.php, libraries/dbi/mysql.dbi.lib.php:
      - Moved PMA_DBI_get_dblist() definition to database_interface.lib;
      - Fixed "undefined constant" warning (bug #881637);
      - Added new functions: PMA_DBI_select_db(), PMA_DBI_get_fields(),
        PMA_DBI_get_fields_meta();
      - Bypassing charset conversion code for MySQL >= 4.1 experimentally.
    * Documentation.html: Changed my email address.
    * header_printview.inc.php:
      - Don't bypass $cfg['Server']['verbose'] settings;
      - Include MySQL version in SQL printview headers.
    * header.inc.php: Avoid sending headers twice.

2004-01-21 Michal Cihar  <thesiswritten@cihar.com>
    * lang/czech: Fixed unclear message.

2004-01-20 Marc Delisle  <lem9@users.sourceforge.net>
    * all concerned scripts: PMA_DBI_num_rows()
    * all concerned scripts: PMA_DBI_free_result()
    * all concerned scripts: PMA_DBI_insert_id()
    * all concerned scripts: PMA_DBI_affected_rows()

2004-01-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, libraries/dbi/mysql.dbi.lib.php:
      PMA_DBI_get_dblist()

2004-01-17 Michal Cihar  <argh@cihar.com>
    * lang/czech: Updated.

2004-01-17 Alexander M. Turek  <roomservice@derrabus.de>
    * config.inc.php, Documentation.html, footer.inc.php, lang/*.inc.php,
      libraries/common.lib.php, libraries/config_import.lib.php,
      libraries/database_interface.lib.php, libraries/defines.lib.php,
      libraries/defines_mysql.lib.php, libraries/mysql_wrappers.lib.php,
      libraries/auth/config.auth.lib.php, libraries/auth/cookie.lib.php,
      libraries/dbi/mysql.dbi.lib.php: Database abstraction.
    * main.php: This script now accesses MySQL exclusivly through the new DBI
      functions.

2004-01-14 Marc Delisle  <lem9@users.sourceforge.net>
    * mult_submits.inc.php: bug 876805, dropping a field with the
      multi-submit mechanism removes all internal relations of a table,
      patch thanks to Joosep-Georg Järvemaa (j-georg)

2004-01-13 Robin Johnson <robbat2@users.sourceforge.net>
    * Documentation.html: Slight update to what I've done

2004-01-12 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/portuguese: Updated, thanks to Lopo Pizarro (lopopizarro).

2004-01-09 Alexander M. Turek  <singwhenyourewinning@derrabus.de>
    * libraries/sqlparser.lib.php: Support for _charset syntax.

2004-01-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php: bug 873236 SQL_CALC_FOUND_ROWS

2004-01-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php, /display_tbl_links.lib.php:
      bug 857743, SHOW errors

2004-01-06 Alexander M. Turek  <therising@derrabus.de>
    * libraries/charset_conversion.lib.php: Skip charset conversion code if
      input charset and output charset are the same.

2004-01-05 Garvin Hicking <returnofthegarv@supergarv.de>
    * browse_foreigners.php, tbl_change.php: Sort key/value pairs
      as discussed in RFE #868369. Made foreigner window resizable.
    * libraries/functions.js: Reverted row marker patch. See RFE #867284
      for details.
    * libraries/display_tbl.lib.php, libraries/display_tbl_links.lib.php,
      libraries/functions.js: Upon clicking on a result row, de/activate
      the checkbox next to it. Only makes sense for horizontal mode. Can be
      deactivated by setting BrowseMarkerColor to an empty string in config.inc.php.

2004-01-05 Alexander M. Turek  <rumors@derrabus.de>
    * tbl_properties_operations.php: Changing a table's charset changed the
      charset of all fields (MySQL >= 4.1.1).

2004-01-04 Alexander M. Turek  <beggaronabeachofgold@derrabus.de>
    * libraries/config_import.lib.php: Added missing compatibility code for
      $cfg['RecodingEngine'].

2004-01-02 Alexander M. Turek  <wecantdance@derrabus.de>
    * libraries/mysql_charsets.lib.php, libraries/sqlparser.lib.php:
      MySQL collations are now parsed and highlighted.
    * libraries/export/sql.php: Include charset / collation information in db
      export.

2004-01-02 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: bug 868996, debug code still in place,
      thanks to Matthias Fichtner (mfichtner)
    * browse_foreigners.php: paging does not work; obey RepeatCells=0
    * libraries/display_tbl.lib.php: bug 857743, SHOW FIELDS

2003-12-30 Michal Cihar  <happynewyer@cihar.com>
    * lang/czech: Updated.
    * lang/*: Fixed typo s/Chech-Slovak/Czech-Slovak/.

2003-12-30 Alexander M. Turek  <facevalue@derrabus.de>
    * config.inc.php, db_details_common.php, db_details_structure.php,
      tbl_properties_operations.php, css/phpmyadmin.css.php,
      libraries/common.lib.php, libraries/config_import.lib.php,
      libraries/mysql_charsets.lib.php, libraries/sqlparser.lib.php:
      - SQL parser detected the character set "binary" as column attribute;
      - MySQL charsets are now parsed and highlighted - Note: the SQL parser
        library now has to be included AFTER having connected to the MySQL
        server;
      - The default charset of a database may now be changed;
      - Ensured that the user's connection is used for setting and retreiving
        charset information.
      * libraries/defines.lib.php: typo.

2003-12-30 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php: bug 867320, dropdowns in search page

2003-12-29 Alexander M. Turek  <crazysexycool@derrabus.de>
    * db_details_structure.php, libraries/mysql_charsets.lib.php:
      - display database collation (MySQL >= 4.1.1);
      - list collations of all tables.
    * tbl_properties_strcuture, tbl_properties_table_info.php:
      - Changed "Charset" label to "Collation" because it fits better;
      - The column collations weren't displayed with MySQL 5.0.
    * libraries/sqlparser.data.php: New reserved words:
      - COLLATE (since MySQL 4.1.0);
      - RETURN  (since MySQL 5.0.0).

2003-12-28 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.5 released

2003-12-27 Alexander M. Turek  <tragickingdom@derrabus.de>
    * Documentation.html, README: I tested phpMyAdmin with MySQL 5.0.0-alpha.

2003-12-25 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_qbe.php: error when generating joins
    * Documentation.html: FAQ 6.22: default bookmark execution

2003-12-23 Marc Delisle  <lem9@users.sourceforge.net>
    * css/phpmyadmin.css.php: Patch 864334, preserve white-space between quotes
    * db_datadict.php, db_printview.php: bug 863713: printing on non-IE browser

2003-12-21 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).

2003-12-18 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php: bug 860258: do not destroy foreign key references
      to another db (still cannot enter via phpMyAdmin this kind of
      references)
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).

2003-12-17 Michal Cihar  <ilovetranslations@cihar.com>
    * lang/sync_lang.sh: Fix generation of translation, when source is in
      utf-8.
    * lang/chinese_big5.inc.php: Was broken due to above bug, thanks Marc for
      noticing this.

2003-12-16 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/lithuanian: Updated, thanks to Vilius Zigmantas (viliusz).

2003-12-15 Garvin Hicking  <me@supergarv.de>
    * tbl_replace.php: Check all required array indizes for multi-row edit

2003-12-15 Marc Delisle  <lem9@users.sourceforge.net>
    * read_dump.php: bug 859062: Go & Bookmark problem when the
      query has a character like "+" in it

2003-12-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_query_box.php, ldi_table.php: maximum upload size
    * tbl_change.php: max BLOB upload size

2003-12-12 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details.php, libraries/common.lib.php, lang/*:
      new feature to display the maximum upload size
      TODO: detect if upload succeeded

2003-12-12 Garvin Hicking <juststayalittlebitlonger@supergarv.de>
    * export.php: Fixed Regex
    * transformation_wrapper.php, lang/*, libraries/display_tbl.lib.php,
      libraries/transformations/application_octetstream__download.inc.php:
      Added a new transformation to download blob/binary field contents
      with customized filenames. Needed two minor tweeks to the general
      system.

2003-12-11 Michal Cihar  <imreallyaway@cihar.com>
    * libraries/export/sql.php: Fix moving foreign key definition on Windows
      (bug #851950).

2003-12-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_replace.php: missing number of rows for Affected rows
      and Inserted rows; wrong message for insert ids
    * libraries/display_tbl.lib.php: bug 857743, SHOW DATABASES

2003-12-11 Alexander M. Turek  <bleibtallesanders@derrabus.de>
    * server_collations.php, lang/*.inc.php, libraries/mysql_charsets.lib.php:
      Updated character sets overview for MySQL 4.1.1.
    * db_create.php, main.php: Ability to specify a default character set for a
      new database.
    * libraries/sqlparser.lib.php: Bug #857749.

2003-12-11 Garvin Hicking <me@supergarv.de>
    * header_printview.inc.php: RFE #856503, show number of rows in printview
    * tbl_change.php, tbl_replace.php, tbl_replace_fields.php: Fixed #857445,
      #857684 where non-existant fields caused PHP notices.
    * db_details.php: Removed unneccessary whitespace
    * sql.php: Bug #857742: When dropping the only remaining database, an
      error occured. Fixed by checking if databases remein (as suggested
      by lem9)

2003-12-10 Garvin Hicking <me@supergarv.de>
    * db_datadict.php: Bug 857186: Real fix for the problem. The '@'
      delimiter slipped to the replacement's end instead of the expression's
      end.
    * db_details_structure.php: Bug 857315 - short open tag fixed

2003-12-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php: bug 854702: FORCE INDEX
    * main.php: bug 851564: backquotes on the wildcard dbname
      when no controluser is defined
    * db_datadict.php: bug 857186: ENUMs and data dictionary,
      thanks to Andrew Weiner (landreww) for the report and fix

2003-12-09 Garvin Hicking <embatag@supergarv.de>
    * tbl_change.php: Fixed Bug #856436 (not displaying default values)
    * lang/german*: Translations
    * left.php: Escape single quotes in single-table cases as well
      (Bug #855771)

2003-12-08 Marc Delisle  <lem9@users.sourceforge.net>
    * new language: basque, thanks to Axier Lopez (axierl@euskalerria.org)

2003-12-07 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.5-rc1 released

2003-12-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/danish: updates, thanks to Finn Sorensen (alleyman01)

2003-12-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug 854696: fixed a typo,
      and added some isset for a new check

2003-12-05 Garvin Hicking <weihnachtsgarv@supergarv.de>
    * libraries/transformations/text_plain__dateformat.inc.php:
      Use <dfn>-Tag to display original data to not waste display
      clarity by using hyperlinks. Original implementation also
      failed when using customized options.

2003-12-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/estonian: Updated, thanks to Alvar Soome (finsoft).
    * libraries/transformations/text_plain__dateformat.inc.php:
      patch 845690: show real data before transformation
    * left.php: bug 833790: put a workaround in place

2003-12-04 Garvin Hicking <grinch@supergarv.de>
    * browse_foreigner.php, mult_submits.inc.php, tbl_change.php,
      tbl_replace.php, tbl_replace_fields.php, tbl_row_delete,
      libraries/display_tbl.lib.php, libraries/display_tbl_links.lib.php:
      Multi row edit via checkboxes in browse mode is now available.
      This means, you can edit multiple records at once now.
    * tbl_row_delete.php, tbl_change.php, tbl_change.js: Fixed
       (un)nullify() function
    * libraries/display_tbl.lib.php, libraries/display_tbl_links.lib.php:
      Made checkbox/edit/delete fields smaller

2003-12-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: the constant used to check
      if the transformation function is included no longer exists
    * libraries/transformations/: replaced "include" by "require_once"
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * lang/danish: updates, thanks to Finn Sorensen (alleyman01)
    * lang/estonian: Updated, thanks to Alvar Soome (finsoft).

2003-11-28 Garvin Hicking <freakyfriday@supergarv.de>
    * main.php: Fixed one remaining preg_match

2003-11-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug 816666: sort order and aliases

2003-11-26 Alexander M. Turek  <lifeforrent@derrabus.de>
    * Almost every file:
      - Replaced all include / require commands by require_once where possible;
      - Further php 4.1+ optimizations;
      - footer.inc.php now automatically stops the script execution;
      - Coding standards.
    * config.inc.php: Don't include select_lang.lib.php here.
    * libraries/common.lib.php: Backwards compatibility.
    * libraries/common.lib.php, libraries/defines.lib.php,
      libraries/defines_php.lib.php, libraries/defines_mysql.lib.php,
      scripts/create-release.sh:
      defines.lib.php was included twice. For optimization reasons I moved all
      the code that is independent from the MySQL connection out of defines.lib
      into defines_php.lib.
      To point out the (new) meanings of the files I renamed defines.lib.php to
      defines_mysql.lib.php while defines_php.lib.php is now known as
      defines.lib.php.

2003-11-26 Michal Cihar  <cleanerfasterbetter@cihar.com>
    * lang/check_lang.sh: Cleanup.
    * lang/sort_lang.sh: Cleanup.
    * lang/czech: Better translated some strings.

2003-11-26 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/arabic: update, thanks to Ossama Khayat (okhayat)
    * lang/hindi: update, thanks to Girish Nair (girish_nair)
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).

2003-11-25 Alexander M. Turek  <jaggedlittlepill@derrabus.de>
    * translators.html: Changed email of Hindi translator, again.
    * badwords.txt: File is obsolete.

2003-11-25 Garvin Hicking <phpmyadminismyaeroplane@supergarv.de>
    * db_details_qbe.php, left.php, main.php, pdf_pages.php, server_collations.php,
      tbl_change.php, tbl_indexes.php, tbl_move_copy.php, tbl_relation.php,
      tbl_replace.php, libraries/common.lib.php, libraries/db_config.lib.php,
      libraries/display_tbl.lib.php, libraries/grab_globals.lib.php,
      libraries/mysql_charsets.lib.php, libraries/select_lang.lib.php:

      Reverted some obfuscated regular expressions to their working eregi-versions
      to not break stuff. Removed unneccessary reset() calls, replaced some more
      while(list()) constructs.
    * libraries/transformations/overview.php, libraries/transformations/global.inc.php,
      libraries/common.lib.php, libraries/display_tbl.lib.php,
      libraries/transformations.lib.php3, user_password.php, tbl_change.php, sql.php,
      ldi_check.php, tbl_properties.inc.php, db_details_importdocsql.php:

      - When stored transformations have '.php3' ending, automagically assume '.php' now.
      - Use 's' RegEx Pattern modifier for certain situations where '.' should also include
        linebreaks.

2003-11-24 Alexander M. Turek  <bloodsugarsexmagik@derrabus.de>
    * lang/german-*.inc.php: Updates.
    * lang/english-*.inc.php: Sortation.

2003-11-24 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_rename.php: give an error if the new table name has a dot
      in its name, to avoid doing our automatic relation-table renames

2003-11-24 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/common.lib.php: Use preg again, it just needs a bit more
      escaping of \ (once for PHP and once for PCRE).
    * css/phpmyadmin.css.php: Make server selection in left frame same size as
      on other places.
    * main.php: One more regex escaping fix.
    * lang/chinese_big5: Updated, thanks to Siu Sun (siusun).
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).
    * lang/latvian: Updated, thanks to Sandis Jerics (saaa2002).
    * translators.html: Updated email for Hindi translator.

2003-11-23 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_privileges.php3: while (list() = each()) is not always as bad as
      one might think ;-p

2003-11-22 Garvin Hicking <me@supergarv.de>
    * ./*: More PHP3-compatibility removal, see 2003-11-20.

2003-11-22 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php: display "Add constraints" only
      if there are foreign keys in current table
    * libraries/common.lib.php: revert back to previous logic at line 1108
      because of regex problem (when only_db is used)

2003-11-21 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_move_copy.php: typo about constraints

2003-11-21 Michal Cihar  <nijel@users.sourceforge.net>
    * scripts/create-release.sh: Udated information what is needed to change on
      home page to currect status.

2003-11-20 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_databases.php, server_processlist.php, server_status.php,
      server_variables.php: Removed some php 3 / MySQL 3.21 compatibility code.
    * README: Updated requirements.
    * scripts/create-release.sh: Create Documentation.txt when building the
      distribution kits.
    * Documentation.txt, scripts/updatedocs.sh: Romoved.

2003-11-20 Michal Cihar  <nijel@users.sourceforge.net>
    * read_dump.php: Show message about failing upload in all cases, removed
      some PHP compatibility code.
    * libraries/export/sql.php: More older PHP cleanup.
    * tbl_move_copy.php, tbl_properties_operations.php, lang/*: Cleanup in
      table moving/copying and allow to keep constraints over these
      operations.
    * server_databases.php: Add correct parameters to left frame to keep
      server choice, language, etc. (bug #845397).
    * libraries/config_import.lib.php, config.inc.php, db_details.php,
      tbl_query_box.php, Documentation: Allow changing of default queries (RFE
      #839168).
    * Documentation.html: Valid XHTML again.
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).

2003-11-20 Garvin Hicking <me@supergarv.de>
    * libraries/auth/*, libraries/dbg/*, libraries/export/*, libraries/fpdf/*,
      libraries/transformations/overview.php, libraries/*.php
      (work in progress)

      Lots of PHP < 4.1.0 / MySQL < 3.23.32 compatibility/performance changes:
      - Replaced "while (list() = each())" calls by foreach loops.
      - Removed PHP3-compatibility code
      - Removed calls to $HTTP_*_VARS (using $_* now).
      - Replaced some TAB-characters with whitespace
      - Removed PHP4 < 4.1.0 compatibility code
      - Removed MySQL < 3.23.32 compatibility code
      - Replaced "for ($i=0; $i <= count(); $i++)" loops to
        "$cnt = count(); for ($i=0; $i <= $cnt; $i++)" structures for better
        performance
      - Replace calls to eregi*/split functions to their preg* counterparts for
        faster and binary-safe operation
      - Replace regex-Calls to simple string functions where possible (speedup)
      - Replace calls to substr($string, X, 1) to $string{X}

2003-11-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: first group of headers was offset by
      one column to the left

2003-11-19 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/catalan: Updated, thanks to Xavier Navarro (xavin).
    * lang/chinese_big5: Updated, thanks to Siu Sun (siusun).
    * lang/portuguese: Updated, thanks to António Raposo (cfmsoft).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).

2003-11-19 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/grab_globals.lib.php: Do not use $HTTP_*_VARS arrays anymore.
    * Documentation.html: Modified requirements.
    * server_collations.php: Replaced obsolete "while (list() = each())" calls
      by foreach loops.
    * server_privileges.php: Dropped some MySQL 3.21 / php 3 compatibility code.

2003-11-18 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/common.lib.php: Recognizing new 2.x config.inc.php revisions.

2003-11-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*: strUpgradeMySQL -> strUpgrade with one more parameter
      for the product name
    * main.php: new warnings for old PHP or MySQL versions

2003-11-18 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/display_tbl.lib.php: Can kill more proceses (bug #844353).

2003-11-18 Michal Cihar  <nijel@users.sourceforge.net>
    * almost EVERYTHING: The big rename from php3 to php.

2003-11-18 Michal Cihar  <nijel@users.sourceforge.net>
    * read_dump.php3: Show result of last SHOW query when multiple queries.
    * scripts/create-release.sh: Generate also sizes of files, for
      files.inc.php on homepage.

2003-11-17 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french: update
    * lang/turkish update, thanks to Bora Alioglu
    * lang/italian: Updated, thanks to Pietro Danesi (danone).
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).

2003-11-14 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php3: bug 842053: not only TEXT but also
      any ...TEXT field types can have a FULLTEXT index

2003-11-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php3: undefined variable dblist_full when
      renaming a table

2003-11-13 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/sql.php3: Fix export of foreign keys (patch #834474).
    * libraries/export/sql.php3, libraries/config_import.lib.php3,
      libraries/common.lib.php3, libraries/display_export.lib.php3, lang/*,
      config.inc.php3: Allow delayed inserts (RFE #841298).
    * libraries/export/sql.php3, libraries/common.lib.php3,
      libraries/config_import.lib.php3, libraries/display_export.lib.php3,
      lang/*, config.inc.php3: Support for creating UPDATE and REPLACE
      statements in export (RFE #838828).
    * lang/remove_message.sh: Checks for parameter count.

2003-11-12 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/latex.php3: Fixed LaTeX output (patch #840082).
    * libraries/export/latex.php3: Unique fields are bold (patch #840089).

2003-11-11 Garvin Hicking <antikarneval@supergarv.de>
    * libraries/display_tbl.lib.php3: Added more secure checks
      for each'ing on arrays built by the query analyzer. (Bug #839630)
    * libraries/display_tbl.lib.php3: Fixed Bug #839834 - Colspan for
      repeated headers were wrong since introduction of multi-row delete.

2003-11-10 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/extchg.sh: bug 839081: generator.sh was not converted

2003-11-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php3, tbl_replace_fields.php3, Documentation.html:
      bug 835783: now (if using PHP4) users can enter NULL in a field
      and get the string NULL and not a NULL value. For a real NULL
      value they must use the Null checkbox.

2003-11-06 Marc Delisle  <lem9@users.sourceforge.net>
    * New italian doc (partial) in pma_localized_docs
    * lang/estonian: Updated, thanks to Alvar Soome (finsoft).

2003-11-06 Garvin Hicking <me@supergarv.de>
    * sql.php3, libraries/display_tbl.lib.php3:
      RFE #835491: Display linked values in printview. Display relation-
      related features (comments, MIME-transformations) in printview.
      Fix empty table rows in vertical display (kept Mozilla from displaying
      borders in this printmode). Adjusted layout a tiny-weeny bit to let
      the comments of a field fit the whole space.
    * libraries/display_tbl.lib.php3, libraries/transformations/TEMPLATE,
      Documentation.html: Propagate current MIME-type to plugin functions.
      Thanks for noticing (again), Thiemo Maettig. :)
    * libraries/common.lib.php3, Documentation.html, config.inc.php3:
      Now use $cfg['Servers'][$i]['only_db'] to allow sorting databases in
      the left frame. The '*' character can be used to
      fill in all remaining characters. See Documentation for details.
      RFE #830355, thanks to Xuefer for suggestions.

2003-11-06 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/xml.php3: Add xml header with encoding information
      (bug #836630).

2003-11-05 Garvin Hicking <me@supergarv.de>
    * libraries/common.lib.php3, footer.inc.php3: Bug #831181: Do not
      store queries with errors in history, also when coming from the
      database SQL tab.
    * libraries/common.lib.php3: Bug #835854. The MySQL-error messages
      are now put inside a <code> HTML-container, not <pre>. This allows
      wordwrapping to hide vertical scrollbars. Linebreak/Whitespace
      formatting has been altered to preserve those.
    * libraries/transformations/text_plain__dateformat.inc.php3:
      Remove obsolete code, thanks to Thiemo Maettig!
    * Documentation.html, libraries/display_tbl.lib.php3,
      libraries/transformations/*:
      The $meta field information is now passed to the transformation plugins
      to allow future (and easier) usage of field information
      (zerofill/unsigned/not_null/...).

2003-11-04 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug 833900, added known limitation in FAQ 3.10
      about selecting homonyms on a table without primary key

2003-11-04 Garvin Hicking <me@supergarv.de>
    * Documentation.html: Added known limitation about ANSI-mode
      (Bug #816858)
    * libraries/transformations/text_plain__dateformat.inc.php3:
      Bug #835252: Now allow more timestamps. Minor modification of a patch
      submitted by anonymous poster. Thanks!

2003-11-03 Garvin Hicking <me@supergarv.de>
    * Documentation.html, tbl_row_delete.php3,
      libraries/display_tbl.lib.php3:
      Bug #828290: Fixed "Execute stored bookmark". Also made some minor
      tweaks to make PHP-Transformations with forms working again. Added
      a limitation notice on that to FAQ 3.8. Added an image to this action.
    * libraries/display_tbl.lib.php3: Made multi-row delete working for
      vertical browse mode. When executing a multi-row delete, keep the
      last used display mode and other options.
    * Documentation.html: Adjusted link to the link-section of our homepage.
      Fixed typo.

2003-11-03 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: Updated.
    * libraries/common.lib.php3: URI detection works with www-Sharp.Runtime
      (RFE #834053).

2003-11-03 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/german-*.inc.php3: Grammar.
    * config.inc.php3, libraries/common.lib.php3,
      libraries/config_import.lib.php3, libraries/display_export.lib.php3,
      libraries/export/csv.php3, lang/*.inc.php3:
      Bug #812474 (Excel v.X does not import 'CSV for Excel' exports).

2003-11-02 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/arabic: big update, thanks to Ossama Khayat (okhayat)
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).

2003-11-01 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php3: bug 826880, quotes added

2003-10-31 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/romanian: Updated, thanks to Valics Lehel.
    * tbl_relation.php3: add backquotes around table and field names
      in queries for InnoDB foreign keys; however, in current MySQL 4.0.16
      version, a blank character in a field name is not accepted by InnoDB

2003-10-27 Marc Delisle  <lem9@users.sourceforge.net>
    * querywindow.php3: bug 825668: js errors in SQL-history,
      thanks to Jenik Kaspar (jenix)

2003-10-26 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php3: bug 830437, undefined $sql_order
    * querywindow.php3: bug 829737, cosmetic change: added &nbsp; for
      better display in Iconic 'both' mode

2003-10-24 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/lithuanian: Updated, thanks to Vilius Zigmantas (viliusz).
    * lang/serbian: utf-8 translations contained no strings, regenerated.
    * lang/other: Added missing strings.
    * libraries/display_tbl.lib.php3: Try to show sorting by indexes only if
      it makes sense (bug #829594).

2003-10-20 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/sql.php3: Fix undefined variable for MySQL < 3.23.20
      (bug #828370).
    * libraries/export/sql.php3. libraries/export/latex.php3,
      libraries/display_export.lib.php3, export.php3, lang/*,
      libraries/common.lib.php3, libraries/config_import.lib.php3: Allow to
      supress dates in SQL dump separately.
    * lang/add_message.sh: Fail if no message specified.
    * lang/add_message_file.sh: Fail if no file specified.
    * libraries/display_export.lib.php3: Added ugly hack to allow switching
      export options in Opera (bug #828712).
    * db_details_structure.php3, lang/*: Show also overhead, allow to check
      all tables with overhead at once (JS only) (RFE #828090).
    * footer.inc.php3: Try to update history in table only if configured so
      (bug #828356).

2003-10-21 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php3: Patch 825672: show fields in Edit PDF scratchboard,
      thanks to Chris Walsh (chriswalshaz)
    * libraries/display_tbl.lib.php3: bug 826847, undefined $url_query
    * tbl_relation.php3: Bug 827340: Relation view should display also
      non-unique keys as possible choices for foreign keys

2003-10-20 Michal Cihar  <nijel@users.sourceforge.net>
    * Documentation, config.inc.php3, tbl_change.php3,
      libraries/common.lib.php3, libraries/config_import.lib.php3: Make
      default functions configurable (RFE #821271).

2003-10-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php3: bug 821512, Safari 1.0 v85.5 and fonts
    * libraries/functions.js: bug 825665, scratchboard and paper size
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    ### 2.5.4 released

2003-10-17 Marc Delisle  <lem9@users.sourceforge.net>
    * browse_foreigners.php3: bug 825473: PMA_jsFormat() needed on alert()
    * tbl_query_box.php3, libraries/bookmark.lib.php3:
      bug 824958: bookmarks not configured

2003-10-16 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/zip.lib.php3: Calculate offset progressively (patch #824122).
    * scripts/convertcfg.pl: Perl in most cases lives in /usr/bin/perl.
    * lang/italian: Updated, thanks to Pietro Danesi (danone).
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/persian-utf-8.inc.php3: Regenerated, was somehow broken.
    * lang/sort_lang.sh: Ignores non file parameter.
    * libraries/common.lib.php3: Add some more fixes for wrongly typed
      $cfg['PmaAbsoluteUri'].
    * Documentation: Changed my email and credits.
    * libraries/defines_php.lib.php3: Output buffering is not available in
      php 3 (bug #824956).

2003-10-15 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/russian-windows-1251: wrong charset (bug 823939)

2003-10-14 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php3: bug 707516, sometimes db privileges
      are not shown

2003-10-12 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug 821144: FAQ 6.21 needed clarification

2003-10-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/grab_globals.lib.php3: bug 807047, better fix
    * tbl_select.php3: bug 821350: escape single quotes in table
      Search page

2003-10-10 Marc Delisle  <lem9@users.sourceforge.net>
    * footer.inc.php3: bug 819036, undefined function PMA_setHistory()

2003-10-10 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/sql.php3: Fix PMA_getTableContentOld (bug #820932).
    * left.php3: Konqueror 3 and Opera 7 works with tree view (bug #820717).
    * scripts/create-release.sh: Generate MD5 sums (RFE #748415).
    * Documentation, config.inc.php3, scripts/create_tables.sql: Change
      default phpMyAdmin table names from PMA_* to pma_*.

2003-10-07 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/russian*: updated, thanks to Artyom Rabzonov

2003-10-07 Michal Cihar  <nijel@users.sourceforge.net>
    * Documentation: Another hint for creating primary/unique keys.

2003-10-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac).

2003-10-06 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_replace.php3: Do not include query in redirect url if too long.

2003-10-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/grab_globals.lib.php3: bug 807047, protect POST variables
      against cookies of the same name
    * libraries/display_tbl.lib.php3: bug 816658, the multi-row delete
      icon should not be displayed in all cases

2003-10-01 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/slovenian update, thanks to Kositer Uros
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * libraries/export/sql.php3: bug 815822 Undefined index/offset
    * lang/turkish update, thanks to Bora Alioglu

2003-10-01 Alexander M. Turek  <rabus@users.sourceforge.net>
    * translators.html: Better link.

2003-09-30 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.4-rc1 released

2003-09-29 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: Updated.
    * config.inc.php3, db_details_importdocsql.php3,
      db_details_structure.php3, libraries/config_import.lib.php3: You now
      need to explicitely enable docSQL support ($cfg['docSQLDir']), RFE
      #812033.
    * Documentation: Documented above and support for compressed dumps.
    * db_details.php3, export.php3, ldi_check.php3, ldi_table.php3,
      read_dump.php3, tbl_change.php3, tbl_query_box.php3,
      tbl_replace_fields.php3: $cfg['*Dir'] don't have to end with slash.

2003-09-28 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/albanian: Updated, thanks to Laurent Dhima (laurenti).
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).
    * lang/chinese_big5: Updated, thanks to Siu Sun (siusun).
    * new lang: bosnian, thanks to Samir Kobiljak

2003-09-27 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_row_delete.php3, mult_submits.inc.php3,
      libraries/display_tbl.lib.php3, /display_tbl_links.lib.php3:
      RFE 810270: multi-row delete in browse mode
    * lang/catalan: Updated, thanks to Xavier Navarro (xavin).
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (dhinostroza).

2003-09-26 Alexander M. Turek  <rabus@users.sourceforge.net>
    * tbl_indexes.php3: RFE #812993 (Icons for index table).
    * lang/persian-*.inc.php3, lang/sync_lang.sh,
      libraries/select_lang.lib.php3, translators.html:
      New Persian language files, thanks to Parham Ghaffarian.
    * libraries/select_lang.lib.php3: Removed a dublicate entry.
    * translators.html: I'm back. :-)
    * lang/english.inc.php3: Resorted strings.

2003-09-26 Garvin Hicking <me@supergarv.de>
    * left.php3: bug #812481: Fixed display of '__protected__' subgroup in
      non-light left frame mode, when $cfg['LeftFrameTableSeperator'] is empty.

2003-09-24 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/function.js: Fixed bug #811499 (Opera 7.20 messes up row
      markers), thanks to Michael Johnson (redbeardc).
    * server_privileges.php3: Fixed bug #811792 (Password not kept when
      modifying user).

2003-09-23 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/german-*.inc.php3: Fixed some typos, thanks to Sebastian Mendel.

2003-09-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php3: bug 811222: we need to analyze the query
      to get the true column name in case of aliases
    * libraries/common.lib.php3: bug 810617, final 1.0 version of Safari
      does not need reduced font size

2003-09-20 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_schema.php3: bug 805227: the "Show color" only removed
      color on arrows, now removes all the color because of printing problems
      on black&white printers, thanks to Kelley Lingerfelt (rebelkell)

2003-09-19 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php3: bug 784961, could not delete a user

2003-09-19 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/display_tbl.lib.php3: Fixed deleting AND from end of condition
      with older php (bug #802060).

2003-09-18 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php3: Improved functionality when more
      than one cookie auth is being used.

2003-09-18 Garvin Hicking <me@supergarv.de>
    * tbl_query_box.php3, read_dump.php3, sql.php3, lang/*: RFE #477472 -
      Add bookmark option to query window/tab to bookmark any statement.

2003-09-17 Garvin Hicking <me@supergarv.de>
    * querywindow.php3: RFE #807282 - Display 'edit' button to alter entries from SQL query
      history, not execute them immediately.
    * footer.inc.php3: Bug #805568 - Save SQL history even if 'LockFromUpdate' is selected.
    * server_databases.php3: Bug #805545 - Refresh left frame when selecting a DB of
      server_databases.php3

2003-09-17 Michal Cihar  <nijel@users.sourceforge.net>
    * read_dump.php3, libraries/read_dump.lib.php3: Error message when file
      can not be read.
    * tbl_query_box.php3: Do not require any variables in query window.
    * lang/*, libraries/export/sql.php3: Export separately constraints, so
      they don't cause troubles on import (bug #807615).
    * Documentation, config.inc.php3, left.php3, main.php3, lang/*,
      libraries/common.lib.php3, libraries/config_import.lib.php3,
      libraries/auth/cookie.auth.lib.php3,
      libraries/auth/arbitrary.auth.lib.php3(deleted): Merged arbitrary auth
      into cookie auth, new config variable for enabling this
      $cfg['AllowArbitraryServer'].
    * db_details.php3, tbl_change.php3, tbl_query_box.php3,
      libraries/common.lib.php3: Execute uploaded gzip/bzip'd SQL-files (RFE
      #752886).
    * Documentation, config.inc.php3, export.php3, libraries/common.lib.php3,
      libraries/config_import.lib.php3: Allow compressing large SQL dumps -
      they are compressed by smaller chunks and send to browser (RFE #795849).
    * tbl_properties_operations.php3: Remove '; InnoDB free:' part from
      comment including references.

2003-09-16 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php3: bug 790849 (js disabled and user removes the row limit
      from the Show [30] rows)

2003-09-16 Garvin Hicking <me@supergarv.de>
    * db_details_qbe.php, libraries/mysql_wrappers.lib.php3: Finetune the new
    PMA_mysql_fetch_fields() function and renamed it to PMA_mysql_fetch_fields_alternate:
    It now uses 'SHOW FIELDS FROM...'. Modified all calls to the old function to fit the new
    one. Keep old function for any future use.

2003-09-15 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_links.php3, db_details_structure.php3: in Table view,
      "Select" becomes "Search" to denote more clearly was this sub-page
      is about

2003-09-15 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/sql.php3: Avoid freeing failed result.

2003-09-14 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: clarify FAQ 6.20 about which privileges are
      assigned to users after an upgrade to MySQL 4, and their effect
      on seeing all the databases.

2003-09-12 Garvin Hicking <me@supergarv.de>
    * lang/*, sql.php3, libraries/bookmark.lib.php3: RFE #804896
      (Bookmarks for all users)
    * lang/german*: Update
    * Documentation.html: Added note to FAQ 6.18 about bookmark-variable expansion
      not working on PHP < 4.0.3

2003-09-12 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish update, thanks to Bora Alioglu
    * libraries/display_tbl.lib.php3: bug 804592 (undefined $prev_index)
      and add "Sort" tooltip to each column header

2003-09-11 Michal Cihar  <nijel@users.sourceforge.net>
    * read_dump.php3: Add also limit to size, not only to pieces, because of
      extended inserts (bug #803372).

2003-09-10 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: clarify about InnoDB support
    * libraries/sqlparser.lib.php3: bug 790903: BINARY as an operator;
      bug 792511: SELECT * FROM mytable LIMIT 0,-1
    * libraries/mysql_wrappers.lib.php3: bug 795443: wrong results coming
      from mysql_list_fields, so modify PMA_mysql_list_fields to use
      SELECT * FROM db.table LIMIT 1
      (Thanks to Peter Beckman (ooglek))

2003-09-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/mysql_wrappers.lib.php3: bug 795443: wrong results coming
      from mysql_list_tables, so modify PMA_mysql_list_tables to use
      SHOW TABLES FROM

2003-09-09 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_relation.php3: Avoid message about not array variable when no InnoDB
      relations used.
    * libraries/display_tbl.lib.php3, lang/*: Allow user to select sorting by
      indexes (RFE #528503).
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).
    * lang/dutch: Updated, thanks to nobody :-).

2003-09-08 Michal Cihar  <nijel@users.sourceforge.net>
    * left.php3, main.php3, lang/*, libraries/common.lib.php3, Documentation,
      config.inc.php3, libraries/auth/arbitrary.auth.lib.php3,
      libraries/auth/cookie.auth.lib.php3: Support for login to arbitrary
      server (RFE #684097).

2003-09-08 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_privileges.php3: Fixed bug #802611 (No 'LOCK TABLES' in DB-specific
      privileges).

2003-09-07 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.3 released

2003-09-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php3: NO ACTION was not correctly treated
    * tbl_relation.php3: InnoDB support

2003-09-03 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/italian: Updated, thanks to Pietro Danesi (danone).

2003-09-02 Alexander M. Turek  <rabus@users.sourceforge.net>
    * Documentation.html:
      - rewrote FAQ 1.17;
      - corrected some other FAQs;
      - tidied up "Requirements" section about MySQL.

2003-09-02 Marc Delisle  <lem9@users.sourceforge.net>
    * translators.html: azerbaijani, and change of address for
      swedish translator

2003-09-02 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/common.lib.php3: Fix displaying PHP code (bug #798804).

2003-09-01 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/mysql_charsets.lib.php3: Name of column is sometimes Default
      (bug #798426).
    * lang/estonian: Updated, thanks to Alvar Soome (finsoft).
    * lang/azerbaijani, lang/sync_lang.sh, libraries/select_lang.lib.php3: New
      translation, thanks to Shehriyar Imanov (sheki).

2003-08-31 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php3: extract ON DELETE, ON UPDATE for FOREIGN KEYs
    * libraries/relation.lib.php3: populate $foreign with ON DELETE, ON UPDATE

2003-08-28 Alexander M. Turek  <rabus@users.sourceforge.net>
    * README: Updated php / MySQL versions.

2003-08-28 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/display_export.lib.php3: Allow xml to be also default export
      (bug #796706).

2003-08-27 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php3: User forgot to define an index on the master table
      before adding a foreign key constraint: trap the error, warn the user
      and show him a link to the relevant doc

2003-08-27 Garvin Hicking <me@supergarv.de>
    * lang/german*: Update

2003-08-27 Michal Cihar  <nijel@users.sourceforge.net>
    * sql.php3, lang/*: Print view with full texts (RFE #742123).

2003-08-27 Alexander M. Turek  <rabus@users.sourceforge.net>
    * browse_foreigners.php3: undefined variable.

2003-08-26 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/common.lib.php3: Backwards compatibility.
    * tbl_change.php3: bug #795171 (foreign field empty when editing record).

2003-08-26 Michal Cihar  <nijel@users.sourceforge.net>
    * config.inc.php3, lang/*, libraries/config_import.lib.php3,
      libraries/display_export.lib.php3, libraries/export/latex.php3: Improved
      LaTeX export (patch #777451).

2003-08-25 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: Updated.

2003-08-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relations.php3, tbl_properties_table_info.php3, /lang:
      InnoDB relations (for now, same db, only one index column, and
      no ON DELETE or ON UPDATE clauses)

2003-08-25 Alexander M. Turek  <rabus@users.sourceforge.net>
    * tbl_rename.php3: After renaming a table, move back to
      tbl_properties_operations.php3 instead of tbl_properties.php3.

2003-08-22 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/spanish: Updated, thanks to Daniel Hinostroza (dhinostroza).
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/greek: update, thanks to Kyriakos Xagoraris (theremon)
    * libraries/sqlparser.lib.php3: extract the CONSTRAINTs for FOREIGN KEYs
    * libraries/relation.lib.php3: getForeigners() returns also the constraint

2003-08-21 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php3: improve variables, remove some code

2003-08-20 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_privileges.php3: Fixed some typos.

2003-08-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/romanian: Updated, thanks to Valics Lehel.
    * lang/turkish update, thanks to Bora Alioglu

2003-08-18 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: Updated.
    * lang/catalan: Updated, thanks to Xavier Navarro (xavin).
    * lang/chinese_big5: Updated, thanks to Siu Sun (siusun).
    * lang/italian: Updated, thanks to Pietro Danesi (danone).
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).

2003-08-17 Marc Delisle  <lem9@users.sourceforge.net>
    * browse_foreigners.php3, tbl_change.php3, tbl_select.php3,
      libraries/display_tbl.lib.php3, /relation.lib.php3, /get_foreign.lib.php3:
      Patch 789367: Browse foreign values, thanks to Garvin
    ### 2.5.3-rc2 released

2003-08-17 Alexander M. Turek  <rabus@users.sourceforge.net>
    * translators.html: Garvin is now the official German translator,
      temporarily.

2003-08-16 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (dhinostroza).

2003-08-16 Alexander M. Turek  <rabus@users.sourceforge.net>
    * Documentation.html: Bad anchor link and other typos.

2003-08-15 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php3: bug 786710, IE and dropping fields,
      and bug 788676: added a table to help Netscape aligning the icons
      with the text

2003-08-15 Garvin Hicking <me@supergarv.de>
    * tbl_properties_structure.php3: RFE #784900 (show alternate text for
      multi-submit button)
    * tbl_properties_structure.php3, db_details_structure.php3: RFE #787810
      - Enlarge area around the new buttons for better usability

2003-08-15 Michal Cihar  <nijel@users.sourceforge.net>
    * Documentation: Synced export FAQ with export page.
    * Documentation: Fixed information about transformations.

2003-08-14 Michal Cihar  <nijel@users.sourceforge.net>
    * server_privileges.php3: Fix notice about undefined index (bug #780861).

2003-08-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php3: do not check both radios (confuses Netscape 4.8)

2003-08-13 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_addfield.php3: Highlight correct tab after changing structure.
    * libraries/sqlparser.lib.php3: Bug #788097 (add space after
      alpha_variable).

2003-08-12 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/csv.php3: Don't trim resulting line (bug #782483).
    * libraries/functions.js: Don't ask for confirmation of query that will
      not be executed (bug #783667).
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac).
    * lang/czech: Updated, thanks to me :).

2003-08-11 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/export/csv.php3, libraries/export/latex.php3,
      libraries/export/xml.php3: Added some stripslashes to generate correct
      exports.

2003-08-10 Marc Delisle  <lem9@users.sourceforge.net>
    * server_status.php3: bug 786331, a 100,00% not internationalized,
      and align values for "More status variables"
    * libraries/grab_globals.lib.php3: probable fix for IIS HTTP auth bug

2003-08-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php3: Cookies required message
      should not look like an error

2003-08-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/lithuanian: Updated, thanks to Vilius Zigmantas.
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/english, french: typos about $strDBGMaxTimeMs

2003-08-07 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/serbian update, thanks to Mihailo Stefanovic
    * lang/romanian: Updated, thanks to Valics Lehel.
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (dhinostroza).
    * lang/chinese_gb: Updated, thanks to Wang (fundawang).
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * Documentation.html: bug 782597: FAQ 1.30 about Turck MMCache

2003-08-06 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php3: bug 782925: fix "Showing rows..." message when user has
      put a LIMIT in the query
    * libraries/relation.lib.php3: bug 784143: SHOW CREATE TABLE on older
      MySQL versions

2003-08-06 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/common.lib.php3: Parse better enum fields (bug #784154).

2003-08-05 Garvin Hicking <me@supergarv.de>
    * libraries/common.lib.php3: Moved docu function (PHP3 compatbility)
      (Bug #782966)
    * tbl_change.php3: RFE #772991: Shorten dropdown field using
      $cfg['LimitChars']
    * tbl_change.php3: RFE #762221: Swap relational insert key order

2003-08-05 Michal Cihar  <nijel@users.sourceforge.net>
    * sql.php3: Fixed regular expression.
    * libraries/export/latex.php3: Use "table (field)" instead of
      "table -> field" when dumping relations into LaTeX (bug #776957).
    * libraries/display_export.lib.php3, libraries/export/csv.php3,
      libraries/config_import.lib.php3, config.inc.php3: Allow column headers
      for Excel export (bug #771299).
    * header.inc.php3: Don't allow including this file twice.
    * db_details.php3, db_details_importdocsql.php3, export.php3,
      tbl_move_copy.php3, tbl_rename.php3: Added some html quoting.
    * libraries/tbl_change.js: When ENUM field has just one value, it could
      not be set to NULL (bug #783533).
    * tbl_move_copy.php3: Use database we're working on to avoid some problems
      with replicated databases (bug #780439).
    * read_dump.php3, sql.php3: Bookmark all SQL queries and not only the last
      one (bug #780569).

2003-08-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php3: bug 779453, wrong count
    * lang/turkish update, thanks to Bora Alioglu
    * lang/romanian: Updated, thanks to Valics Lehel.
    * lang/ukrainian: update, thanks to Markijan Baran
    * sql.php3: bug 782828, do not go into confirm dialog if we are coming
      from "Create PHP Code" or "Without PHP Code"

2003-08-04 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: Updated.

2003-08-01 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php3: bug 697979, implemented a suggestion by
      Joerg Klein (j0erch) to do a SELECT * when all fields were selected
      on the Select page, to avoid (in most cases) a IE limitation

2003-08-01 Alexander M. Turek  <rabus@users.sourceforge.net>
    * main.php3: Added link to charset page.
    * libraries/mysql_charsets.lib.php3, lang/*.inc.php3: More detailed charset
      information.
    * tbl_properties_structure.php3: Tooltips for collations.

2003-07-31 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_replace_fields: bug 780793: a '+' sign in ENUM (or SET
      or a foreign key) was wrongly urldecoded to a space
    * sql.php3: bug 781170, bad check for DROP DATABASE and IF EXISTS

2003-07-30 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_move_copy.php3: wrong Missing message

2003-07-30 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_privileges.php3: Implemented some version checks to avoid bugs like
      #777785.

2003-07-29 Marc Delisle  <lem9@users.sourceforge.net>
    * serbian: big update,
      thanks to Branislav Jovanovic <branej@users.sourceforge.net> and
      Mihailo Stefanovic <mst@mikis.org>
    * sql.php3: bug 779301: MySQL 3 and SELECT DISTINCT
    * lang/spanish: Updated, thanks to Daniel Hinostroza (dhinostroza).
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    ### 2.5.3-rc1 released

2003-07-29 Garvin Hicking <me@supergarv.de>
    * Documentation.html, config.inc.php3, read_dump.php3,
      css/phpmyadmin.css.php3, libraries/common.lib.php3,
      libraries/config_import.lib.php3, libraries/sqlparser.lib.php3
      o Introduced $cfg['IgnoreMultiSubmitErrors'] to let PMA continue
        execution of a multi-query statement even though single queries
        may fail
      o Introduced $cfg['VerboseMultiSubmit'] to let PMA show the result
        of each query of a multi-query statement (taking some maximum
        line/pieces amounts into account)
      o changed formatting of syntax_comment to include some space
    * libraries/common.lib.php3, libaries/mysql_wrappers.lib.php3:
      Display MySQL error code and link to the MySQL-Documentation of
      error codes

2003-07-28 Alexander M. Turek  <rabus@users.sourceforge.net>
    * tbl_properties_structure.php3, css/phpmyadmin.css.php3: Use icons for
      multi-submit buttons.

2003-07-28 Garvin Hicking <me@supergarv.de>
    * sql.php3, libraries/common.lib.php3 - when $cfg['SQP']['fmtType']
      is set to 'none', positively retain any user formatting for query
      output. (RFE #769219)
    * tbl_properties_structure.php3: fixed strNoDrop to strDrop

2003-07-28 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php3: bug 778899, could not create a bookmark
    * ldi_table.php3: Users with register_global=off received some
      Missing messages, due to a missing "require" in ldi_table.php3

2003-07-27 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_privileges.php3: A user could not edit his own global privileges.

2003-07-25 Garvin Hicking <me@supergarv.de>
    * Documentation.html: Updated my E-Mail, added latest credits-items
    * images/*, config.inc.php3, db_details_structure.php3,
      libraries/common.lib.php3, table_details_structure.php3,
      libraries/display_tbl.lib.php3, Documentation.html,
      left.php3:
      Even more new images on more places: DB properties, Table
      properties, Table Display (LinkOrButton unified as well),
      Left frame.
      Multi-column mode also works for MySQL < 3.23.03 (does anybody even
      care?)

2003-07-25 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php3: XHTML compatibility
    * libraries/sqlparser.lib.php3, /relation.lib.php3: bug 776789,
      unable to insert record with FK in another db

2003-07-24 Garvin Hicking <me@supergarv.de>
    * libraries/sqlparser.lib.php3 - Confirmation is also needed on
      TRUNCATE statements!
    * libraries/common.lib.php3 - RFE #758051 (simpler PHPcode generation)
    * config.inc.php3, db_details_structure.php3, libraries/common.lib.php3,
      libraries/config_import.lib.php3: *EXPERIMENTAL* - implemented buttons
      for the database properties page and implemented RFE #752062: multi-
      column display for many tables.
      (thanks to Kawika Ohumukini [boogie33]).

2003-07-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php3 /relation.lib.php3 /get_foreign.lib.php3:
      bug 772765, InnoDB and multi-columns foreign key
    * tbl_select.php3: LIKE in Select sub-page for non-text fields

2003-07-23 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/mysql_charsets.lib.php3:
      - better method for retrieving the supported MySQL charsets;
      - fixed a bug that caused "armascii8" to appear twice in the charsets
        list (as "armascii8" and "armascii");
      - added ability to retrieve all collations and related MySQL settings;
      - added a function to build description strings for given collations
        (still needs some optimization).
    * libraries/sqlparser.data.php3: Support for SHOW COLLATION.
    * server_collations.php3, server_links.inc.php3, lang/*.inc.php3:
      New status page "Character Sets and Collations" for MySQL 4.1.

2003-07-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/grab_globals.lib.php3: error when $_SERVER does not exist
    * tbl_printview.php3: wrong validation for path disclosure (bug 776436)

2003-07-23 Garvin Hicking <me@supergarv.de>
    * css/phpmyadmin.css.php3: Removed 'lowercase' transform
      (Bug #769827)
    * libraries/display_export.lib.php3, libraries/export/sql.php3
      Only print Update/Creation/Check time when the checkbox 'Include
      Comments' is chosen. So it is now also possible to check that
      box even though the relational features could be deactivated.
      But all checks to relational comments will only use those if
      the relation features work.

2003-07-22 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/estonian update, thanks to finsoft@sourceforge.net.
    ### 2.5.2 released

2003-07-20 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php3: Do not display the
      "Referential integrity check" section for InnoDB tables
      as this was intended for pmadb relations

2003-07-19 Marc Delisle  <lem9@users.sourceforge.net>
    * (in lots of scripts): checks for paths disclosure
    * lang/catalan update, thanks to Xavier Navarro (xavin).

2003-07-18 Garvin Hicking <me@supergarv.de>
    * read_dump.php3: When PHP3 < 4.3.0 is detected, try an alternative
      way of rewriting bookmark variables.
    * Documentation.html: Bookmark variable expansion only works with PHP
      4.3.0 and above
    * tbl_query_box.php3: For the querywindow - if no items are available
      for the 'file import' tab, hide the 'Go' button and instead display
      a warning message. Can happen if you don't have $cfg['UploadDir']
      set and $is_upload is false.

2003-07-17 Marc Delisle  <lem9@users.sourceforge.net>
    * server_status.php3: the percentages of Query types did not add up
      to 100, because the number of connections is included in the total
      number of queries, thanks to jht001 ( Jams H Thompson )

2003-07-17 Alexander M. Turek  <rabus@users.sourceforge.net>
    * tbl_change.php3, libraries/common.lib.php3: Fixed a MySQL 4.1 bug that
      appeared when inserting values into ENUM or SET fields.

2003-07-17 Garvin Hicking <me@supergarv.de>
    * tbl_query_box.php3: Removed onsubmit() attribute of the noscript area.
      Thanks to andreas_e ;)

2003-07-16 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/galician: Updated, thanks to Xosé Calvo.

2003-07-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php3: bug 771575: wrong quotes for variable expansion

2003-07-16 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/functions.js: Bug #771794 (CHAR length check although field name
      is empty).

2003-07-15 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php3: bug 771523: wrong type displayed for
      a LONGTEXT with character set latin7
    * db_details_structure.php3, tbl_properties_structure.php3: missing
      $err_url for mult_submits
    * scripts/create-tables.sql: don't use backquotes in USE

2003-07-14 Garvin Hicking <me@supergarv.de>
    * Documentation.html: Link to phpMyAdmin homepage for a 'link section'

2003-07-14 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/sqlparser.data.php3: SHOW BINLOG EVENTS.

2003-07-14 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.2-rc2 released

2003-07-12 Marc Delisle  <lem9@users.sourceforge.net>
    * mult_submit.inc.php3: bug 770095, error in multiple TRUNCATEs
    * lang/estonian update, thanks to finsoft@sourceforge.net.

2003-07-11 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish update, thanks to Bora Alioglu
    * lang/slovak update, thanks to Lubos Klokner

2003-07-11 Alexander M. Turek  <rabus@users.sourceforge.net>
    * db_create.php3:
      - Display CREATE DATABASE query;
      - Call user-defined default tab instead of hardcoded db_details.php3.
    * index.php3: Don't display scrollbars in queryframe (Opera fix).
    * libraries/display_export.lib.php3: Disabled XML export for multiple
      databases because an XML file must not contain more than one database.

2003-07-10 Garvin Hicking <me@supergarv.de>
    * libraries/display_tbl.lib.php3: Let the default function take
      the honor to replace special strings, so that a non-default function
      does not necessary have them introduced. Very convenient for the
      text/plain->formatted display, which would otherwise get every
      CR/LF converted to a <br> and introduce nasty skew.

2003-07-10 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_schema.php3: do not display a foreign table if it's not selected
      by user to be on the schema

2003-07-10 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (dhinostroza).
    * lang/italian: Updated, thanks to Pietro Danesi (danone).
    * footer.inc.php3: Fix JS error when in query window is not active SQL
      tab.

2003-07-09 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php3: Fixed broken login with backslash
      in password/username (bug #747020).
    * server_privileges.php3: Fixed escaping when backslash in
      password/username.
    * libraries/export/sql.php3: Separate extended inserts by , and not by ;
      (bug #768351).
    * lang/chinese_big5: Updated, thanks to Siu Sun (siusun).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (dhinostroza).
    * lang/galician: Updated, thanks to Xosé Calvo.

2003-07-09 Garvin Hicking <me@supergarv.de>
    * tbl_query_box.php3: Fix Bug #768652 (sql history tab submittet to
      whole frameset)
    * Documentation.html, config.inc.php3, libraries/common.lib.php3,
      libraries/config_import.lib.php3, header.inc.php3: Created auto-detection
      for $cfg['OBGzip'] and set this as default. It will auto-enable OBGzip
      for all browsers except IE6.x. Created a meta-header to identify which
      setting is used, to make our debugging of bugreports easier.

2003-07-08 Garvin Hicking <me@supergarv.de>
    * tbl_query_box.php3, footer.inc.php3: Removed any 'top.' DOM reference.
      This enables phpMyAdmin to be used within a frameset without trying
      to escape out of the security JS-sandbox zone. Tested with IE6, Mozilla
      1.4 and IE5.5.

2003-07-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php3, sql.php3: bug 762213,
      incorrect row count for MySQL 4.1 subqueries;
      bug 649665, incorrect row count for UNIONs

2003-07-08 Michal Cihar  <nijel@users.sourceforge.net>
    * config.inc.php3, tbl_properties_operations.php3,
      libraries/config_import.lib.php3, libraries/display_export.lib.php3,
      libraries/export/sql.php3, lang/*: Added checkbox for exporting/copying
      AUTO_INCREMENT value (RFE #763957).
    * mult_submits.inc.php3: Fixed undefined variable warning (bug #767740).
    * pdf_schema.php3: Don't use hardcoded sizes of paper (bug #767680).
    * lang/chinese_gb: Updated, thanks to Wang (fundawang).
    * lang/chinese_big5: Updated, thanks to Siu Sun (siusun).
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).
    * lang/romanian: Updated, thanks to Valics Lehel.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/slovak: Updated, thanks to Lubos Klokner (erkac).
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).

2003-07-08 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/common.lib.php3: Send headers before exiting because of missing
      MySQL extension.
    * lang/german-*.inc.php3: Updates.

2003-07-07 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/common.lib.php3, libraries/config_import.lib.php3: Backwards
      compatibility.
    * libraries/common.lib.php3: Dynamic loading of MySQL extension always failed.

2003-07-07 Garvin Hicking <me@supergarv.de>
    * tbl_change.php3: Fix undefined index for disp_query
      (when inserting a new row with a file uploaded to a column)
    * libraries/transformations/image_jpeg__inline.inc.php3,
      libraries/transformations/image_png__inline.inc.php3: Proper escaping
      of &amp;
    * libraries/common.lib.php3, libraries/defines.lib.php3: Safari detection,
      smaller default font size (like OPERA). Bug #752646.

2003-07-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php3, config.inc.php3, user_password.php3,
      Documentation.html: only one blowfish secret is necessary for
      all servers, thanks to Alexander M. Turek
    ### 2.5.2-rc1 released

2003-07-06 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: Updated.
    * css/phpmyadmin.css.php3: url() should not contain quotes.

2003-07-06 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/german-*.inc.php3: Updates.
    * libraries/export/sql.php3: Fixed bug #761956 (timestamp export fails).

2003-07-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/config.auth.lib.php3, lang/*.php3:
      $strAccessDeniedExplanation
    * lang/swedish update, thanks to Björn T. Hallberg (bth).
    * lang/polish update, thanks to Jakub Wilk (ubanus).

2003-07-05 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: Updated.

2003-07-04 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php3: PHP3 compatibility
    * user_password.php3, libraries/auth/cookie.auth.lib.php3:
      sometimes, binary contents in cookies is not retrieved properly,
      so protect it with base64_encode()
    * lang/ukrainian: update, thanks to Markijan Baran

2003-07-03 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/romanian update, thanks to Valics Lehel
    * lang/turkish update, thanks to Bora Alioglu
    * lang/italian update, thanks to Pietro Danesi

2003-07-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: faq 8.1 about security alert of 2003-06-18
    * tbl_properties_links.php3: fix missing SQL section for exports
    * libraries/auth/cookie.auth.lib.php3, libraries/blowfish.php3,
      libraries/common.lib.php3, libraries/config_import.lib.php3,
      config.inc.php3, user_password.php3, Documentation.html, lang/*:
      now used the blowfish algorithm to encrypt the password in the
      temporary cookie

2003-06-30 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french: update

2003-06-30 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_properties_operations.php3, lang/*: Reorganised layout a bit, added
      CHECK link for InnoDB, use correct table type name fo BerkeleyDB.
    * tbl_query_box.php3: Moved load text files link outside form.

2003-06-27 Garvin Hicking <dont_sobic.c_me_please@supergarv.de>
    * left.php3: Removed debugging code

2003-06-27 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/display_tbl.lib.php3, libraries/relation.lib.php3: Added some
      checks to avoid trying to use relations when no table (bug #761835).

2003-06-27 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php3: bug 760648: incorrect result count on MySQL 3

2003-06-26 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/ukrainian: update, thanks to Markijan Baran
    * libraries/sqlparser.lib.php3 typo

2003-06-26 Michal Cihar  <nijel@users.sourceforge.net>
    * sql.php3, tbl_properties_links.php3, tbl_properties_structure.php3: Go
      back to tbl_properties_structure.php3 when not dropping table.

2003-06-25 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/create-release.sh: typo, bzip should be bzip2
    * libraries/sqlparser.lib.php3, tbl_properties_export.php3:
      bug 760648 export SELECT DISTINCT results

2003-06-25 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/sqlparser.lib.php3: Fixed XSS problem.
    * tbl_properties.inc.php3, libraries/functions.js: Alert user when not
      specied length for CHAR/VARCHAR fields.
    * libraries/export/{csv,latex,xml}.php3: Use correct field names when
      exporting custom SQL (also saves one SQL query for export) (fixes bug
      #755386).
    * lang/italian: Updated, thanks to Pietro Danesi (danone).
    * lang/norwegian:  Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * lang/czech:  Updated.
    * lang/*: Removed duplicate strReset.
    * lang/check_lang.sh: Ignore japanese specific messages.
    * sql.php3, libraries/display_export.lib.php3: Support for exporting any
      query into CSV/LaTeX/XML (RFE #684804).

2003-06-24 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php3, bug 759568, row count, DISTINCT and MySQL 4

2003-06-23 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php3: automatic layout start at 300,300 for better look
      on the dom-drag scratchboard

2003-06-23 Garvin Hicking <me@supergarv.de>
    * Documentation.html, config.inc.php3, pdf_pages.php3,
      css/phpmyadmin.css.php3, libraries/common.lib.php3,
      libraries/config_import.lib.php3, libraries/dom-drag.js,
      libraries/functions.js: Added Patch #757907: DHTML WYSIWYG-control
      for PDF-relation setup. Based on DOM-drag.js, a library provided
      by Aaron Boodman (youngpup.net).
    * lang/german*: Updates
    * lang/*, pdf_pages.php3: Strings for DHTML scratchboard

2003-06-23 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/arabic-*.inc.php3, lang/czech-*.inc.php3, lang/finnish-*.inc.php3,
      lang/french-*.inc.php3, lang/georgian-utf-8.inc.php3,
      lang/lithuanian-*.inc.php3, lang/malay-*.inc.php3,
      lang/russian-*.inc.php3, lang/ukrainian-*.inc.php3: Checked all language
      files for incomplete arrays ($byteUnits, $day_of_week and $month).
    * libraries/common.lib.php3: Security fix against bad JS code.
    * translators.html: Removed Loïc from list; he is inactive at the moment.
    * Documentation.html: Changed my email address.

2003-06-22 Robin Johnson <robbat2@users.sourceforge.net>
    * scripts/updatedocs.sh:
      - Cleanup scripts/updatedocs.sh (I use it elsewhere as well).
    * scripts/create-release.sh:
      - Moved to using updatedocs.sh for updating documentation.
      - Make tarring faster by re-arranging ops.

2003-06-21 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php3: typo in call to cleanup columns

2003-06-20 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_schema.php3: use PMA_getForeigners()
    * db_details_qbe.php3: undefined variable

2003-06-20 Garvin Hicking <me@supergarv.de>
    * db_details_importdocsql.php3: Will now NEVER reveal any filename
      the docSQL import isn't able to read. Can now only read contents
      of the 'docSQL' subdirectory and never be able to go higher than
      that level.

2003-06-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php3: analyzer for FOREIGN KEYS
    * libraries/sqlparser.lib.php3: bug 756861, DEFAULT 0 becomes DEFAULT0
    * libraries/display_tbl.lib.php3: use PMA_getForeigners()
    * libraries/relation.lib.php3: now PMA_getForeigners() gets also
      foreign keys defined in innnodb
    * tbl_select.php3: use PMA_getForeigners() also for innodb

2003-06-17 Michal Cihar  <nijel@users.sourceforge.net>
    * config.inc.php3: Fixed typo (s/'PMA_pdf_page'/'PMA_pdf_pages'/).

2003-06-17 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/polish-*.inc.php3: Updates, thanks to Jakub Wilk (ubanus).

2003-06-16 Michal Cihar  <nijel@users.sourceforge.net>
    * index.php3: Use $cfg['DefaultTabServer'] (bug #754260).

2003-06-14 Michal Cihar  <nijel@users.sourceforge.net>
    * export.php3: Fixed saving compressed dumps on server.
    * libraries/display_export.lib.php3: Fixed description for line
      terminating character.

2003-06-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php3: bug 753813, "session" is not
      a reserved word

2003-06-13 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/charset_conversion.lib.php3, libraries/common.lib.php3,
      libraries/defines_php.lib.php3, libraries/dbg/setup.php3: Use new PMA_dl
      function, that checks true dl availability (fixes #747717). All checks
      are based on php 4.3.1 source, so if this gets changed, we will need to
      change checks also.

2003-06-12 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php3: bug 751787: should not disable all
      the features, when the relation feature is broken

2003-06-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php3: undefined scheme
    * main.php3: undefined scheme

2003-06-10 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_qbe.php3: bug 751787, missing FROM part in query generator
    * libraries/export/sql.php3: typo largeblob -> longblob

2003-06-10 Michal Cihar  <nijel@users.sourceforge.net>
    * scripts/create-release.sh: Set correct permissions before releasing.
    * Documentation, config.inc.php3, db_details_export.php3, export.php3,
      main.php3, server_export.php3, server_links.inc.php3, tbl_dump.php3,
      tbl_move_copy.php3, tbl_properties_export.php3, lang/*,
      libraries/build_dump.lib.php3, libraries/config_import.lib.php3,
      libraries/display_export.lib.php3, libraries/export/*: Reworked export,
      changes:
        - support for exporting selected databases
        - if not needed buffering, output is send directly
        - unifies all export, so there is now more common code
        - sql export can contain relations and mime types in comments
        - configurable defaults for export.

2003-06-09 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/display_tbl.lib.php3: Display Full/Partial text links for
      almost every select.
    * lang/italian: Updated, thanks to Pietro Danesi (danone).
    * lang/czech: Updated.

2003-06-08 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_privileges.php3: MySQL 4.1 users could not edit column privileges.
    * tbl_properties.inc.php3, tbl_properties_structure.inc.php3:
      SET and ENUM fields may have a character set, too.

2003-06-07 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/common.lib.php3: Incremented required config.inc.php3 revision
      number.
    * tbl_addfield.php3, tbl_alter.php3, tbl_create.php3,
      tbl_properties.inc.php3, tbl_properties_operations.php3,
      tbl_properties_structure.php3, tbl_properties_table_info.php3,
      libraries/mysql_charsets.lib.php3: Improved MySQL 4.1 support:
      - phpMyAdmin is now able to assign / alter table and field charsets;
      - The table structure page sometimes displayed "Array" in the charset
        column;
      - When altering the field type, the input box for the field length
        sometimes had a strange default value.

2003-06-06 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, config.inc.php3: new LimitChars behavior

2003-06-06 Michal Cihar  <nijel@users.sourceforge.net>
    * mult_submits.inc.php3: Missing ;.
    * libraries/relation_cleanup.lib.php3, mult_submits.inc.php3, sql.php3:
      Cleanup phpMyAdmin tables also after multi submit actions (RFE #749989).
    * tbl_query_box.php3: Don't add target if not in query window.
    * libraries/display_tbl.lib.php3: $cfg['LimitChars'] now limits all fields
      (RFE #742123).
    * pdf_pages.php3: Fixed undefined index warnings, don't attemt to
      edit/display deleted page just after deleting.
    * libraries/config_import.lib.php3, lang/*, config.inc.php3,
      db_details_structure.php3, pdf_pages.php3, pdf_schema.php3: User can
      select paper size for pdf (RFE #631551).
    * read_dump.php3: Fixed undefined variable warning (bug #750070).
    * libraries/sqlparser.lib.php3: Fixed bad displaying of parser bug report
      (bug #678289).

2003-06-05 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: new faq 6.20 about CREATE TEMPORARY TABLES
    * libraries/sqlparser.lib.php3: bug 716679, parsing of negation operator
    * tbl_properties_links.php3, tbl_properties_operations.php3: merge
      the Options tab into Operations

2003-06-05 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/display_export.lib.php3, libraries/functions.js: Some
      javascript cleanup.
    * db_details_links.php3: Display Query tab even with no tables.
    * libraries/charset_conversion.lib.php3: Default iconv parameters to empty
      string.
    * config.inc.php3, left.php3, libraries/config_import.lib.php3: Optional
      dropdown for server list in left frame (RFE #555978).
    * tbl_query_box.php3: Possibility to upload SQL file with no database
      selected (RFE #641760).
    * lang/czech: Typo.

2003-06-04 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php3: bug 592692, pretty printer
      and GRANT or REVOKE
    * libraries/sqlparser.lib.php3: bug 683975, various pretty printer bugs

2003-06-04 Michal Cihar  <nijel@users.sourceforge.net>
    * mult_submits.inc.php3: Use TRUNCATE when using MySQL 4 (bug #748792).

2003-06-03 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updates, thanks to Dr. med. Daniel Hinostroza C.
    * lang/slovak update, thanks to Lubos Klokner

2003-06-03 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/config_import.lib.php3: Fixed MySQLManualType/MySQLManualBase
      setting.

2003-06-03 Garvin Hicking <me@supergarv.de>
    * lang/*, tbl_query_box.php3, Documentation.html, footer.inc.php3:
      (Experimental)
      New feature - The automatic update of the query window seems to
      cause some headache for users. They type in their query, want to
      look in a different table for some fields, want to switch back to
      their browser window and the changes are lost because the last table
      is always filled in. Now we have a checkbox to preserve the edited
      content from any update outside of the window. It is automatically
      checked by editing the contents of the query textarea and can be
      unchecked to restore previous behaviour. Thanks to Alexander Meis
      for this suggestion. Optionally we could build in a config variable
      to override this 'onChange' effect, but I guess it's not necessary.
    * libraries/display_tbl.lib.php3: Bug #748084 - Use preg_replace instead
      of ereg_replace, because it interprets \0, \1 and so on not as strings
      but as regex-subpatterns and fails to convert those strings correctly.
      We'll have to see if that can be the case on other usages of
      preg_replace as well.

2003-06-02 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_status.php3: RFE #723325 (Move total query statistics).

2003-06-02 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/display_tbl.lib.php3, lang/*: Better text on button for
      executing bookmark (bug #745993).
    * scripts/create-release.sh: Better checking for input, exit when cvs
      doesn't work, don't include CVS and .cvsignore in tarballs, don't chmod
      everything to 775.
    * libraries/build_dump.lib.php3, libraries/display_export.lib.php3,
      tbl_dump.php3, lang/*: Allow to replace "NULL" with alternative string
      (RFE #747343).
    * Documentation.*: Add simple LaTeX document, to show how to use LaTeX
      export.
    * main.php3: Add server to phpinfo link to avoid relogin with more
      servers.
    * main.php3, tbl_properties.inc.php3: Replace target="_new" with
      target="_blank" as it should be.

2003-06-02 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.1 released
    * (not in 2.5.1) sql.php3: bug 747451, incorrect detection of
      PROCEDURE ANALYSE()

2003-06-02 Alexander M. Turek  <rabus@users.sourceforge.net>
    * Happy Birthday to me :-)
    * libraries/sqlparser.lib.php3: Correct behavior for "SHOW INNODB STATUS".

2003-06-01 Michal Cihar  <nijel@users.sourceforge.net>
    * config.inc.php3, libraries/config_import.lib.php3: Default iconv
      parameters to empty string, as older iconv version don't support it
      (bug #747164).

2003-06-01 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/catalan-*.inc.php3: Updates, thanks to Xavier Navarro (xavin).

2003-06-01 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_gb: Update thanks to Wang (fundawang).

2003-05-30 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/romanian updates, thanks to Valics Lehel
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/polish: update, thanks to Jakub Wilk

2003-05-30 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/bulgarian-*.inc.php3: Updates, thanks to
      Stanislav Yordanov (stanprog).
    * tbl_properties_structure.inc.php3:
      - Fixed display for tables with few indexes;
      - BLOBs are always binary;
      - RFE #623665 (MySQL 4.1 support):
        - Fixed display of field charsets;
        - The table charset is now displayed.
    * libraries/sqlparser.data.php3: Added CHARSET, SQL_CACHE, SQL_NO_CACHE.
    * tbl_change.php3: binary fields with CHARACTER SET definition were treated
      as SET fields (again RFE #623665).
    * Documentation.html:
      - Declared MySQL 4.1 support as experimental;
      - Added some notes about MySQL 4.1 / 5.0;
      - php 5.0.0-dev should work fine with phpMyAdmin - it has been doing so at
        least on my test machines for a couple of months.
    * scripts/create-tables.sql: Added some notes about lower_case_table_names.
    * libraries/sqlparser.lib.php3: Parser treated "CHARACTER" as column type,
      even if it was used in "CHARACTER SET".
    * libraries/common.lib.php3:
      - Removed check for default tab values: They are already checked in
        config_import.lib.php3;
      - Corrected config file revison;
      - XHTML fixes.
    * server_databases.php3: Small interface fixes.
    * translators.html: Removed a dublicate message.

2003-05-29 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: Updated.

2003-05-29 Marc Delisle  <lem9@users.sourceforge.net>
    * ldi_check.php3, ldi_table.php3, lang/*: bug 740607, now autodetect
      the best method (LOCAL or not) in the LOAD dialog, and allow user
      to override it

2003-05-29 Garvin Hicking <me@supergarv.de>
    * index.php3: Add frameborder to allow resizing. Introduces a 1px
      bar, but cannot be solved. Note that this is only neccessary
      for Mozilla, IE5/6 allow resizing with a "0" frameborder
    * footer.inc.php3: Only update queryframes DB/Table info when
      no error happened in a query.
    * ldi_table.php3: Use <label> tags for the new radio buttons as with
      our other GUI elements.

2003-05-28 Alexander M. Turek  <rabus@users.sourceforge.net>
    * translators.html: Typo.

2003-05-28 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updates, thanks to Dr. med. Daniel Hinostroza C.
    * lang/chinese_gb: Update thanks to Wang (fundawang).
    * translators.html: more typos

2003-05-28 Garvin Hicking <me@supergarv.de>
    * libraries/sqlvalidator.class.php3: Fix Bug #739096: Because
      the PEAR library and PHP changed the way how referenced variables
      get accessed, we have to pre-initialize the array and submit that
      to the PEAR call() funktion.
    * index.php3: Bug #743856. Fixed trinary operator, thanks to Virgile
      Petit!
    * tbl_relation.php3: Will now not show a selected display field, if
      none has been set yet for a table to not let users think, the key
      is set.

2003-05-26 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: sorted.

2003-05-26 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_big5: Updated, thanks to Siu Sun
    ### 2.5.1-rc1 released

2003-05-26 Michal Cihar  <nijel@users.sourceforge.net>
    * documentation, config.inc.php3, tbl_change.php3,
      tbl_properties.inc.php3, libraries/config_import.lib.php3: possibility
      to disable ctrl+arrows moving.

2003-05-25 Garvin Hicking <me@supergarv.de>
    * left.php3: Fix #742632 finally: Refresh to main.php3
      if an empty DB has been selected.

2003-05-25 Marc Delisle  <lem9@users.sourceforge.net>
    * left.php3: new fix for #742632
    * lang/polish: update, thanks to Jakub Wilk
    * lang/italian: Updated, thanks to Pietro Danesi (danone).

2003-05-24 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: talk about left frame levels
    * lang/galician: update, thanks to Xosé Calvo
    * lang/turkish: update, thanks to Bora Alioglu

2003-05-24 Garvin Hicking <me@supergarv.de>
    * left.php3: Fix bug #742632, thanks to Kai Butchkau!
    * read_dump.php3: Bug #741256
    * footer.inc.php, tbl_query_box.php3: Only focus the mainframe
      when a query was submitted from the query window

2003-05-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php3: bug 653964: wrong alias set by
      the analyzer, bug analyzed thanks to Michal!

2003-05-23 Michal Cihar  <nijel@users.sourceforge.net>
    * read_dump.php3, tbl_alter.php3: Tabs highlighting...

2003-05-22 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/romanian updates, thanks to Valics Lehel

2003-05-22 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_indexes.php3, libraries/common.lib.php3: Better tabs highlighting
      when editing indexes.
    * tbl_replace_fields.php3, libraries/build_dump.lib.php3,
      libraries/display_tbl.lib.php3: Don't hexify BLOB if it is empty (bug
      #741599).
    * Documentation, config.inc.php3, libraries/config_import.lib.php3,
      libraries/defines_php.lib.php3: Improved GD 2 detection (bugs #736111,
      #741192).
    * lang/sync_lang.sh: Removed dropped farsi translation.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).
    * lang/norwegian: Updated, thanks to Sven-Erik Andersen (sven-erik).

2003-05-22 Garvin Hicking <me@supergarv.de>
    * sql.php3, libraries/common.lib.php3: Bug #692854: Never execute
      a query in (with/without) PHP code views, and display a new
      "Execute query" link in this mode.
    * lang/german*: Update.

2003-05-20 Garvin Hicking <me@supergarv.de>
    * index.php3: New rewrite of how the frameset is created
      (Patch item #738226 plus some <noframes> corrections).
      This fixes compatibility problems, even though it's not
      valid XHTML 1.0, because the <script>/<noscript> tags are
      not allowed in there.

2003-05-20 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/korean update, thanks to WooSuhan
    * lang/estonian update, thanks to finsoft@sourceforge.net.
    * lang/norwegian: Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi (tamsy).
    * lang/slovak update, thanks to Lubos Klokner

2003-05-20 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_change.php3: Fixed table layout when LongtextDoubleTextarea is
      false.
    * tbl_select.php3: Fixed problems with empty value in enum (bug #740420).

2003-05-18 Marc Delisle  <lem9@users.sourceforge.net>
    * left.php3, index.php3: bug 739348: because the db name is no longer
      encoded in left.php3 (to accomodate html entities), we have to stop
      decoding it, otherwise a db name with a plus sign is not selectable
    * sql.php3: bug 738508: do a quick count on the rows to avoid
      a slow SQL_CALC_FOUND_ROWS, when "just browsing" (experimental)

2003-05-15 Michal Cihar  <nijel@users.sourceforge.net>
    * Documentation, config.inc.php3, tbl_change.php3,
      libraries/config_import.lib.php3: Double sized textarea for LONGTEXT is
      configurable (RFE #737174).

2003-05-14 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/display_export.lib.php3, tbl_dump.php3: Support for exporting
      CSV for multiple tables, it just puts all content into one file, but
      some people seem to want this (based on patch #735136).
    * tbl_dump.php3, lang/*: Use other messages (thanks to Marc), replace
      slashes in filename with underscore to avoid possible problems.
    * db_details_export.php3: Remember selected tables after exporting to a
      file.
    * libraries/common.lib.php3, tbl_dump.php3, sql.php3: Better way for
      highliting tabs when including files (set $active_page for highliting).
    * sql.php3, tbl_replace.php3, lang/*: Show insert_id after INSERT (RFE
      #737660).

2003-05-14 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/defines_php.lib.php3: bug 736111: better GD2 detection

2003-05-14 Garvin Hicking <me@supergarv.de>
    * lang/german*: Translations.
    * pdf_schema.php3: Merged patch #736999 (fixes Bug #728789 and
      better fix for #624712), by Maxime Delorme. Thanks!
    * tbl_change.php3: RFE #737174 implemented (comments welcome)
    * tbl_change.php3: RFE #723124 implemented (reset button)
    * read_dump.php3, tbl_query_box.php3: RFE #641760
    * Documentation.html: Added FAQ 5.14 (Buggy Opera6)

2003-05-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php3: bug 736793, new reserved
      word 'DIV' in MySQL 4.1.0 (note: it is classified as a function but
      follows the syntax of an operator: SELECT 5 DIV 2) so I have put
      it in the reserved words for now.

2003-05-13 Garvin Hicking <me@supergarv.de>
    * footer.inc.php3, querywindow.php3: Fix bug #736197
      (clicking on edit link from a sql-query now switches
       to sql tab of the query window)
    * left.php3: Improved performance by using str_replace instead
      of ereg_replace.
    * lang/german*: Translations.
    * libraries/common.lib.php3: Fix bug #736609 (Escaping of
      'Show as PHP')

2003-05-13 Michal Cihar  <nijel@users.sourceforge.net>
    * left.php3: Fixed displaying of tables with quote in name.
    * main.php3: $pma_uri_parts['scheme'] might be sometimes unset...
    * tbl_move_copy.php3, lang/*: Check for same table and db name when moving
      (RFE #734985).
    * libraries/relation.lib.php3: Fixed warning in PMA_purgeHistory.
    * ldi_check.php3, lang/*: Behave correctly if no file is given for loading.
    * read_dump.php3: Correctly checks whether table exists.
    * libraries/common.lib.php3: Highlight tab also when current page is
      read_dump.php3 and $goto is link of current tab.
    * tbl_replace.php3: Display message after updating row.
    * libraries/common.lib.php3: Fix tab attributes when some specified as
      parameters.
    * libraries/build_dump.lib.php3: Fix eporting without backquotes (bug
      #737023).
    * .cvsignore, config.inc.php3, db_details_db_info.php3, tbl_dump.php3,
      lang/*, libraries/common.lib.php3, libraries/display_export.lib.php3,
      Documentation.html: Support for saving to file on server (part of RFE
      #730197).

2003-05-12 Garvin Hicking <me@supergarv.de>
    * queryframe.php3: Remove left/bottom margin to better fit the link title
      in the small frame.
    * footer.inc.php3: Only update db/table variables if the query was correct.
      Fixes #735970.
    * left.php3, config.inc.php3, libraries/config_import.lib.php3, libraries/
      common.lib.php3: Patch #725839 (Nested display of tables)
    * ldi_check.php3, ldi_table.php3: Allow CSV import from UploadDir. Needs testing.

2003-05-12 Michal Cihar  <nijel@users.sourceforge.net>
    * index.php3: Better fix for #736003.
    * libraries/common.lib.php3: Light tabs were displayed wrong, bug #736590.
    * mult_submits.inc.php3, server_databases.php: Add confirmation when
      dropping databases (bug #736238).

2003-05-11 Michal Cihar  <nijel@users.sourceforge.net>
    * Documentation.html, config.inc.php3,
      libraries/charset_conversion.lib.php3, libraries/config_import.lib.php3:
      Merged patch #729514 - support for iconv parameters.
    * read_dump.php3, libraries/common.lib.php3: Merged patch #728928 - show
      multi statement query result. Closes RFE #728833.
    * tbl_dump.php3, libraries/build_dump.lib.php3,
      libraries/display_export.lib.php3, lang/*: Merged patch #727027 - LaTeX
      export improvements. Now can export table structure and some other
      options. Closes RFE #718942.
    * tbl_change.php3: Remember state of insert as another row - fixes
      #736064, show used query.
    * index.php3: Fixed typo in hash, fixed bad hash propagated with
      JavaScript. Fixes #736003.

2003-05-11 Marc Delisle  <lem9@users.sourceforge.net>
     ### 2.5.0 released

2003-05-10 Marc Delisle  <lem9@users.sourceforge.net>
     * libraries/display_tbl.lib.php3: bug 735439: if too many page numbers,
       show just the pages near the current page

2003-05-10 Michal Cihar  <nijel@users.sourceforge.net>
     * libraries/common.lib.php3: Whole tab is now link.
     * libraries/display_export.lib.php3: Disable CSV export for multiple
       tables - fixes #734104.
     * lang/latvian: Update thanks to Sandis Jerics (saaa2002).
     * lang/chinese: Update thanks to Wang (fundawang).
     * lang/sync_lang.sh: Fix for POSIX sh.
     * db_details_structure.php3: Don't display 0 for InnoDB tables as records
       count - fixes #735441.
     * libraries/display_tbl.lib.php3: Fix not displaying content of TEXT
       fields (was treated like BLOB).
     * libraries/common.lib.php3: $cfg['Server']['AllowDeny']['order'] might
       be undefined.

2003-05-09 Marc Delisle  <lem9@users.sourceforge.net>
     * libraries/display_tbl.lib.php3: bug 731367: hexifying all
       TEXT fields (a if on the type returns "blob") caused
       problems

2003-05-05 Marc Delisle  <lem9@users.sourceforge.net>
     * libraries/build_dump.lib.php3: bug 731866: text fields were
       exported hexified, because mysql_field_type() was used and
       it returns 'blob' for 'text' fields, so use a new PMA_fieldTypes()

2003-05-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/get_foreign.lib.php3: bug 731480: was not counting
      the rows of the foreign, thanks to Stefan Elssner

2003-05-02 Garvin Hicking <me@supergarv.de>
    * css/phpmyadmin.css.php3: Small typo, seems to be
      solution of support request #728820
    * Documentation.html: Enhance FAQ 2.3 (mysql.sock readable,
      thanks to Ryan)
    * Added scripts/inno2pma (from Ernie Hershey). Please see
      Patch Tracker #709383 for further information.
    * libraries/display_tbl.lib.php3: Bug #728813 (title for
      relations when foreign_db != master_db)
    * index.php3, left.php3, tbl_query_box.php3, db_details_common.php3,
      main.php3, queryframe.php3, libraries/common.lib.php3: Should be
      the fix for Bug #730718.
      Moved the hashform from the "nav"-frame to the "queryframe"-frame,
      altered the way the form is submitted in LeftFrameLight mode to
      keep the queryframe. Only if JavaScript is usable, otherwise it's
      not necessary to keep the 'opener' pointer.
    * libraries/display_tbl.lib.php3: PHP3 compatibility.
    * libraries/common.lib.php3, db_details_common.php3, index.php3,
      main.php3: Still have to propagate $hash to the left frame...

2003-04-30 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_schema.php3, bug 729517, better comment output,
      thanks to Maxime Delorme

2003-04-30 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_move_copy.php3: Better fix for #729416 (use INSERT IGNORE).

2003-04-29 Michal Cihar  <nijel@users.sourceforge.net>
    * server_privileges.php3: No need to escape wild characters here.

2003-04-29 Garvin Hicking <me@supergarv.de>
    * tbl_move_copy.php3: Bug #729416
    * tbl_query_box.php3, queryframe.php3: Bug #729446, maybe #728571
    * index.php3: Typo
    * db_details_structure.php3: Prevent uninitialized variable

2003-04-28 Garvin Hicking <me@supergarv.de>
    * index.php3, queryframe.php3, tbl_query_box.php3, querywindow.php3:
      Even more issues when QueryFrameJS is set to true, but JS is not
      activated. Haven't ever thought this would be necessary. ;)
      I tested everything with QueryFrame/QueryFrameJS set to true/false
      with and without JavaScript enabled, and got everything working.
      Please verify for yourselves! :)

2003-04-28 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/polish: update, thanks to Jakub Wilk

2003-04-28 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_query_box.php3: Partial fix for #728935 (can not submit SQL without
      javascript). But there are still problems without javascript.

2003-04-27 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.5.0-rc2 released

2003-04-25 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/estonian: Updated, thanks to finsoft@sourceforge.net.
    * lang/norwegian: Updated, thanks to Sven-Erik Andersen (sven-erik).
    * lang/thai: Updated, thanks to Arthit Suriyawongkul.
    * lang/{catalan,english,indonesian,spanish}: Added some missing
      translations.

2003-04-23 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_dump.php3: Fixed syntax error with === (#724093, #707538).
    * libraries/display_export.lib.php3: Automatically check "Save as file"
      when selecting compression.

2003-04-22 Garvin Hicking <me@supergarv.de>
    * libraries/common.lib.php3, main.php3, db_details_common.php3:
      When reloading the frame, propagate hash value (for querywindow)

2003-04-22 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_indexes.php3: bug 725711: FULLTEXT index type not shown
      in the drop-down box

2003-04-20 Garvin Hicking <me@supergarv.de>
    * libraries/display_tbl.lib.php3, index.php3, left.php3,
      tbl_query_box.php3, queryframe.php3, querywindow.php3:
      Fixed Bug #723955, 723736, 723713 (Query Frame). Workaround for
      (serious) issues with multiple instances of phpMyAdmin and
      the query window. Also made sure that disabling the QueryFrame
      is possible without seeing errors. Of course, this is
      extremely reduced usability without JS.

2003-04-18 Garvin Hicking <me@supergarv.de>
    * left.php3, index.php3, tbl_query_box.php3,
      libraries/display_tbl.lib.php3, queryframe.php3:
      Fixed Bug #723713

2003-04-18 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: faq about double auth windows
    * lang/ukrainian: update, thanks to Markijan Baran
    * tbl_relation.php3: bug 696215: can now choose all segments
      of the primary key

2003-04-17 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/ukrainian: update, thanks to Markijan Baran
    * server_common.inc.php3: bug 722791: "USE mysql" is not a good
      test in MySQL 4 to check if superuser

2003-04-17 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_replace_fields.php3: Fix typo.
    * tbl_replace.php3: Use rather SELECT *, as selecting only BLOB causes
      MySQL sometimes problems...

2003-04-17 Garvin Hicking <me@supergarv.de>
    * tbl_replace_fields.php3: Use $encoded_key instead of $key to
      detect changes in BLOB fields with a special name.
    * tbl_replace.php3, tbl_replace_fields.php3: Bug #722629 - Use
      original values of a BLOB field when 'Insert as new row' is
      chosen on edit.
    * libraries/display_tbl.lib.php3: Bug #662320 (highlight fields
      crossing DB borders now allowed)

2003-04-16 Garvin Hicking <me@supergarv.de>
    * tbl_query_box.php3: Only hide 'go' SQL button, when in files mode
      with no $db set

2003-04-16 Marc Delisle  <lem9@users.sourceforge.net>
    * badwords.txt: "status" is not a reserved word

2003-04-16 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/sqlparser.data.php3: Added AUTO_INCREMET to reserved words.
    * tbl_properties_common.php3: Avoid displaying message twice in some cases
      (fixes bug #722378).
    * libraries/build_dump.lib.php3: Export BLOBs hex quoted.

2003-04-15 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_query_box.php3: Only display charset selection when a DB is
      selected.
    * libraries/display_tbl.lib.php3: Fix edit link for table without primary
      key and with BLOB field (bug #708182).

2003-04-15 Garvin Hicking <me@supergarv.de>
    * footer.inc.php3, queryframe.php3: Changed anchor target
      and window name of queryframe as suggested by Armel
      Fauveau (thanks!)

2003-04-14 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php3: bug 647705: 'NO' is not
      a reserved word in MySQL
    * libraries/sqlparser.data.php3: bug 708887: MONTH() and YEAR()
      are functions
    * libraries/common.lib.php3: bug 721278: Skip Explain SQL

2003-04-14 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/some translations: Damn, I didn't commit all empty translations
      yesterday...
    * lang/sync_lang.sh: Updated to avoid empty translations problems (reports
      which translations has failed, now also converts by default only
      modified files and is capable to get charset from filename when reading
      from file has failed.
    * left.php3: More fixes for HTML entities.
    * tbl_properties_options.php3: Remove '; InnoDB free:' part from comment
      when changing it.
    * lang/czech: Updated.
    * lang/indonesian: Updted, thanks to Rachim Tamsjadi (tamsy).
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/italian: Updated, thanks to Pietro Danesi (danone).
    * lang/catalan: Updated, thanks to Xavier Navarro.
    * footer.inc.php3: Fixed for quotes, HTML entities and other weird
      characters in db/table name.
    * libraries/display_tbl.lib.php3: Fixed bug #720672 - moved headers.
    * db_details.php3, tbl_query_box.php3: Display choice for charset also
      when only UploadDir available.

2003-04-14 Garvin Hicking <me@supergarv.de>
    * libraries/common.lib.php3: Fixed SHOW TABLE STATUS LIKE ... FROM ...
      usage. (Bug #720846)
    * footer.inc.php3: Needed \n for some cases.
    * tbl_query_box.php3: Only display file import when a DB is selected.

2003-04-13 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french: update
    * lang/spanish: Updates, thanks to Dr. med. Daniel Hinostroza C.
    * lang/polish: update, thanks to Jakub Wilk
    ### 2.5.0-rc1 released

2003-04-13 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/bulgarian-windows-1251.inc.php3, lang/croatian-windows-1250.inc.php3,
      lang/czech-windows-1250.inc.php3, lang/russian-koi8-r.inc.php3:
      Added $strCharset.

2003-04-13 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/{slovenian,russian,croatian,bulgarian}: We don't
      want empty translations...

2003-04-12 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/common.lib.php3: Better fix against possible "wrong parameter
      count" errors.
    * server_privileges.php3:
      - Fixed a broken link in the user overview table;
      - Fixed bug #539756 again.
    * lang/german-*.inc.php3: Updates.
    * tbl_properties_structure.php3, lang/*.inc.php3: Nicer output for MySQL 4.1
      (Feature #623665, part 1).

2003-04-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php3, config_import.lib.php3:
      MaxExactCount backwards compatibility
    * db_details_structure.php3: undefined $row_count for InnoDB tables

2003-04-11 Michal Cihar  <nijel@users.sourceforge.net>
    * db_details_structure.php3: Get row count by SHOW TABLE STATUS, and by
      SELECT COUNT(*) only for small (<20000 rows) tables (RFE #708533).
    * config.inc.php3, db_details_structure.php3, libraries/common.lib.php3:
      $cfg['MaxExactCount'] is now used instead of hardcoded 20000 for above.
    * Documentation.*: Documented above.
    * lang/albanian: Updated, thanks to Laurent Dhima (laurenti).
    * lang/galician: Added missing string.
    * lang/thai: Updated, thanks to Arthit Suriyawongkul.

2003-04-10 Michal Cihar  <nijel@users.sourceforge.net>
    * pdf_schema.php3, libraries/common.lib.php3,
      libraries/display_tbl.lib.php3, libraries/get_foreign.lib.php3: Get row
      count by SHOW TABLE STATUS, and by SELECT COUNT(*) only for small
      (<20000 rows) tables (RFE #708533).
    * tbl_printview.php3: Make javascript work on more browsers than MSIE.
    * Documentation.*: Fixed typo and corrected FAQ 1.23 (bug #718569), fixed
      XHTML errors, document is again valid XHTML.
    * lang/italian: Updated, thanks to Pietro Danesi (danone).

2003-04-09 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/build_dump.lib.php3: Fixed undefined index warnings in LaTeX
      and XML dump.
    * libraries/display_export.lib.php3: Added <br /> before charset
      selection in export.

2003-04-09 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*: $updComTab -> $strUpdComTab
    * libraries/relation.lib.php3: put back version 1.30 message
      that uses $strUpdComTab
    * lang/indonesian: Updated, thanks again to Rachim Tamsjadi.

2003-04-09 Garvin Hicking <me@supergarv.de>
    * pdf_schema.php3: Fix from Doug Suerich (dougsuerich)
      to prevent false arrow aligning when using 'same widths'.

2003-04-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/galician: update, thanks to Xosé Calvo
    * lang/lithuanian: Updated, thanks to Vilius Zigmantas.
    * lang/italian: Updated, thanks to Pietro Danesi.
    * lang/chinese_gb: update, thanks to (fundawang)
    * lang/swedish: update, thanks to Björn T. Hallberg
    * lang/norwegian: update, thanks to Sven-Erik Andersen

2003-04-07 Michal Cihar  <nijel@users.sourceforge.net>
    * db_details_structure.php3, mult_submits.inc.php3: Added ANALYZE TABLE to
      multi submit actions.

2003-04-06 Garvin Hicking <me@supergarv.de>
    * tbl_query_box.php, libraries/functions.js: Patch #705899 included.
      Now multiple fields can be inserted at cursor position (Mozilla/IE)
      in the sql query textarea. Thanks to Alexis Soulard (alexis_soulard)
    * header.inc.php3, footer.inc.php3, libraries/common.lib.php3,
      libraries/relation.lib.php3: RFE #715914: Sort query history by
      (autoincrement) key instead of timevalue. Only save queries in
      history if they were successful. This required the moving of
      the JS-stuff in header.inc.php3 to footer.inc.php3. Please
      test, if this works for everyone. It does for me.

2003-04-06 Alexander M. Turek  <rabus@users.sourceforge.net>
    * db_datadict.php3: The result of SHOW INDEX does not have a 'Comment'
      column before MySQL 3.23 (bug #712055).
    * libraries/grab_globals.lib.php3: Make $HTTP_ACCEPT_LANGUAGE available for
      machines with register_globals = off.

2003-04-05 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/romanian updates, thanks to Valics Lehel
    * lang/slovenian update, thanks to Kositer Uros

2003-04-03 Garvin Hicking <me@supergarv.de>
    * libraries/display_tbl.lib.php3: Bug #714744 fixed. Thanks to poster.

2003-04-02 Garvin Hicking <me@supergarv.de>
    * tbl_query_box.php3: RFE #714095. Use backquotes for inserted fields.
    * tbl_move_copy.php3: At least one of the PDF integrity checks
      on moving/copying a table can safely be enabled.
    * tbl_move_copy.php3, tbl_properties_operations.php3: Made 'move to
      newly created table' depend on a selected checkbox. State of that
      checkbox is saved in a cookie.
    * lang/*: Added $strSwitchToTable for the above.
    * lang/german-*: Translations

2003-04-02 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_move_copy.php3: Fixed copying/moving to work after some changes in
      generated SQL dump, move to newly created table also after copying.
    * tbl_properties_operations.php3: Some fixes for html entities in db/table
      names.
    * db_details_structure.php3, mult_submits.inc.php3,
      tbl_properties_structure.php3: Show multi submits result after headers
      and tabs from originating place.
    * lang/czech: Updated.
    * tbl_properties_operations.php3: Not only remember, but also recall state
      of checkbox for move to newly created table (see Garvin's entry above).

2003-04-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: clarify about wildcard database
    * lang/bulgarian, translators.html: big update from the new translator:
      Stanislav Yordanov, stan at stud.ru.acad.bg
    * lang/italian: Updated, thanks to Pietro Danesi.

2003-03-31 Marc Delisle  <lem9@users.sourceforge.net>
    * css/phpmyadmin.css.php3: calls from a css file are relative to itself
      thanks to Jose Fandos (jose.fandos at sonnd.com)

2003-03-27 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_privileges.php3, lang/*.inc.php3:
      - Fixed bug #708292 (Support for host-based privileges).
      - Show SQL query when adding a user.
    * server_processlist.php3, lang/*.inc.php3: Feature #707495
      (SHOW FULL PROCESSLIST).
    * lang/german-*.inc.php3: Updates.

2003-03-27 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php3: avoid long delays when browsing big tables (MySQL 4)

2003-03-26 Michal Cihar  <nijel@users.sourceforge.net>
    * db_details.php3, db_details_qbe.php3, left.php3, tbl_change.php3,
      tbl_properties_operations.php3, tbl_properties_structure.php3,
      tbl_query_box.php3, tbl_select.php3, libraries/common.lib.php3: Even
      more fixes for HTML entities in field/table/db name.

2003-03-25 Alexander M. Turek  <rabus@users.sourceforge.net>
    * Documentation.html: Fixed GRANT queries for the controluser.

2003-03-25 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php3: replace the 'USE mysql' test, as users with a global
      priv like CREATE TEMPORARY TABLES can do a 'USE mysql'

2003-03-25 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_query_box.php3, tbl_properties_operations.php3,
      libraries/common.lib.php3, tbl_query_box.php3, querywindow.php3: More
      HTML entities fixes.
    * read_dump.php3: Fixed detection of $goto.
    * header.inc.php3: Neated URL generating.
    * lang/czech: Updated.

2003-03-24 Michal Cihar  <nijel@users.sourceforge.net>
    * db_details_structure.php3, mult_submits.inc.php: Added CHECK TABLE to
      multisubmit actions (RFE #622603).
    * db_details_structure.php3, mult_submits.inc.php3, tbl_alter.php3,
      tbl_properties_structure.php3: Show result of CHECK/OPTIMIZE/REPAIR
      queries for multiple tables.
    * db_details_structure.php3: Display correctly table names that contain
      HTML entities.
    * libraries/build_dump.lib.php3: Removed PMA_htmlFormat function as it
      caused HTML entities to be quoted twice.
    * tbl_indexes.php3: Fixed editing of index with HTML entities.
    * lang/czech: Updated.
    * tbl_properties_structure.php3: Fix enabling/disabling links to index
      creating (it requires type, but there was also MIME type added).

2003-03-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php3, libraries/config_import.lib.php3,
      config.inc.php3, Documentation.html: disabling of the parser no
      longer possible

2003-03-22 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/defines.lib.php3: Small bugfix.
    * libraries/defines_php.lib.php3: New constant: PMA_MYSQL_CLIENT_API.
    * libraries/common.lib.php3: Possible fix against "wrong parameter count"
      errors.

2003-03-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/transformations/text_plain__imagelink: display the
      image, with width and height options
    * libraries/transformations/text_plain__link: the link was not
      functional at my site; also, document this transform in lang.

2003-03-21 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php3: typo
    * lang/french update
    * image_jpeg__plain renamed to text_plain__imagelink, because
      the contents is not an image but a filename

2003-03-21 Michal Cihar  <nijel@users.sourceforge.net>
    * ldi_check.php3: Use $sql_query instead of $query to put query correctly
      to sql.php3.
    * libraries/display_export.lib.php3: Again fixed selecting table/db
      filename template.
    * tbl_move_copy.php3, libraries/sqlparser.lib.php3: Fixed copying of
      table.

2003-03-20 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/hebrew update, thanks to Yuval Sarna

2003-03-20 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/indonesian: Updated, thanks again to Rachim Tamsjadi.
    * libraries/mysql_wrappers.lib.php3: Fix for bug #705531 - check for field
      type when doing charset conversion.
    * libraries/display_export.lib.php3: Fixed selecting table/db filename
      template.
    * libraries/read_dump.lib.php3, db_details.php3,
      db_details_importdocsql.php3, tbl_dump.php3, tbl_query_box.php3, lang/*:
      Automatic detection of compression for uploaded data.

2003-03-19 Garvin Hicking <me@supergarv.de>
    * tbl_change.php3, tbl_query_box.php3, tbl_replace_fields.php3:
      Display select box for stored files on Server ($cfg['UploadDir']) in every SQL
      input area (SQL window, table properties) AND in the 'Insert/Update field' display
      where you can upload files to blob fields. Experimental.

2003-03-19 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/german-*.inc.php3: Updates.

2003-03-19 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_properties_operations.php3: fixed bad id of option (#706147).
    * lang/dutch: Updated, thanks to Gilles van den Hoven.
    * lang/thai: Updated.
    * lang/italian: Updated, thanks to Pietro Danesi.
    * lang/indonesian: Updated, thanks to Rachim Tamsjadi.
    * lang/lithuanian: Updated, thanks to Vilius Zigmantas.
    * lang/chinese: Updated, thanks to Siu Sun.

2003-03-18 Garvin Hicking <me@supergarv.de>
    * libraries/display_export.lib.php3: Fixed variable usage.
    * lang/*, libraries/transformations/*, libraries/display_tbl.lib.php3,
      libraries/common.lib.php3: Added new transforms for a substr()
      function, a dateformat() modified and a basic plugin for external
      programs. Support for TIDY has been experimentally been built in.
      External programs make use of piping and thus cannot be used in
      Windows.
      Added the ability for transforms to adjust the "nowrap" option of a
      cell.
      Some german translation.

2003-03-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/select_lang.lib.php3: modify order of Russian lang files
      because MSIE does not accept cp866 and users do not see anything,
      thanks to Volckov Konstantin Michailovich (wolf at sw.ru)

2003-03-18 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/display_tbl.lib.php3: removed &nbsp; from button text, as
      Konqueror doesn't like it there and it is not needed.
    * lang/czech: updated.
    * libraries/display_tbl.lib.php3: Don't show BLOB text instead of content
      when using transformations.
    * libraries/display_export.lib.php3, db_details_links.php3,
      server_common.inc.php3, server_databases.php3, server_links.inc.php3,
      server_processlist.php3, server_status.php3, server_variables.php3,
      tbl_change.php3 libraries/server_privileges.js: Fixed end of line chars.
    * tbl_dump.php3, libraries/display_export.lib.php3, lang/*: User can now
      specify how will filename for exported data look like (RFE #678642).
    * Documentation.*: Next release seems to be 2.5.0.
    * lang/latvian: Updated, thanks to Sandis Jerics.

2003-03-17 Mike Beck  <mikebeck@users.sourceforge.net>
    * pdf_pages.php3  will now check if the pdf_pages table has entries
      that reference tables that no longer exist. if it does user is prompted
      to delete them.

2003-03-17 Marc Delisle  <lem9@users.sourceforge.net>
    * user_password.php3, header.inc.php3, libraries/user_password.js:
      put back js functions for user password change (= old user_details.js)
    * libraries/display_tbl.lib.php3, functions.js: new feature:
      browse mode page drop-down, thanks to Alexis Soulard (alexis_soulard)

2003-03-15 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php3: Automatic layout of tables on the schema

2003-03-15 Garvin Hicking <me@supergarv.de>
    * pdf_schema.php3: Fixed typo.

2003-03-14 Garvin Hicking <me@supergarv.de>
    * libraries/display_tbl.lib.php3, db_details_importdocsql.php3: Fixed
    '../' safety issues, display transformations only if file exists
    (Bug #703555)

2003-03-14 Robin Johnson  <robbat2@users.sourceforge.net>
    * config.inc.php3, libraries/config_import.lib.php3 tbl_change.php3:
        - Typo fixes:
        s/RestricColumnTypes/RestrictColumnTypes/
        s/RestricFunctions/RestrictFunctions/
    * scripts/create_tables.sql:
        -  Neaten up SQL, add DROP TABLE/DATABASE cleanness

2003-03-13 Alexander M. Turek  <rabus@users.sourceforge.net>
    * server_status.php3: Fixed the Garvin's calculations.
    * server_variables.php3: Fixed the display for MySQL <= 4.0.3-beta.
    * libraries/header_meta_style.inc.php3,
      libraries/transformations/overview.php3: Fixed CSS link.
    * tbl_properties.inc.php3: Added tooltips for transformations.

2003-03-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php3: analyzer: where_clause_identifiers

2003-03-13 Garvin Hicking <me@supergarv.de>
    * lang/*, server_status.php3: RFE #702485 - display total# queries per hour/minute/second.
    * config.inc.php3: Put a note for flipped headers: CSS only works for IE. ('writing-mode')
    * libraries/display_tbl.lib.php3: Display fields used for WHERE query highlighted in
      results page (1px border in the color of BrowserMarkerColor around the cells).
      RFE #638800
    * libraries/build_dump.lib.php3, db_details_structure.php3, db_printview.php3,
      pdf_schema.php3, tbl_dump.php3, tbl_printview.php3, tbl_properties_structure.php3,
      lang/*: RFE #7000385: Export AUTO_INCREMENT field.
      Display Create/Update/Check_time in PDF-Pages, printview, DB/Table structure and table
      dumps, if information is available (gathered by 'SHOW TABLE STATUS' for MySQL 3.23.XX).
    * config.inc.php3 - Altered comments for PMA_* tables for easier integration and more
      clarity. Make it easier to enable defaults (RFE #695265)

2003-03-12 Garvin Hicking <me@supergarv.de>
    * db_details_structure.php3: When using Alias-Displays for Tables, fix bug when a tablename
      was not displayed if it has no comment.
    * libraries/display_tbl.lib.php3 RFE #550554 - Execute SQL bookmarks when browsing the
      bookmarktable.
    * db_details_structure.php, left.php3, tbl_properties_links.php3, libraries/bookmark.lib.php3:
      RFE #550552: Change default initial query for browse mode, if a bookmark with the same
      label as the tablename is found.
    * tbl_properties_options.php3, tbl_properties_table_info.php3: Support changing
      auto_increment value. (RFE #639655)
    * db_printview.php3, tbl_printview.php3, db_datadict.php3, pdf_schema.php3:
      Display DB comments and MIME types, where appropriate.
    * header.inc.php3, querywindow.php3, libraries/common.lib.php3: Fixed some bugs for
      the querywindow which didn't show the latest querys always.
    * Documentation.html, db_details.php3, read_dump.php3, tbl_query_box.php3:
      RFE #470000 - Use parameters for bookmarked queries. This is a bit tricky
      to do, so please see Documentation.html. I thought it too hard to move the
      bookmark-box around where you can store the bookmarks, because there are a couples
      of redirections involved. So the major problem is that your to-be-stored bookmark
      HAS to yield at least a single result row for you to be able to store that.
    * tbl_move_copy.php3, tbl_properties_operations.php3: RFE #571838 :
      Add 'DROP TABLE IF EXISTS' checkbox. Will maintain any existing PMA_* entries
      for that table.
    * tbl_properties_export.php3, db_details_export.php3,
      libraries/display_export.lib.php3: Reworked DB/Table export, so that DB
      export now is a perfect look-alike except for a multi-tables dropdown.
      Put the code to display the export into a seperate file for re-usability.
    * tbl_change.php3, config.inc.php3, libraries/config_import.lib.php3,
      libraries/common.lib.php3: RFE #422243 - Definition of which MySQL functions
      map to which MySQL field type and in the dropdown of the function list first
      display the fitting functions, and then for compatibility reasons the rest of
      the functions.
      TODO: I don't know if I chose the correct mapping for all types. Please correct
      config_import.lib.php3 and config.inc.php3 if therer are any mismappings.
    * sql.php3, tbl_alter.php3, tbl_move_copy.php3, tbl_properties_structure.php3,
      tbl_rename.php3, libraries/relation.lib.php3:
      Bugfix #579256 / RFE #577328 : Automatic update of relations,
      display fields, comments, bookmarks, ... on update, delete and duplicate.
      Automatic duplication/moving of PDF pages does not yet work. Would the
      original author please be so kind to have a look at the tbl_move_copy.php
      script, search for '[TODO]' and apply necessary fixes? ;)
    * tbl_dump.php3: New $sql_structure variable for the new table export
      design broke DB export functionality. Fixed this.

2003-03-12 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/ukrainian: update, thanks to Markijan Baran

2003-03-11 Garvin Hicking <me@supergarv.de>
    * docSQL/*, read_dump.php3, db_details_importdocsql.php3,
      libraries/grab_globals.lib.php3, libraries/read_dump.lib.php3:
      Improved security of docSQL importer. You now can only access
      a subdirectory of phpMyAdmin ('docSQL' proposed) OR upload each
      file on its own via File Upload (if $is_upload is true).
      Filenames not matching the converter will no more printed out to
      maintain security. Permits input of '../'.
    * transformation_wrapper.php3 - Remove $err_url, because if a query
      fails here, the user won't get to see the error string anyways.
      Can happen if you want to display a blob without having an index
      key in your query, because the blob cannot be filtered by a content
      WHERE-string.

2003-03-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php3: bug 700082, support of XOR

2003-03-10 Alexander M. Turek  <rabus@users.sourceforge.net>
    * translators.html: Another mechanism against stupid people who use the
      translator list as a list of localised support hotlines or try to get a
      translation by mail order... :o)
    * header_printview.inc.php3, index.php3, left.php3, queryframe.php3,
      libraries/common.lib.php3, libraries/header_meta_style.inc.php3: Ensured
      that the correct font families are used.

2003-03-10 Garvin Hicking <me@supergarv.de>
    * libraries/common.lib.php3: Fixed getElementbyId-Bug #687548,
      thanks to Csaba Gabor!
    * sql.php3: Fixed another occurence of addslashes() where it no longer
      belongs.
    * tbl_addfield.php3, tbl_alter.php3, tbl_create.php3,
      tbl_properties.inc.php3, libraries/common.lib.php3: Goodie for you all
      - when creating/altering/adding table fields you can now change the
      wrong form input, instead of losing all your data. Have fun. :-)
    * tbl_dump.php3, tbl_properties_export.php3, css/phpmyadmin.css.php3,
      lang/*:
      Added new table export format by Michal Cihar. db_details_export.php3
      should be adapted to the new layout somewhen. Fixed Compression.
    * header.inc.php3, header_printview.inc.php3, index.php3,
      left.php3, queryframe.php3, querywindow.php3,
      transformation_wrapper.php3, css/phpmyadmin.css.php3,
      libraries/common.lib.php3, libraries/db_table_exists.lib.php3,
      libraries/functions.js, libraries/header_http.inc.php3,
      libraries/header_meta_style.inc.php3, libraries/left.js
      libraries/sqlparser.lib.php3:
      Massive code-cleanup. Put all stylesheets into new central file
      css/phpmyadmin.css.php3. To reduce overhead in this file, the
      common.lib.php3 has a new variable to determine whether the full
      code structure or only those codes needed for the stylesheet class
      is parsed. This is to prevent duplicated code, even though it looks
      somehow ugly. The stylesheet is now embedded via a <link rel>-
      directive and should also be able to be cached by the browser.
      See patch #699454.
      Also some unneccessary code was removed from querywindow/wrapper.
    * tbl_change.php3: Patch #697541 to prevent non-associative MySQL
      fieldnames to be mapped to false keys for display.

2003-03-10 Marc Delisle  <lem9@users.sourceforge.net>
    * transformation_wrapper.php3, lang/*,
      libraries/transformations/image_png__inline.inc.php3:
      new transformation for png (inline)
      (still issues with PNG's transparency in PHP 4.3.0)
    * libraries/common.lib.php3: bug 692652, support for disabled ini_get()

2003-03-09 Garvin Hicking <me@supergarv.de>
    * db_printview.php3: Added print button (#700205)

2003-03-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/transformations/*.sh: did not work in bash

2003-03-07 Marc Delisle  <lem9@users.sourceforge.net>
    * transformation_wrapper.php3, lang/*,
      libraries/transformations/image_jpeg__inline.inc.php3:
      now 2 options for resize: width, height

2003-03-06 Garvin Hicking <me@supergarv.de>
    * libraries/common.lib.php3, libraries/display_tbl.lib.php3:
      Fix bug #658668, special escaping of \n, \r and \t characters.
      Please test, works fine for me now (both magic_quotes on/off).

2003-03-05 Robin Johnson  <robbat2@users.sourceforge.net>
    * Documentation.html, Documentation.txt: Long-withstanding spelling fixes!
    * updatedocs.sh: Script to make conversion easier

2003-03-05 Garvin Hicking <me@supergarv.de>
    * Documentation.html: Added FAQ 2.6 about localhost-socket connections.
    * libraries/relation.lib.php3, libraries/transformations.lib.php3,
      tbl_relation.php3, tbl_move_copy.php3: Replace PMA_handleSlashes()
      call with PMA_sqlAddslashes() call because of new global s
      lashes-handling.
    * sql.php3: Fixed querytime bug, when query was only shown for PHP
      display.
    * read_dump.php3, sql.php3, tbl_alter.php3,
      tbl_properties_export.php3: Fixed remaining calls to stripslashes()
      where not neccessary, because grab_globals already stripslashed
      the data. This fixes the problem of the SQL Pretty printer showing
      the data wrongly formatted.

2003-03-05 Michal Cihar  <nijel@users.sourceforge.net>
    * libraries/sqlparser.data.php3: TRANSACTION isn't reserved word (fixes
     #697961)

2003-03-05 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, faq 1.29 about the "duplicate field names" problem
    * transformation_wrapper.php3, libraries/defines_php.lib.php3,
      libraries/transformations/image_jpeg__inline.inc.php3:
      resized thumbnails

2003-03-03 Alexander M. Turek  <rabus@users.sourceforge.net>
    * tbl_replace_fields.php3: Bugfix: User was unable to insert values
      containing quotes.
    * libraries/common.lib.php3:
      - Avoid reloading the left frame twice;
      - PHP3 compatibility;
      - $cfg['PmaAbsoluteUri'] autodetection did not work as expected if php was
        in CGI mode.

2003-03-03 Marc Delisle  <lem9@users.sourceforge.net>
    * badwords.txt: bug 692874: "date" is not a reserved word

2003-03-02 Alexander M. Turek  <rabus@users.sourceforge.net>
    * db_details.php3, db_details_qbe.php3, db_search.php3, ldi_check.php3,
      mult_submits.inc.php3, read_dump.php3, sql.php3, tbl_addfield.php3,
      tbl_change.php3, tbl_create.php3, tbl_dump.php3, tbl_indexes.php3,
      tbl_move_copy.php3, tbl_properties.inc.php3,
      tbl_properties_operations.php3, tbl_properties_options.php3,
      tbl_query_box.php3, tbl_rename.php3, tbl_replace.php3,
      tbl_replace_fields.php3, tbl_select.php3, transformation_wrapper.php3,
      user_password.php3, libraries/build_dump.php3, libraries/common.lib.php3,
      libraries/display_tbl.lib.php3, libraries/grab_globals.php3:
      If magic_quotes_gpc is enabled, grab_globals calls stripslashes when
      extracting the arrays $_GET and $_POST. This should replace a lots of
      workarounds and avoid present and future problems with magic_quotes_gpc.
    * server_privileges.php3, libraries/common.lib.php3:
      - Escape wildcard characters in the database and table dropdown boxes;
      - CSS fixes.

2003-03-01 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/english: typo
    * tbl_dump.php3: undefined variable $use_comments
    * tbl_properties_export.php3: bug 692143: now we remove the
      LIMIT clause from the original query to use the limits entered
      on the export form
    * pdf_schema.php3: better header/footer for long pages,
      thanks to Maxime Delorme

2003-03-01 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_indexes.php3: Cleaner solution for showing query after changing
      index.

2003-03-01 Robin Johnson  <robbat2@users.sourceforge.net>
    * libraries/xpath/XPath.class.php, libraries/xpath/:
    - Removed (was part of the early DB config prototype)
    * lang/translatecount.sh:
    - Counts just how out of date the translations are!

2003-02-28 Michal Cihar  <nijel@users.sourceforge.net>
    * tbl_indexes.php3: Show SQL query after modifying/creating index (closes
      #694800), show structure after modifying index.

2003-02-28 Alexander M. Turek  <rabus@users.sourceforge.net>
    * Documentation.html: Fixed a typo.
    * server_privileges.php3: Fixed bug #691910.
    * server_status.php3, lang/*.inc.php3: Patch #683302: InnoDB status monitor,
      thanks to Jason Carlson (jjcarlson).

2003-02-28 Garvin Hicking <me@supergarv.de>
    * config.inc.php3, header.inc.php3, queryframe.php3, querywindow.php3,
      tbl_query_box.php3, libraries/common.lib.php3, libraries/config_import.lib.php3,
      Documentation.html:
      - Finetuneing for query window: Only three tabs, if DefaultTab
        is not set to 'full'.
      - Inserted nobr-Tags to make german translation for 'sql history' fit inside a tab.
      - Improved windowsize of the query window (no a *lot* smaller, hope this will suit
         Rabus ;).
      - Made the textarea smaller (*1.25 instead of *2) for the window only.
      - Fixed a bug when you changed from a table to a database on the left frame and the
        query window still wants to show the previous table.
    * tbl_query_box.php3: Only show fieldlist, when $table is set.
    * translators.html: Adjusted to same topmenu as Documentation.html.
      With the new 'Transformations' item the bar was too large to fit
      on standard 800x600 browser windows.

2003-02-27 Michal Cihar  <nijel@users.sourceforge.net>
    * lang/czech: Updated.
    * lang/english: Resorted.

2003-02-27 Alexander M. Turek  <rabus@users.sourceforge.net>
    * libraries/common.lib.php3, libraries/config_import.lib.php3:
      - Backwards compatibility;
      - Removed some unnecessary code;
      - Added a small HOWTO.
    * config.inc.php3: The tab settings don't fit into the 'left frame' part.
    * lang/german-*.inc.php3: Grammar.
    * Documentation.html: Fixed some dead links.
    * scripts/create_tables.sql: Adjusted table comments.

2003-02-27 Garvin Hicking <me@supergarv.de>
    * libraries/common.lib.php3, tbl_properties_links.php3, db_details_links.php3,
      querywindow.php3: Integrated Manuzhais patch for Lightweight Tabs.
    * querywindow.php3, tbl_query_box.php3, config.inc.php3, header.inc.php3, index.php3,
      libraries/config_import.lib.php3: Added (optional) DB-based SQL-history with
      purging on login, made querywindow tabbed, improved Querywindow-compatibility.
    * tbl_properties.inc.php3, config.inc.php, librarires/config_import.lib.php3:
      Experimental: Added $cfg['DefaultPropDisplay']. Enables vertical display
      (optional, default off) of the columns. I didn't like to have to scroll in horizontal
      directions, so with this mode you can see about 6 columns at once on a single screen.
    * tbl_properties.inc.php3: Fixed bug when certain fields are not
      enabled, they threw an undefined offset. [2nd try, now for real :)]
    * Documentation.html: Updated for my new features. Should include
      everyting, I hope. But seriously needs a proofread.
    * config.inc.php3: Inserted new directives for empty
      $cfg['Servers'][$i]. (history, verbose_check)
    * tbl_create.php3, tbl_addfield.php3, tbl_alter.php3: Added more checks
      to suppress Notices/Warnings when MIME-types are not enabled.

2003-02-26 Garvin Hicking <me@supergarv.de>
    * lang/german-*: better grammar. ;)
    * libraries/display_tbl.lib.php3: Fixed transformation-link variable
      usage for special queries like 'SHOW FIELDS', where certain variables are
      not set.
    * config.inc.php3, tbl_addfield.php3, tbl_alter.php3, tbl_create.php3,
      tbl_move_copy.php3, tbl_properties.inc.php3, tbl_properties_structure.php3,
      transformation_wrapper.php3, libraries/config_import.lib.php3,
      libraries/display_tbl.lib.php3, libraries/relation.lib.php3,
      scripts/create_tables.sql:
       Test if MIME-feature are really available. Preparation for PMA_db-based
       SQL-History.
       Removed a dupe for inserting comments, fixed integrity check when
       moving/renaming tables and keeping comments.
     * header.inc.php3: Added one more Javascript if-structure to make sure
       the frameset is initialized when querying for an active window. Without
       this, when starting phpMyAdmin for the first time, IE6 may complain
       depending on the order it loads the framesets.

2003-02-25 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php3: undefined variable $comment
    * tbl_move_copy.php3: 'column_info'

2003-02-25 Alexander M. Turek  <rabus@users.sourceforge.net>
    * lang/bulgarian-*.inc.php3, lang/czech-*.inc.php3, lang/dutch-*.inc.php3,
      lang/swedish-*.inc.php3, lang/thai-*.inc.php3: Removed problematic %e from
      $datefmt (translations #692065).
    * lang/japanese-*.inc.php3: Fixed some inconsistences.
    * config.inc.php3, db_details_importdocsql.php3, Documentation.html,
      sql.php3, tbl_move_copy.php3, tbl_rename.php3,
      libraries/config_import.lib.php3, libraries/relation.lib.php3,
      libraries/transformations.lib.php3: Changed 'column_comments' to
      'column_info'.
    * ChangeLog: Removed the 2.3.x branch from this ChangeLog; I moved it to
      <http://www.phpmyadmin.net/ChangeLogs/>.

